<?php

require_once('api/Fast.php');

class BlogcategoryAdmin extends Fast {
    
    public function fetch() {

        $blogcategory = new stdClass;
        if($this->request->method('post')) {
            $blogcategory->id = $this->request->post('id', 'integer');
            $blogcategory->parent_id = $this->request->post('parent_id', 'integer');
            $blogcategory->name = $this->request->post('name');
            $blogcategory->name_h1 = $this->request->post('name_h1');
            $blogcategory->visible = $this->request->post('visible', 'boolean');
            
            $blogcategory->url = trim($this->request->post('url', 'string'));
            $blogcategory->meta_title = $this->request->post('meta_title');
            $blogcategory->meta_keywords = $this->request->post('meta_keywords');
            $blogcategory->meta_description = $this->request->post('meta_description');
            
            $blogcategory->annotation = $this->request->post('annotation');
            $blogcategory->description = $this->request->post('description');
            
            // Не допустить одинаковые URL разделов.
            if(($c = $this->blogcategories->get_blogcategory($blogcategory->url)) && $c->id!=$blogcategory->id) {
                $this->design->assign('message_error', 'url_exists');
            } elseif(empty($blogcategory->name)) {
                $this->design->assign('message_error', 'empty_name');
            } elseif(empty($blogcategory->url)) {
                $this->design->assign('message_error', 'empty_url');
            } elseif(substr($blogcategory->url, -1) == '-' || substr($blogcategory->url, 0, 1) == '-') {
                $this->design->assign('message_error', 'url_wrong');
            } else {
                if(empty($blogcategory->id)) {
                    $blogcategory->id = $this->blogcategories->add_blogcategory($blogcategory);
                    $this->design->assign('message_success', 'added');
                } else {
                    $this->blogcategories->update_blogcategory($blogcategory->id, $blogcategory);
                    $this->design->assign('message_success', 'updated');
                }
                // Удаление изображения
                if ($this->request->post('delete_image')) {
                    $this->image->delete_image($blogcategory->id, 'image', 'blogcategories', $this->config->original_blogcategories_dir, $this->config->resized_blogcategories_dir);
                }
                $blogcategory = $this->blogcategories->get_blogcategory(intval($blogcategory->id));
            }
        } else {
            $blogcategory->id = $this->request->get('id', 'integer');
            $blogcategory = $this->blogcategories->get_blogcategory($blogcategory->id);
        }
        if (!empty($blogcategory->id)) {
            $this->design->assign('features', $this->features->get_features(array('blogcategory_id'=>$blogcategory->id)));
        }
        
        $blogcategories = $this->blogcategories->get_blogcategories_tree();
		if(empty($blogcategory)) {
            $blogcategory = new stdClass;
         $blogcategory->visible = 1;
        }
        
        $this->design->assign('blogcategory', $blogcategory);
        $this->design->assign('blogcategories', $blogcategories);
        return  $this->design->fetch('blogcategory.tpl');
    }

}
