<?php

class ExportAjax extends Fast {
    
	private $columns_names = array(
        'sku'=>              '',
        'name'=>             '',
        'variant'=>          '',
        'category'=>         '',
        'brand'=>            '',
        'price'=>            '',
        'compare_price'=>    ' ',
        'stock'=>            '',
        'currency'=>         'ID ',
        'body'=>             '',
        'images'=>           '',
		 /* */
        'variant_images'=>  ' ',
        /*/ */
		'related'=>          '',
        'visible'=>          '',
        'featured'=>         '',
        'url'=>              'URL',
        'meta_title'=>       'Title',
        'meta_keywords'=>    'Keywords',
        'meta_description'=> 'Description'
        
    );
    private $column_delimiter = ';';
    private $subcategory_delimiter = '/';
    private $products_count = 100;
    private $export_files_dir = 'admin/files/export/';
    private $filename = 'export.csv';
    
    public function fetch() {
		//$this->filename = str_replace('.', '-', $_SERVER['HTTP_HOST']).'.csv';
        if(!$this->managers->access('export')) {
            return false;
        }
        session_write_close();
        unset($_SESSION['lang_id']);
        unset($_SESSION['admin_lang_id']);

        //    1251
        setlocale(LC_ALL, 'ru_RU.1251');
        $this->db->query('SET NAMES cp1251');
        
        // ,  
        $page = $this->request->get('page');
        if(empty($page) || $page==1) {
            $page = 1;
            //    -    
            if(is_writable($this->export_files_dir.$this->filename)) {
                unlink($this->export_files_dir.$this->filename);
            }
        }
        
        //     
        $f = fopen($this->export_files_dir.$this->filename, 'ab');
        
        //      
        $features = $this->features->get_features();
        foreach($features as $feature) {
            $this->columns_names[$feature->name] = $feature->name;
        }
        
        //    -      
        if($page == 1) {
            fputcsv($f, $this->columns_names, $this->column_delimiter);
        }

        $filter = array('page'=>$page, 'limit'=>$this->products_count);
        if (($cid = $this->request->get('category_id', 'integer')) && ($category = $this->categories->get_category($cid))) {
            $filter['category_id'] = $category->children;
        }
        if ($brand_id = $this->request->get('brand_id', 'integer')) {
            $filter['brand_id'] = $brand_id;
        }

        //  
        $products = array();
        foreach($this->products->get_products($filter) as $p) {
            $products[$p->id] = (array)$p;
            
            //  
            $options = $this->features->get_product_options(array('product_id'=>$p->id));
            foreach($options as $option) {
               /**/
                if(!isset($products[$option->product_id][$option->name])) {
                    $products[$option->product_id][$option->name] = $option->value;
                } else {
                    $products[$option->product_id][$option->name] .= ",,".$option->value;
                }
	 			/*if(!isset($products[$option->product_id][$option->name])) {
                    $products[$option->product_id][$option->name] = str_replace(',', '.', trim($option->value));
                }*/
                /*/*/
            }
        }
        
        if(empty($products)) {
            return false;
        }
        
        //  
        foreach($products as $p_id=>&$product) {
            $categories = array();
            $cats = $this->categories->get_product_categories($p_id);
            foreach($cats as $category) {
                $path = array();
                $cat = $this->categories->get_category((int)$category->category_id);
                if(!empty($cat)) {
                    //   
                    foreach($cat->path as $p) {
                        $path[] = str_replace($this->subcategory_delimiter, '\\'.$this->subcategory_delimiter, $p->name);
                    }
                    //    
                    $categories[] = implode('/', $path);
                }
            }
            $product['category'] = implode(',,', $categories);
        }
        
        //  
		
		/* */
        $temp_images = array();
        /*/ */
		
        $images = $this->products->get_images(array('product_id'=>array_keys($products)));
        foreach($images as $image) {
            //      
            if(empty($products[$image->product_id]['images'])) {
                $products[$image->product_id]['images'] = $image->filename;
            } else {
                $products[$image->product_id]['images'] .= ', '.$image->filename;
            }
			/* */
            $temp_images[$image->id] = $image;
            /*/ */
        }
        
		//   
        $related = $this->products->get_related_products(array_keys($products));
		$rel_ids=array();
        if(is_array($related))foreach ($related as $rel) {
			$rel_ids[]=$rel->related_id;
        }
		$pskus=array();
		$temps=$this->variants->get_variants(array('product_id'=>$rel_ids));
        if(is_array($temps))foreach ($temps as $temp) {
			if($temp->sku)
				$pskus[$temp->product_id]=$temp->sku;
        }
        foreach($related as $rel) {
			if(empty($pskus[$rel->related_id])) 
				continue;
            if(empty($products[$rel->product_id]['related'])) {
                $products[$rel->product_id]['related'] = $pskus[$rel->related_id];
            } else {
                $products[$rel->product_id]['related'] .= ','.$pskus[$rel->related_id];
            }
        }
		
        $variants = $this->variants->get_variants(array('product_id'=>array_keys($products)));
        
        foreach($variants as $variant) {
            if(isset($products[$variant->product_id])) {
                $v                    = array();
                $v['variant']         = $variant->name;
                $v['price']           = $variant->price;
                $v['compare_price']   = $variant->compare_price;
                $v['sku']             = $variant->sku;
                $v['stock']           = $variant->stock;
                $v['currency']        = $variant->currency_id;
                if($variant->infinity) {
                    $v['stock']           = '';
                }
				/* */
                $v['variant_images'] = '';
                foreach ($variant->images as $iid) {
                    $v['variant_images'] .= (empty($v['variant_images']) ? $temp_images[$iid]->filename : ', '.$temp_images[$iid]->filename);
                }
                /*/ */
                $products[$variant->product_id]['variants'][] = $v;
            }
        }
        
        $all_brands = array();
        foreach ($this->brands->get_brands() as $b) {
            $all_brands[$b->id] = $b;
        }
        
        foreach($products as &$product) {
            if ($product['brand_id'] && isset($all_brands[$product['brand_id']])) {
                $product['brand'] = $all_brands[$product['brand_id']]->name;
            }
            $variants = $product['variants'];
            unset($product['variants']);
            
            if(isset($variants)) {
                foreach($variants as $variant) {
                    $result = array();
                    $result =  $product;
                    foreach($variant as $name=>$value) {
                        $result[$name]=$value;
                    }
                    
                    foreach($this->columns_names as $internal_name=>$column_name) {
                        if(isset($result[$internal_name])) {
                            $res[$internal_name] = $result[$internal_name];
                        } else {
                            $res[$internal_name] = '';
                        }
                    }
                    fputcsv($f, $res, $this->column_delimiter);
                }
            }
        }
        
        $total_products = $this->products->count_products($filter);
        fclose($f);
        if($this->products_count*$page < $total_products) {
            return array('end'=>false, 'page'=>$page, 'totalpages'=>$total_products/$this->products_count);
        } else {
            return array('end'=>true, 'page'=>$page, 'totalpages'=>$total_products/$this->products_count);
        }
    }
	
    
}

$export_ajax = new ExportAjax();
$data = $export_ajax->fetch();
if($data) {
    header("Content-type: application/json; charset=utf-8");
    header("Cache-Control: must-revalidate");
    header("Pragma: no-cache");
    header("Expires: -1");
    $json = json_encode($data);
    print $json;
}