<?php

require_once('Fast.php');

class Discounts extends Fast {

	public function get_discount($id) {
		$query = $this->db->placehold("SELECT *
			FROM __discounts
			WHERE id=? LIMIT 1", $id);
		if($this->db->query($query)) {
			return $this->db->result();
		} else {
			return false;
		}
	}
	
	public function get_discounts($filter = array()) {
		$discount_id_filter = '';
		if(!empty($filter['id'])) {
			$discount_id_filter = $this->db->placehold('AND id in(?@)', (array)$filter['id']);
		}

		$query = $this->db->placehold("SELECT *
			FROM __discounts
			WHERE 1
				$discount_id_filter
			ORDER BY min_order_price");
		$this->db->query($query);
		return $this->db->results();
	}
	
	public function add_discount($discount) {
		$query = $this->db->placehold("INSERT INTO __discounts SET ?% $date_query", $discount);
		if(!$this->db->query($query)) {
			return false;
		} else {
			return $this->db->insert_id();
		}
	}
	
	public function update_discount($id, $discount) {
		$query = $this->db->placehold("UPDATE __discounts SET ?% WHERE id in(?@) LIMIT ?", $discount, (array)$id, count((array)$id));
		$this->db->query($query);
		return $id;
	}

	public function delete_discount($id) {
		if(!empty($id)) {
			$query = $this->db->placehold("DELETE FROM __discounts WHERE id=? LIMIT 1", intval($id));
			return $this->db->query($query);
		}
	}	
	
}
