<?php

class Notify extends Fast {
    
    public function email($to, $subject, $message, $from = '', $reply_to = '') {
        $headers = "MIME-Version: 1.0\n" ;
        $headers .= "Content-type: text/html; charset=utf-8; \r\n";
        $headers .= "From: $from\r\n";
        if(!empty($reply_to)) {
            $headers .= "reply-to: $reply_to\r\n";
        } else {
			$headers .= "reply-to: $from\r\n";
		}
        $subject = "=?utf-8?B?".base64_encode($subject)."?=";
        @mail($to, $subject, $message, $headers);
    }
	
    // Письмо о заказе клиенту
    public function email_order_user($order_id) {
        if(!($order = $this->orders->get_order(intval($order_id))) || empty($order->email)) {
            return false;
        }
        
        /*lang_modify...*/
        $languages = $this->languages->language();
        if (!empty($order->lang_id) && isset($languages[$order->lang_id])) {
            $cur_lang_id = $this->languages->lang_id();
            $this->languages->set_lang_id($order->lang_id);
            $lang_link = '';
            $f_lang = reset($languages);
            if ($order->lang_id != $f_lang->id) {
                $lang_link = $languages[$order->lang_id]->label . '/';
            }
            $this->design->assign('lang_link', $lang_link);
            $this->money->init_currencies();
            $this->design->assign("currency", $this->money->get_currency());
            $this->translations->init_translations();
            $this->design->assign('lang', $this->translations);
        }
        /*/lang_modify...*/
        
        $purchases = $this->orders->get_purchases(array('order_id'=>$order->id));
        $this->design->assign('purchases', $purchases);
        
        $products_ids = array();
        $variants_ids = array();
        foreach($purchases as $purchase) {
            $products_ids[] = $purchase->product_id;
            $variants_ids[] = $purchase->variant_id;
        }
        
        $products = array();
        foreach($this->products->get_products(array('id'=>$products_ids,'limit' => count($products_ids))) as $p) {
            $products[$p->id] = $p;
        }
        /*изображение варианта*/
        $temp_images = array();
        /*/изображение варианта*/
        $images = $this->products->get_images(array('product_id'=>$products_ids));
        foreach($images as $image) {
            $products[$image->product_id]->images[] = $image;
             /*изображение варианта*/
            $temp_images[$image->id] = $image;
            /*/изображение варианта*/
        }
        
        $variants = array();
        foreach($this->variants->get_variants(array('id'=>$variants_ids)) as $v) {
             /*изображение варианта*/
            if (!empty($v->images)) {
                $v->image = reset($v->images);
                $v->image = $temp_images[$v->image];
            }
            /*/изображение варианта*/
            $variants[$v->id] = $v;
            $products[$v->product_id]->variants[] = $v;
        }
        
        foreach($purchases as $purchase) {
            if(!empty($products[$purchase->product_id])) {
                $purchase->product = $products[$purchase->product_id];
            }
            if(!empty($variants[$purchase->variant_id])) {
                $purchase->variant = $variants[$purchase->variant_id];
            }
        }
        
        // Способ доставки
        $delivery = $this->delivery->get_delivery($order->delivery_id);
        $this->design->assign('delivery', $delivery);
        
        $this->design->assign('order', $order);
        $this->design->assign('purchases', $purchases);
        
        // Если в шаблон не передавалась валюта, передадим
        if ($this->design->smarty->getTemplateVars('currency') === null) {
            $this->design->assign('currency', current($this->money->get_currencies(array('enabled'=>1))));
        }
		
        // Отправляем письмо клиенту
        $email_template = $this->design->fetch($this->config->root_dir.'admin/design/html/email_order.tpl');
        $subject = $this->design->get_var('subject');
        $from = ($this->settings->notify_from_name ? $this->settings->notify_from_name." <".$this->settings->notify_from_email.">" : $this->settings->notify_from_email);
        $this->email($order->email, $subject, $email_template, $from);
        
        // Язык
        if (!empty($order->lang_id) && isset($languages[$order->lang_id])) {
            $this->languages->set_lang_id($cur_lang_id);
            $lang_link = '';
            $f_lang = reset($languages);
            if ($order->lang_id != $f_lang->id) {
                $lang_link = $languages[$order->lang_id]->label . '/';
            }
            $this->design->assign('lang_link', $lang_link);
            $this->money->init_currencies();
            $this->design->assign("currency", $this->money->get_currency());
            $this->translations->init_translations();
            $this->design->assign('lang', $this->translations);
        }
    }
    
	// Письмо о заказе админу
    public function email_order_admin($order_id) {
        if(!($order = $this->orders->get_order(intval($order_id)))) {
            return false;
        }
        
        $purchases = $this->orders->get_purchases(array('order_id'=>$order->id));
        $this->design->assign('purchases', $purchases);
        
        $products_ids = array();
        $variants_ids = array();
        foreach($purchases as $purchase) {
            $products_ids[] = $purchase->product_id;
            $variants_ids[] = $purchase->variant_id;
        }
        
        $products = array();
        foreach($this->products->get_products(array('id'=>$products_ids,'limit' => count($products_ids))) as $p) {
            $products[$p->id] = $p;
        }
         /*изображение варианта*/
        $temp_images = array();
        /*/изображение варианта*/
        $images = $this->products->get_images(array('product_id'=>$products_ids));
        foreach($images as $image) {
            $products[$image->product_id]->images[] = $image;
             /*изображение варианта*/
            $temp_images[$image->id] = $image;
            /*/изображение варианта*/
        }
        
        $variants = array();
        foreach($this->variants->get_variants(array('id'=>$variants_ids)) as $v) {
             /*изображение варианта*/
            if (!empty($v->images)) {
                $v->image = reset($v->images);
                $v->image = $temp_images[$v->image];
            }
            /*/изображение варианта*/
            $variants[$v->id] = $v;
            $products[$v->product_id]->variants[] = $v;
        }
        
        foreach($purchases as $purchase) {
            if(!empty($products[$purchase->product_id])) {
                $purchase->product = $products[$purchase->product_id];
            }
            if(!empty($variants[$purchase->variant_id])) {
                $purchase->variant = $variants[$purchase->variant_id];
            }
        }
        
        // Способ доставки
        $delivery = $this->delivery->get_delivery($order->delivery_id);
        $this->design->assign('delivery', $delivery);
        
        // администратор
        $user = $this->users->get_user(intval($order->user_id));
        $this->design->assign('user', $user);
        
        $this->design->assign('order', $order);
        $this->design->assign('purchases', $purchases);
        
        // В основной валюте
        $this->design->assign('main_currency', $this->money->get_currency());
        
        // Отправляем письмо админу
        $email_template = $this->design->fetch($this->config->root_dir.'admin/design/html/email_order_admin.tpl');
        $subject = $this->design->get_var('subject');
		$from = ($this->settings->notify_from_name ? $this->settings->notify_from_name. "<noreply@".$_SERVER['HTTP_HOST'].">" : "<noreply@".$_SERVER['HTTP_HOST'].">");
		$reply_to = $order->email;
        $this->email($this->settings->order_email, $subject, $email_template, $from, $reply_to);
    
    }
    
    public function email_comment_admin($comment_id) {
        if(!($comment = $this->comments->get_comment(intval($comment_id)))) {
            return false;
        }
        
        if($comment->type == 'product') {
            $comment->product = $this->products->get_product(intval($comment->object_id));
        }
        if($comment->type == 'blog') {
            $comment->post = $this->blog->get_post(intval($comment->object_id));
        }
        
        $this->design->assign('comment', $comment);
        
        // Отправляем письмо админу
        $email_template = $this->design->fetch($this->config->root_dir.'admin/design/html/email_comment_admin.tpl');
        $subject = $this->design->get_var('subject');
		$from = ($this->settings->notify_from_name ? $this->settings->notify_from_name. "<noreply@".$_SERVER['HTTP_HOST'].">" : "<noreply@".$_SERVER['HTTP_HOST'].">");
        $this->email($this->settings->comment_email, $subject, $email_template, $from);
    }

    public function email_comment_answer_to_user($comment_id) {
        if(!($comment = $this->comments->get_comment(intval($comment_id)))
                || !($parent_comment = $this->comments->get_comment(intval($comment->parent_id)))
                || !$parent_comment->email) {
            return false;
        }

        // Язык
        $languages = $this->languages->language();
        if (!empty($parent_comment->lang_id) && isset($languages[$parent_comment->lang_id])) {
            $cur_lang_id = $this->languages->lang_id();
            $this->languages->set_lang_id($parent_comment->lang_id);
            $lang_link = '';
            $f_lang = reset($languages);
            if ($parent_comment->lang_id != $f_lang->id) {
                $lang_link = $languages[$parent_comment->lang_id]->label . '/';
            }
            $this->design->assign('lang_link', $lang_link);
            $this->translations->init_translations();
            $this->design->assign('lang', $this->translations);
        }

        if($comment->type == 'product') {
            $comment->product = $parent_comment->product = $this->products->get_product(intval($comment->object_id));
        }
        if($comment->type == 'blog') {
            $comment->post = $parent_comment->post = $this->blog->get_post(intval($comment->object_id));
        }

        $this->design->assign('comment', $comment);
        $this->design->assign('parent_comment', $parent_comment);

        // Отправляем письмо
        $email_template = $this->design->fetch($this->config->root_dir.'admin/design/html/email_comment_answer_to_user.tpl');
        $subject = $this->design->get_var('subject');
        $from = ($this->settings->notify_from_name ? $this->settings->notify_from_name." <".$this->settings->notify_from_email.">" : $this->settings->notify_from_email);
        $this->email($parent_comment->email, $subject, $email_template, $from, $from);

        /*lang_modify...*/
        if (!empty($parent_comment->lang_id) && isset($languages[$parent_comment->lang_id])) {
            $this->languages->set_lang_id($cur_lang_id);
            $lang_link = '';
            $f_lang = reset($languages);
            if ($parent_comment->lang_id != $f_lang->id) {
                $lang_link = $languages[$parent_comment->lang_id]->label . '/';
            }
            $this->design->assign('lang_link', $lang_link);
            $this->translations->init_translations();
            $this->design->assign('lang', $this->translations);
        }
        /*/lang_modify...*/
    }
    
    public function email_password_remind($user_id, $code) {
        if(!($user = $this->users->get_user(intval($user_id)))) {
            return false;
        }
        
        $this->design->assign('user', $user);
        $this->design->assign('code', $code);
        
        // Отправляем письмо
        $email_template = $this->design->fetch($this->config->root_dir.'admin/design/html/email_password_remind.tpl');
        $subject = $this->design->get_var('subject');
        $from = ($this->settings->notify_from_name ? $this->settings->notify_from_name. "<noreply@".$_SERVER['HTTP_HOST'].">" : "<noreply@".$_SERVER['HTTP_HOST'].">");
        $this->email($user->email, $subject, $email_template, $from);
        
        $this->design->smarty->clearAssign('user');
        $this->design->smarty->clearAssign('code');
    }
    
    public function email_feedback_admin($feedback_id) {
        if(!($feedback = $this->feedbacks->get_feedback(intval($feedback_id)))) {
            return false;
        }
        
        $this->design->assign('feedback', $feedback);
        
        // Отправляем письмо
        $email_template = $this->design->fetch($this->config->root_dir.'admin/design/html/email_feedback_admin.tpl');
        $subject = $this->design->get_var('subject');
        $this->email($this->settings->comment_email, $subject, $email_template, "$feedback->name <$feedback->email>", "$feedback->name <$feedback->email>");
    }

    public function email_feedback_answer_to_user($comment_id,$text) {
        if(!($feedback = $this->feedbacks->get_feedback(intval($comment_id)))) {
            return false;
        }

        /*lang_modify...*/
        $languages = $this->languages->language();
        if (!empty($feedback->lang_id) && isset($languages[$feedback->lang_id])) {
            $cur_lang_id = $this->languages->lang_id();
            $this->languages->set_lang_id($feedback->lang_id);
            $lang_link = '';
            $f_lang = reset($languages);
            if ($feedback->lang_id != $f_lang->id) {
                $lang_link = $languages[$feedback->lang_id]->label . '/';
            }
            $this->design->assign('lang_link', $lang_link);
            $this->money->init_currencies();
            $this->design->assign("currency", $this->money->get_currency());
            $this->translations->init_translations();
            $this->design->assign('lang', $this->translations);
        }
        /*/lang_modify...*/

        $this->design->assign('feedback', $feedback);
        $this->design->assign('text', $text);

        // Отправляем письмо
        $email_template = $this->design->fetch($this->config->root_dir.'admin/design/html/email_feedback_answer_to_user.tpl');
        $subject = $this->design->get_var('subject');
        $from = ($this->settings->notify_from_name ? $this->settings->notify_from_name." <".$this->settings->notify_from_email.">" : $this->settings->notify_from_email);
        $this->email($feedback->email, $subject, $email_template, $from, $from);

        // Язык
        if (!empty($feedback->lang_id) && isset($languages[$feedback->lang_id])) {
            $this->languages->set_lang_id($cur_lang_id);
            $lang_link = '';
            $f_lang = reset($languages);
            if ($feedback->lang_id != $f_lang->id) {
                $lang_link = $languages[$feedback->lang_id]->label . '/';
            }
            $this->design->assign('lang_link', $lang_link);
            $this->money->init_currencies();
            $this->design->assign("currency", $this->money->get_currency());
            $this->translations->init_translations();
            $this->design->assign('lang', $this->translations);
        }
    }
    
	// Функция отправки письма о регистрации
	public function email_registration($user_id, $password)
	{ 
		if(!($user = $this->users->get_user(intval($user_id))))
			return false;

		$this->design->assign('password', $password);
		$this->design->assign('user', $user);

		// Отправляем письмо
		$email_template = $this->design->fetch($this->config->root_dir.'admin/design/html/email_registration.tpl');
		$subject = $this->design->get_var('subject');
		$from = ($this->settings->notify_from_name ? $this->settings->notify_from_name. "<noreply@".$_SERVER['HTTP_HOST'].">" : "<noreply@".$_SERVER['HTTP_HOST'].">");
		$this->email($user->email, $subject, $email_template, $from);
	}
	
}
