<?php

require_once('Fast.php');

class Products extends Fast {
    
    private $all_brands = array();

    /*Фильтр по вариантам*/
    public function get_id_products($filter = array()) {        
        // По умолчанию
        $category_id_filter = '';
        $brand_id_filter = '';
        $product_id_filter = '';
        $features_filter = '';
        $visible_filter = '';
        $in_stock_filter = '';
        $order = 'p.position DESC';
        
        if(!empty($filter['id'])) {
            $product_id_filter = $this->db->placehold('AND p.id in(?@)', (array)$filter['id']);
        }
        if(!empty($filter['category_id'])) {
            $category_id_filter = $this->db->placehold('INNER JOIN __products_categories pc ON pc.product_id = p.id AND pc.category_id in(?@)', (array)$filter['category_id']);
        }
        if(!empty($filter['brand_id'])) {
            $brand_id_filter = $this->db->placehold('AND p.brand_id in(?@)', (array)$filter['brand_id']);
        }
        if(!empty($filter['in_stock'])) {
            $in_stock_filter = $this->db->placehold('AND (SELECT 1 FROM __variants pv WHERE pv.product_id=p.id AND pv.price>0 AND (pv.stock IS NULL OR pv.stock>0) LIMIT 1) = ?', intval($filter['in_stock']));
        }
        if(!empty($filter['visible'])) {
            $visible_filter = $this->db->placehold('AND p.visible=?', intval($filter['visible']));
        }
        // if(!empty($filter['features']) && !empty($filter['features'])) {            
        //     foreach($filter['features'] as $feature=>$value) {  
        //         $features_filter .= $this->db->placehold('AND p.id in (SELECT product_id FROM __options WHERE feature_id=? AND value=? ) ', $feature, $value);
        //     }
        // }
          if(!empty($filter['features']) && !empty($filter['features'])) {
            foreach($filter['features'] as $feature=>$value) {
                $features_filter .= $this->db->placehold('AND p.id in (SELECT product_id FROM __options WHERE feature_id=? AND translit in(?@) ) ', $feature, (array)$value);
            }
        }
      

        $query = "SELECT p.id
               FROM __products p
               $category_id_filter
               LEFT JOIN __brands b ON p.brand_id = b.id
               WHERE
                   1
                   $product_id_filter
                   $brand_id_filter
                   $features_filter
                   $in_stock_filter
                   $visible_filter
               GROUP BY p.id";

        $query = $this->db->placehold($query);
        $this->db->query($query);
        return $this->db->results('id');
    }
    /*/Фильтр по вариантам*/

    public function get_filter_filter($ff) {
		$filter=array();

		if(is_array($ff))foreach ($ff as $fid => $vs) {
			if($fid=='b'){
				$filter['brand_id']=array_keys($ff['b']);
			}else
			if($fid=='v'){
				if(is_array($vs))foreach ($vs as $k => $v) {
					$filter['variant'][]=$k;	
				}
			}else
			if($fid=='p'){
				$filter['price']['min']=$ff['p']['min'];
				$filter['price']['max']=$ff['p']['max'];
			}else
			if(isset($vs['min'])){
				$filter['features_slider'][$fid]['min']=$vs['min'];
				$filter['features_slider'][$fid]['max']=$vs['max'];
			}else{
				if(is_array($vs))foreach ($vs as $k => $v) {
					$filter['features'][$fid][]=$k;	
				}
			}
			
		}
		return $filter;
    }
	
    public function get_products($filter = array()) {
        // По умолчанию
        $limit = 100;
        $page = 1;
        $category_id_filter = '';
        $brand_id_filter = '';
        $product_id_filter = '';
        $features_filter = '';
        $keyword_filter = '';
        $visible_filter = '';
        $is_featured_filter = '';
        $discounted_filter = '';
        $in_stock_filter = '';
        $has_images_filter = '';
        $yandex_filter = '';
        $group_by = '';
        $order = 'p.position DESC';
        /*поставщики*/
        $supplier_id_filter = '';
        /*/поставщики*/
        
        $lang_id  = $this->languages->lang_id();
        $px = ($lang_id ? 'l' : 'p');
        
        if(isset($filter['limit'])) {
            $limit = max(1, intval($filter['limit']));
        }
        
        if(isset($filter['page'])) {
            $page = max(1, intval($filter['page']));
        }
        
        $sql_limit = $this->db->placehold(' LIMIT ?, ? ', ($page-1)*$limit, $limit);
        
        if(!empty($filter['id'])) {
            $product_id_filter = $this->db->placehold('AND p.id in(?@)', (array)$filter['id']);
        }
        
        if(!empty($filter['category_id'])) {
            $category_id_filter = $this->db->placehold('INNER JOIN __products_categories pc ON pc.product_id = p.id AND pc.category_id in(?@)', (array)$filter['category_id']);
            $group_by = "GROUP BY p.id";
        }
		
        if(!empty($filter['position_gt'])) {
            $product_id_filter .= $this->db->placehold(' AND p.position > ?', $filter['position_gt']);
        }
		
        if(!empty($filter['position_lt'])) {
            $product_id_filter .= $this->db->placehold(' AND p.position < ?', $filter['position_lt']);
        }
		
        /*поставщики*/
        if(!empty($filter['supplier_id']))
        {
            $supplier_id_filter = $this->db->placehold('INNER JOIN __products_suppliers ps ON ps.product_id = p.id AND ps.supplier_id in(?@)', (array)$filter['supplier_id']);
            $group_by = "GROUP BY p.id";
        }
        /*/поставщики*/

        /*Фильтр по вариантам*/
        $variant_filter = '';
        if(isset($filter['variant'])) {
            $variant_filter = $this->db->placehold('AND (SELECT 1 FROM __variants pv WHERE pv.product_id=p.id AND (pv.stock IS NULL OR pv.stock>0) AND pv.translit in (?@) LIMIT 1)', (array)($filter['variant']));
        }
        /*/Фильтр по вариантам*/
        
        if(!empty($filter['brand_id'])) {
            $brand_id_filter = $this->db->placehold('AND p.brand_id in(?@)', (array)$filter['brand_id']);
        }
        
        if(isset($filter['featured'])) {
            $is_featured_filter = $this->db->placehold('AND p.featured=?', intval($filter['featured']));
        }
        
        if(isset($filter['discounted'])) {
            $discounted_filter = $this->db->placehold('AND (SELECT 1 FROM __variants pv WHERE pv.product_id=p.id AND pv.compare_price>0 LIMIT 1) = ?', intval($filter['discounted']));
        }
        
        if(isset($filter['in_stock'])) {
            $in_stock_filter = $this->db->placehold('AND (SELECT count(*)>0 FROM __variants pv WHERE pv.product_id=p.id AND (pv.stock IS NULL OR pv.stock>0) LIMIT 1) = ?', intval($filter['in_stock']));
        }

        if(isset($filter['has_images'])) {
            $has_images_filter = $this->db->placehold('AND (SELECT count(*)>0 FROM __images pi WHERE pi.product_id=p.id LIMIT 1) = ?', intval($filter['has_images']));
        }
        
        if(isset($filter['yandex'])) {
            $yandex_filter = $this->db->placehold('inner join __variants v on v.product_id=p.id and v.yandex=?', intval($filter['yandex']));
        }
        $price_filter = '';
        $variant_join = '';
        $currency_join = '';
        
        $first_currency = $this->money->get_currencies(array('enabled'=>1));
        $first_currency = reset($first_currency);
        $coef = 1;
        if(isset($_SESSION['currency_id']) && $first_currency->id != $_SESSION['currency_id']) {
            $currency = $this->money->get_currency(intval($_SESSION['currency_id']));
            $coef = $currency->rate_from / $currency->rate_to;
        }
        if(isset($filter['price'])) {
            if(isset($filter['price']['min'])) {
                $price_filter .= $this->db->placehold(" AND floor(IF(pv.currency_id=0 OR c.id is null,pv.price, pv.price*c.rate_to/c.rate_from)*$coef)>= ? ", $this->db->escape(trim($filter['price']['min'])));
            }
            if(isset($filter['price']['max'])) {
                $price_filter .= $this->db->placehold(" AND floor(IF(pv.currency_id=0 OR c.id is null,pv.price, pv.price*c.rate_to/c.rate_from)*$coef)<= ? ", $this->db->escape(trim($filter['price']['max'])));
            }
            $variant_join = 'LEFT JOIN __variants pv ON pv.product_id = p.id';
            $currency_join = 'LEFT JOIN __currencies c ON c.id=pv.currency_id';
        }
        
        if(isset($filter['visible'])) {
            $visible_filter = $this->db->placehold('AND p.visible=?', intval($filter['visible']));
        }
        
        if(!empty($filter['sort'])) {
            switch ($filter['sort']) {
                case 'position_desc':
                    $order = 'p.position DESC';
                    break;
				case 'position':
                    $order = 'p.position ASC';
                    break;
                case 'name':
                    $order = 'p.name ASC';
                    break;
                case 'name_desc':
                    $order = 'p.name DESC';
                    break;
                case 'rating':
                    $order = 'p.rating ASC';
                    break;
				case 'random':
					$order = 'RAND()';
					break;
                case 'rating_desc':
                    $order = 'p.rating DESC';
                    break;
                case 'created':
                    $order = 'p.created DESC';
                    break;
                case 'price':
                    $order = "(SELECT -floor(IF(pv.currency_id=0 OR c.id is null,pv.price, pv.price*c.rate_to/c.rate_from)*$coef) 
                        FROM __variants pv 
                        LEFT JOIN s_currencies c on c.id=pv.currency_id 
                        WHERE 
                            p.id = pv.product_id 
                            AND pv.position=(SELECT MIN(position) 
                                FROM __variants 
                                WHERE 
                                    product_id=p.id LIMIT 1
                            ) 
                        LIMIT 1) DESC";
                    break;
                case 'price_desc':
                    $order = "(SELECT -floor(IF(pv.currency_id=0 OR c.id is null,pv.price, pv.price*c.rate_to/c.rate_from)*$coef)
                        FROM __variants pv
                        LEFT JOIN s_currencies c on c.id=pv.currency_id
                        WHERE
                            p.id = pv.product_id
                            AND pv.position=(SELECT MIN(position)
                                FROM __variants
                                WHERE
                                    product_id=p.id LIMIT 1
                            )
                        LIMIT 1) ASC";
                    break;
            }
        }
        
        if(!empty($filter['keyword'])) {
            $keywords = explode(' ', $filter['keyword']);
            foreach($keywords as $keyword) {
                $kw = $this->db->escape(trim($keyword));
                if($kw!=='') {
                    $keyword_filter .= $this->db->placehold("AND (
                        $px.name LIKE '%$kw%' 
                        OR $px.meta_keywords LIKE '%$kw%' 
						OR $px.body LIKE '%$kw%' /* поиск по описанию */
                        OR p.id in (SELECT product_id FROM __variants WHERE sku LIKE '%$kw%') 
                    ) ");
                }
            }
        }
        
        if(!empty($filter['features']) && !empty($filter['features'])) {
            foreach($filter['features'] as $feature=>$value) {
                $features_filter .= $this->db->placehold('AND p.id in (SELECT product_id FROM __options WHERE feature_id=? AND translit in(?@) ) ', $feature, (array)$value);
            }
        }

        /*features_slider*/
        $features_slider_filter = '';
        if (!empty($filter['features_slider'])) {
            foreach($filter['features_slider'] as $feature=>$value) {
                $features_slider_filter .= $this->db->placehold('AND p.id in (SELECT product_id FROM __options WHERE feature_id=? AND CAST(value AS DECIMAL(14,2)) >= CAST(? AS DECIMAL(14,2)) and CAST(value AS DECIMAL(14,2)) <= CAST(? AS DECIMAL(14,2)) ) ', $feature, floatval($value['min']), floatval($value['max']));
            }
        }
        /*/features_slider*/
        
        $lang_sql = $this->languages->get_query(array('object'=>'product'));
        $query = "SELECT DISTINCT
                p.id,
                p.url,
                p.brand_id,
                p.position,
                p.created as created,
                p.visible,
                p.featured,
                p.rating,
                p.votes,
                p.last_modify,
                $lang_sql->fields
            FROM __products p
            $lang_sql->join
            $category_id_filter
            /*поставщики*/$supplier_id_filter/*/поставщики*/
            $variant_join
            $currency_join
            $yandex_filter
            WHERE
                1
                $product_id_filter
                $brand_id_filter
                $features_filter
                $keyword_filter
                /*Фильтр по вариантам*/
                $variant_filter
                /*/Фильтр по вариантам*/
                $is_featured_filter
                $discounted_filter
                /*features_slider*/
                $features_slider_filter
                /*/features_slider*/
                $in_stock_filter
                $has_images_filter
                $visible_filter
                $price_filter
                $group_by
            ORDER BY ".(preg_match('@/admin/@', $_SERVER['REQUEST_URI']) ? '' : ' (SELECT 1 FROM __variants pv WHERE pv.product_id=p.id AND pv.price>0 AND (pv.stock IS NULL OR pv.stock>0) LIMIT 1)=1  DESC, ')." $order
            $sql_limit
        ";
		if($filter['sql_only']){
			return $query;
		}
if(isset($_REQUEST['debug'])) {echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($query); echo "</PRE></div>"; };
        $this->db->query($query);
        $products = $this->db->results();
        
        return $products;
    }
    
    public function count_products($filter = array()) {
        $category_id_filter = '';
        $brand_id_filter = '';
        $product_id_filter = '';
        $keyword_filter = '';
        $visible_filter = '';
        $is_featured_filter = '';
        $in_stock_filter = '';
        $has_images_filter = '';
        $yandex_filter = '';
        $discounted_filter = '';
        $features_filter = '';
        /*поставщики*/
        $supplier_id_filter = '';
        /*/поставщики*/
        
        $lang_id  = $this->languages->lang_id();
        $px = ($lang_id ? 'l' : 'p');

        /*Фильтр по вариантам*/
        $variant_filter = '';
        if(isset($filter['variant'])) {
            $variant_filter = $this->db->placehold('AND (SELECT 1 FROM __variants pv WHERE pv.product_id=p.id AND (pv.stock IS NULL OR pv.stock>0) AND pv.translit in (?@) LIMIT 1)', (array)($filter['variant']));
        }
        /*/Фильтр по вариантам*/
        
        if(!empty($filter['category_id'])) {
            $category_id_filter = $this->db->placehold('INNER JOIN __products_categories pc ON pc.product_id = p.id AND pc.category_id in(?@)', (array)$filter['category_id']);
        }

        /*поставщики*/
        if(!empty($filter['supplier_id']))
            $supplier_id_filter = $this->db->placehold('INNER JOIN __products_suppliers ps ON ps.product_id = p.id AND ps.supplier_id in(?@)', (array)$filter['supplier_id']);
        /*/поставщики*/
        
        if(!empty($filter['brand_id'])) {
            $brand_id_filter = $this->db->placehold('AND p.brand_id in(?@)', (array)$filter['brand_id']);
        }
        
        if(!empty($filter['id'])) {
            $product_id_filter = $this->db->placehold('AND p.id in(?@)', (array)$filter['id']);
        }

        if(!empty($filter['position_gt'])) {
            $product_id_filter .= $this->db->placehold(' AND p.position > ?', $filter['position_gt']);
        }
        if(!empty($filter['position_lt'])) {
            $product_id_filter .= $this->db->placehold(' AND p.position < ?', $filter['position_lt']);
        }
		
        if(isset($filter['keyword'])) {
            $keywords = explode(' ', $filter['keyword']);
            foreach($keywords as $keyword) {
                $kw = $this->db->escape(trim($keyword));
                if($kw!=='') {
                    $keyword_filter .= $this->db->placehold("AND (
                        $px.name LIKE '%$kw%' 
                        OR $px.meta_keywords LIKE '%$kw%' 
                        OR p.id in (SELECT product_id FROM __variants WHERE sku LIKE '%$kw%') 
                    ) ");
                }
            }
        }
        
        if(isset($filter['featured'])) {
            $is_featured_filter = $this->db->placehold('AND p.featured=?', intval($filter['featured']));
        }
        
        if(isset($filter['in_stock'])) {
            $in_stock_filter = $this->db->placehold('AND (SELECT count(*)>0 FROM __variants pv WHERE pv.product_id=p.id AND (pv.stock IS NULL OR pv.stock>0) LIMIT 1) = ?', intval($filter['in_stock']));
        }

        if(isset($filter['has_images'])) {
            $has_images_filter = $this->db->placehold('AND (SELECT count(*)>0 FROM __images pi WHERE pi.product_id=p.id LIMIT 1) = ?', intval($filter['has_images']));
        }
        
        if(isset($filter['yandex'])) {
            $yandex_filter = $this->db->placehold('inner join __variants v on v.product_id=p.id and v.yandex=?', intval($filter['yandex']));
        }
        $price_filter = '';
        $variant_join = '';
        $select = 'count(distinct p.id) as count';
        $currency_join = '';
        
        $first_currency = $this->money->get_currencies(array('enabled'=>1));
        $first_currency = reset($first_currency);
        $coef = 1;
        if(isset($_SESSION['currency_id']) && $first_currency->id != $_SESSION['currency_id']) {
            $currency = $this->money->get_currency(intval($_SESSION['currency_id']));
            $coef = $currency->rate_from / $currency->rate_to;
        }
        if(isset($filter['get_price'])) {
            $variant_join = 'LEFT JOIN __variants pv ON pv.product_id = p.id';
            $currency_join = 'LEFT JOIN __currencies c ON c.id=pv.currency_id';
            $select = "
                floor(min(IF(pv.currency_id=0 OR c.id is null,pv.price, pv.price*c.rate_to/c.rate_from)*$coef)) as min,
                floor(max(IF(pv.currency_id=0 OR c.id is null,pv.price, pv.price*c.rate_to/c.rate_from)*$coef)) as max
            ";
        } elseif(isset($filter['price'])) {
            if(isset($filter['price']['min'])) {
                $price_filter .= $this->db->placehold(" AND floor(IF(pv.currency_id=0 OR c.id is null,pv.price, pv.price*c.rate_to/c.rate_from)*$coef)>= ? ", $this->db->escape(trim($filter['price']['min'])));
            }
            if(isset($filter['price']['max'])) {
                $price_filter .= $this->db->placehold(" AND floor(IF(pv.currency_id=0 OR c.id is null,pv.price, pv.price*c.rate_to/c.rate_from)*$coef)<= ? ", $this->db->escape(trim($filter['price']['max'])));
            }
            $variant_join = 'LEFT JOIN __variants pv ON pv.product_id = p.id';
            $currency_join = 'LEFT JOIN __currencies c ON c.id=pv.currency_id';
        }
        
        if(isset($filter['discounted'])) {
            $discounted_filter = $this->db->placehold('AND (SELECT 1 FROM __variants pv WHERE pv.product_id=p.id AND pv.compare_price>0 LIMIT 1) = ?', intval($filter['discounted']));
        }
        
        if(isset($filter['visible'])) {
            $visible_filter = $this->db->placehold('AND p.visible=?', intval($filter['visible']));
        }
        
        if(!empty($filter['features']) && !empty($filter['features'])) {
            foreach($filter['features'] as $feature=>$value) {
                $features_filter .= $this->db->placehold('AND p.id in (SELECT product_id FROM __options WHERE feature_id=? AND translit in(?@) ) ', $feature, (array)$value);
            }
        }

        /*features_slider*/
        $features_slider_filter = '';
        if (!empty($filter['features_slider'])) {
            foreach($filter['features_slider'] as $feature=>$value) {
                $features_slider_filter .= $this->db->placehold('AND p.id in (SELECT product_id FROM __options WHERE feature_id=? AND CAST(value AS DECIMAL(14,2)) >= CAST(? AS DECIMAL(14,2)) and CAST(value AS DECIMAL(14,2)) <= CAST(? AS DECIMAL(14,2)) ) ', $feature, floatval($value['min']), floatval($value['max']));
            }
        }
        /*/features_slider*/
        
        $lang_sql = $this->languages->get_query(array('object'=>'product'));
        $query = "SELECT $select
            FROM __products AS p
            $lang_sql->join
            $category_id_filter
            /*поставщики*/$supplier_id_filter/*/поставщики*/
            $yandex_filter
            $variant_join
            $currency_join
            WHERE 
                1
                $brand_id_filter
                $product_id_filter
                $keyword_filter
                /*Фильтр по вариантам*/
                $variant_filter
                /*/Фильтр по вариантам*/ 
                $is_featured_filter
                $in_stock_filter
                $has_images_filter
                $discounted_filter
                /*features_slider*/
                $features_slider_filter
                /*/features_slider*/
                $visible_filter
                $features_filter
                $price_filter
        ";
        $this->db->query($query);
        if(isset($filter['get_price'])) {
            return $this->db->result();
        } else {
            return $this->db->result('count');
        }
    }
    
    public function get_product($id) {
        if (empty($id)) {
            return false;
        }
        if(is_int($id)) {
            $filter = $this->db->placehold('AND p.id = ?', $id);
        } else {
            $filter = $this->db->placehold('AND p.url = ?', $id);
        }
        
        $lang_sql = $this->languages->get_query(array('object'=>'product'));
        $query = "SELECT DISTINCT
                p.id,
                p.url,
                p.brand_id,
                p.position,
                p.created as created,
                p.visible,
                p.featured,
                p.rating,
                p.votes,
                p.last_modify,
                $lang_sql->fields
            FROM __products AS p
            $lang_sql->join
            WHERE 
                1 
                $filter
            GROUP BY p.id
            LIMIT 1
        ";
        $this->db->query($query);
        $product = $this->db->result();
        return $product;
    }
    
    public function update_product($id, $product) {
        $product = (object)$product;
        $result = $this->languages->get_description($product, 'product');
        
        $product->last_modify = date("Y-m-d H:i:s");
        $query = $this->db->placehold("UPDATE __products SET ?% WHERE id in (?@) LIMIT ?", $product, (array)$id, count((array)$id));
        if($this->db->query($query)) {
            if(!empty($result->description)) {
                $this->languages->action_description($id, $result->description, 'product', $this->languages->lang_id());
            }
            return $id;
        } else {
            return false;
        }
    }
    
    public function add_product($product) {
        $product = (array) $product;
        if(empty($product['url'])) {
            $product['url'] = preg_replace("/[\s]+/ui", '-', $product['name']);
            $product['url'] = strtolower(preg_replace("/[^0-9a-zа-я\-]+/ui", '', $product['url']));
        }
        
        // Если есть товар с таким URL, добавляем к нему число
        while($this->get_product((string)$product['url'])) {
            if(preg_match('/(.+)_([0-9]+)$/', $product['url'], $parts)) {
                $product['url'] = $parts[1].'_'.($parts[2]+1);
            } else {
                $product['url'] = $product['url'].'_2';
            }
        }
        
        $product = (object)$product;
        $result = $this->languages->get_description($product, 'product');
        
        $product->last_modify = date("Y-m-d H:i:s");
        if($this->db->query("INSERT INTO __products SET ?%", $product)) {
            $id = $this->db->insert_id();
            $this->db->query("UPDATE __products SET position=id WHERE id=?", $id);
            
            if(!empty($result->description)) {
                $this->languages->action_description($id, $result->description, 'product');
            }
            return $id;
        } else {
            return false;
        }
    }
    
    public function delete_product($id) {
        if(!empty($id)) {
            // Удаляем варианты
            $variants = $this->variants->get_variants(array('product_id'=>$id));
            foreach($variants as $v) {
                $this->variants->delete_variant($v->id);
            }
            
            // Удаляем изображения
            $images = $this->get_images(array('product_id'=>$id));
            foreach($images as $i) {
                $this->delete_image($i->id);
            }
            
            // Удаляем категории
            $categories = $this->categories->get_categories(array('product_id'=>$id));
            foreach($categories as $c) {
                $this->categories->delete_product_category($id, $c->id);
            }
            
            // Удаляем свойства
            $options = $this->features->get_options(array('product_id'=>$id));
            foreach($options as $o) {
                $this->features->delete_option($id, $o->feature_id);
            }
            
            // Удаляем связанные товары
            $related = $this->get_related_products($id);
            foreach($related as $r) {
                $this->delete_related_product($id, $r->related_id);
            }
            
            // Удаляем товар из связанных с другими
            $query = $this->db->placehold("DELETE FROM __related_products WHERE related_id=?", intval($id));
            $this->db->query($query);
            
            // Удаляем отзывы
            $comments = $this->comments->get_comments(array('object_id'=>$id, 'type'=>'product'));
            foreach($comments as $c) {
                $this->comments->delete_comment($c->id);
            }
            
            // Удаляем из покупок
            $this->db->query('UPDATE __purchases SET product_id=NULL WHERE product_id=?', intval($id));
            
            //lastModify
            $this->db->query('select brand_id from __products where id=?', intval($id));
            $bid = (int)$this->db->result('brand_id');
            if ($bid) {
                $this->db->query('update __brands set last_modify=now() where id=?', $bid);
            }
            
            // Удаляем языки
            $query = $this->db->placehold("DELETE FROM __lang_products WHERE product_id=?", intval($id));
            $this->db->query($query);
            
            // Удаляем товар
            $query = $this->db->placehold("DELETE FROM __products WHERE id=? LIMIT 1", intval($id));
            if($this->db->query($query)) {
                return true;
            }
        }
        return false;
    }
    
    public function duplicate_product($id) {
        $product = $this->get_product($id);
        $product->id = null;
        $product->external_id = '';
        unset($product->created);
        
        // Сдвигаем товары вперед и вставляем копию на соседнюю позицию
        $this->db->query('UPDATE __products SET position=position+1 WHERE position>?', $product->position);
        $new_id = $this->products->add_product($product);
        $this->db->query('UPDATE __products SET position=? WHERE id=?', $product->position+1, $new_id);
        
        //lastModify
        if ($product->brand_id > 0) {
            $this->db->query('update __brands set last_modify=now() where id=?', intval($product->brand_id));
        }
        
        // Очищаем url
        $this->db->query('UPDATE __products SET url="" WHERE id=?', $new_id);
        
        // Дублируем категории
        $categories = $this->categories->get_product_categories($id);
        foreach($categories as $i=>$c) {
            $this->categories->add_product_category($new_id, $c->category_id, $i);
        }
        
        // Дублируем изображения
        $images = $this->get_images(array('product_id'=>$id));
        /*изображение варианта*/
        $old_new_images = array();
        /*/изображение варианта*/
        foreach($images as $image) {
            /*изображение варианта*/$old_new_images[$image->id] = /*/изображение варианта*/
            $this->add_image($new_id, $image->filename);
        }
        
        // Дублируем варианты
        $variants = $this->variants->get_variants(array('product_id'=>$id));
        foreach($variants as $variant) {
            $variant->product_id = $new_id;
            unset($variant->id);
            if($variant->infinity) {
                $variant->stock = null;
            }
            unset($variant->infinity);
            unset($variant->rate_from);unset($variant->rate_to);
            $variant->external_id = '';
             /*изображение варианта*/
            $new_variant_images = array();
            foreach ($variant->images as $iid) {
                if (isset($old_new_images[$iid])) {
                    $new_variant_images[] = $old_new_images[$iid];
                }
            }
            $variant->images = implode(',', $new_variant_images);
            /*/изображение варианта*/
            $this->variants->add_variant($variant);
        }
        
        // Дублируем свойства
        $options = $this->features->get_options(array('product_id'=>$id));
        foreach($options as $o) {
            $this->features->update_option($new_id, $o->feature_id, $o->value);
        }
        
        // Дублируем связанные товары
        $related = $this->get_related_products($id);
        foreach($related as $r) {
            $this->add_related_product($new_id, $r->related_id);
        }
        
        $this->multi_duplicate_product($id, $new_id);
        return $new_id;
    }
    
    public function get_related_products($product_id = array()) {
        if(empty($product_id)) {
            return array();
        }
        
        $product_id_filter = $this->db->placehold('AND product_id in(?@)', (array)$product_id);
        
        $query = $this->db->placehold("SELECT 
                product_id, 
                related_id, 
                position
            FROM __related_products
            WHERE
                1
                $product_id_filter
            ORDER BY position
        ");
        $this->db->query($query);
        return $this->db->results();
    }
    
    public function add_related_product($product_id, $related_id, $position=0) {
        $query = $this->db->placehold("INSERT IGNORE INTO __related_products SET product_id=?, related_id=?, position=?", $product_id, $related_id, $position);
        $this->db->query($query);
        return $related_id;
    }
    
    public function delete_related_product($product_id, $related_id) {
        $query = $this->db->placehold("DELETE FROM __related_products WHERE product_id=? AND related_id=? LIMIT 1", intval($product_id), intval($related_id));
        $this->db->query($query);
    }
    
    public function get_images($filter = array()) {
        $product_id_filter = '';
        if(!empty($filter['product_id'])) {
            $product_id_filter = $this->db->placehold('AND i.product_id in(?@)', (array)$filter['product_id']);
        }
        
        // images
        $query = $this->db->placehold("SELECT 
                i.id, 
                i.product_id, 
                i.name, 
                i.filename, 
                i.position
            FROM __images AS i 
            WHERE 
                1 
                $product_id_filter 
            ORDER BY i.product_id, i.position
        ");
        $this->db->query($query);
        return $this->db->results();
    }
    
    public function add_image($product_id, $filename, $name = '') {
        $query = $this->db->placehold("SELECT id FROM __images WHERE product_id=? AND filename=?", $product_id, $filename);
        $this->db->query($query);
        $id = $this->db->result('id');
        if(empty($id)) {
            $query = $this->db->placehold("INSERT INTO __images SET product_id=?, filename=?", $product_id, $filename);
            $this->db->query($query);
            $id = $this->db->insert_id();
            $query = $this->db->placehold("UPDATE __images SET position=id WHERE id=?", $id);
            $this->db->query($query);
        }
        return($id);
    }
    
    public function update_image($id, $image) {
        $query = $this->db->placehold("UPDATE __images SET ?% WHERE id=?", $image, $id);
        $this->db->query($query);
        return($id);
    }
    
    public function delete_image($id) {
        $query = $this->db->placehold("SELECT filename FROM __images WHERE id=?", $id);
        $this->db->query($query);
        $filename = $this->db->result('filename');
        $query = $this->db->placehold("DELETE FROM __images WHERE id=? LIMIT 1", $id);
        $this->db->query($query);
        $query = $this->db->placehold("SELECT count(*) as count FROM __images WHERE filename=? LIMIT 1", $filename);
        $this->db->query($query);
        $count = $this->db->result('count');
        if($count == 0) {
            $file = pathinfo($filename, PATHINFO_FILENAME);
            $ext = pathinfo($filename, PATHINFO_EXTENSION);
            
            // Удалить все ресайзы
            $rezised_images = glob($this->config->root_dir.$this->config->resized_images_dir.$file.".*x*.".$ext);
            if(is_array($rezised_images)) {
                foreach ($rezised_images as $f) {
                    @unlink($f);
                }
            }
            
            @unlink($this->config->root_dir.$this->config->original_images_dir.$filename);
        }
    }

    public function get_neighbors_products($category_id, $position) {
		
        $result = array('next'=>'', 'prev'=>'');

		if(isset($_COOKIE['cat'.$category_id])){
			$ff=unserialize($_COOKIE['cat'.$category_id]);
			$gfp = $this->products->get_filter_filter($ff);
		}else
			$gfp=array();

		$gfp['category_id']=$category_id;
		$gfp['position_gt']=$position;
		$gfp['limit']=1;
		$gfp['visible']=1;
         $p=$this->get_products($gfp);
		 if($p){
			 $p=reset($p);
             $result['next'] = $p;
         }

		$gfp['category_id']=$category_id;
		unset($gfp['position_gt']);
		$gfp['position_lt']=$position;
		$gfp['limit']=1;
		$gfp['visible']=1;

         $p=$this->get_products($gfp);
		 if($p){
			 $p=reset($p);
             $result['prev'] = $p;
         }
		
		return $result;
    }																	 

    public function multi_duplicate_product($id, $new_id) {
        $lang_id = $this->languages->lang_id();
        if (!empty($lang_id)) {
            $languages = $this->languages->get_languages();
            $prd_fields = $this->languages->get_fields('products');
            $variant_fields = $this->languages->get_fields('variants');
            foreach ($languages as $language) {
                if ($language->id != $lang_id) {
                    $this->languages->set_lang_id($language->id);
                    //Product
                    if (!empty($prd_fields)) {
                        $old_prd = $this->get_product($id);
                        $upd_prd = new stdClass();
                        foreach($prd_fields as $field) {
                            $upd_prd->{$field} = $old_prd->{$field};
                        }
                        $this->update_product($new_id, $upd_prd);
                    }
                    
                    // Дублируем варианты
                    if (!empty($variant_fields)) {
                        $variants = $this->variants->get_variants(array('product_id'=>$new_id));
                        $old_variants = $this->variants->get_variants(array('product_id'=>$id));
                        foreach($old_variants as $i=>$old_variant) {
                            $upd_variant = new stdClass();
                            foreach ($variant_fields as $field) {
                                $upd_variant->{$field} = $old_variant->{$field};
                            }
                            $this->variants->update_variant($variants[$i]->id, $upd_variant);
                        }
                    }
            		
                    // Дублируем свойства
                    $options = $this->features->get_options(array('product_id'=>$id));
                    foreach($options as $o) {
                        $this->features->update_option($new_id, $o->feature_id, $o->value);
                    }
                    
                    $this->languages->set_lang_id($lang_id);
                }
            }
        }
    }
}
