<div class="purchase-list list-border">

	<div class="purchase-row purchase-main hidden-md-down bg-light">
		{* Изображение *}
		<div class="purchase-img hidden-md-down text-lg-center">
			<span data-language="{$translate_id['cart_head_img']}">{$lang->cart_head_img}</span>
		</div>

		{* Название *}
		<div class="purchase-name">
			<span data-language="{$translate_id['cart_head_name']}">{$lang->cart_head_name}</span>
		</div>

		{* Цена за ед. *}
		<div class="purchase-price hidden-md-down">
			<span data-language="{$translate_id['cart_head_price']}">{$lang->cart_head_price},{$settings->units}</span>
		</div>

		<div class="purchase-column">
			<div class="purchase-list">
				<div class="purchase-row">
					{* Количество *}
					<div class="purchase-amount text-lg-center">
						<span data-language="{$translate_id['cart_head_amoun']}">{$lang->cart_head_amoun}</span>
					</div>

					{* Общая цена *}
					<div class="purchase-full-price">
						<span data-language="{$translate_id['cart_head_total']}">{$lang->cart_head_total}</span>
					</div>

					{* Кнопка удаления *}
					<div class="purchase-remove"></div>

				</div>
			</div>
		</div>
	</div>

	{foreach $cart->purchases as $purchase}
		<div class="purchase-row purchase-main">
			{* Изображение *}
			<div class="purchase-img hidden-md-down">
			
				{*изображение варианта*}
                {if $purchase->variant->image}
                    {$image = $purchase->variant->image}
                {else}
                {*/изображение варианта*}
				{$image = $purchase->product->images|first}
				{*изображение варианта*}
                {/if}
                {*/изображение варианта*}		
				
                <a href="/{$lang_link}products/{$purchase->product->url}">
                    {if $image}
                        <img src="{$image->filename|resize:50:50}" alt="{$purchase->product->name|escape}" title="{$purchase->product->name|escape}">
                    {else}
                        <img width="50" height="50" src="design/{$settings->theme}/images/noimage.jpg" alt=""/>
                    {/if}
                </a>
			</div>

			{* Название *}
			<div class="purchase-name left inlink">
				<a href="/{$lang_link}products/{$purchase->product->url}">{$purchase->product->name|escape}</a>
				{$purchase->variant->name|escape}
                {if $purchase->variant->stock == 0 || $purchase->variant->price == 0}
                    <label class="btn-info cart_preorder text-caps m-l-1">
                        {$lang->product_pre_order}
                    </label>
                {/if}
			</div>

			{* Цена за ед. *}
			<div class="purchase-price hidden-md-down normal">
				{($purchase->variant->price)|convert} {$currency->sign}
			</div>

			<div class="purchase-column">
				<div class="purchase-list">
					<div class="purchase-row">
						{* Количество *}
						<div class="purchase-amount">
							<div class="pro_product-amount{if $settings->is_preorder} pro_is_preorder{/if}  left text-lg-center">								
								<div class="amount">
									<span class="minus">&minus;</span>
									<input class="form-control" type="text" data-id="{$purchase->variant->id}" name="amounts[{$purchase->variant->id}]" value="{$purchase->amount}" onblur="ajax_change_amount(this, {$purchase->variant->id});" data-max="{$purchase->variant->stock}">
									<span class="plus">&plus;</span>
								</div>
							</div>
						</div>

						{* Общая цена *}
						<div class="purchase-full-price right">
							{($purchase->variant->price*$purchase->amount)|convert}&nbsp;{$currency->sign}
						</div>

						{* Кнопка удаления *}
						<div class="purchase-remove right">
							<a class="f-cancel" href="/{$lang_link}cart/remove/{$purchase->variant->id}" onclick="return confirm('Удалить товар?'); ajax_remove({$purchase->variant->id});return false;" title="{$lang->cart_remove}"></a>
						</div>
					</div>
				</div>
			</div>
		</div>
	{/foreach}
</div>
{if $user->discount}
	<div class="purchase-list">
		<div class="purchase-row purchase-main">
			<div class="purchase-img hidden-md-down"></div>
			<div class="purchase-name hidden-md-down"></div>
			<div class="purchase-price hidden-md-down"></div>
			<div class="purchase-column">
				<div class="purchase-list">
					<div class="purchase-row">
						<div class="purchase-amount">
							<span data-language="{$translate_id['cart_discount']}">{$lang->cart_discount}</span>:
						</div>
						{* Скидка *}
						<div class="purchase-full-price">{$user->discount}%</div>
						<div class="purchase-remove hidden-md-down"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
{/if}

{*скидка от суммы заказа*}
{if $cart->sum_discount}
    <div class="purchase-list p-t-1-md_down border-t-1-info_md-down">
        <div class="purchase-row purchase-main">
            <div class="purchase-img hidden-md-down"></div>
            <div class="purchase-name hidden-md-down"></div>
            <div class="purchase-price hidden-md-down"></div>
            <div class="purchase-column">
                <div class="purchase-list">
                    <div class="purchase-row">
                        <div class="purchase-amount">
                            <span>Скидка</span>:
                        </div>
                        {* Скидка *}
                        <div class="purchase-full-price">
                            {*if $cart->discounts->type=='absolute'}{$cart->discounts->value|convert} {$currency->sign}{else}{$cart->discounts->value}%{/if*}
                            {$cart->sum_discount|convert} {$currency->sign}
                        </div>
                        <div class="purchase-remove hidden-md-down"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{/if}
				
<div class="purchase-list">
	<div class="purchase-row purchase-main">
		<div class="purchase-img hidden-md-down"></div>
		<div class="purchase-name hidden-md-down"></div>
		<div class="purchase-price hidden-md-down"></div>
		<div class="purchase-column">
			<div class="purchase-list">
				<div class="purchase-row">
					<div class="purchase-amount score font-weight-bold0">
						<span data-language="{$translate_id['cart_total_price']}">{$lang->cart_total_price}</span>:
					</div>
					{* Итоговая цена *}
					<div class="purchase-full-price font-weight-bold text-lg-center price">{$cart->total_price|convert} {$currency->sign}</div>
					<div class="purchase-remove hidden-md-down"></div>
				</div>
			</div>
		</div>
	</div>
</div>

{if $coupon_request}
	{* Ошибка купона *}
	{if $coupon_error}
		<div class="error">
			{if $coupon_error == 'invalid'}
				{$lang->cart_coupon_error}
			{/if}
		</div>
	{/if}
	{if $cart->coupon->min_order_price > 0}
		<div class="p-y-05 m-t-1">
			{$lang->cart_coupon} {$cart->coupon->code|escape} {$lang->cart_coupon_min} {$cart->coupon->min_order_price|convert} {$currency->sign}
		</div>
	{/if}

	<div class="purchase-list">
		<div class="purchase-row purchase-main">
			
			{*if $cart->coupon_discount == 0*}
			<div class="purchase-img text-sm" data-language="{$translate_id['cart_coupon']}">
					{*$lang->cart_coupon*}
					Код купона для дополнительной скидки
			</div>
			<div class="purchase-name border-b-1-info_md-down form-inline">
				{* Купон *}
				<div class="form-group m-b-0">
					<input type="text" name="coupon_code" value="{$cart->coupon->code|escape}" class="pro_coupon  form-control"/>
				</div>

				<div class="form-group m-b-0">
					<input class="pro_sub-coupon  btn btn-primary" type="button" value="{$lang->cart_purchases_coupon_apply}">
				</div>
			</div>
			{*/if*}
			
			<div class="purchase-price hidden-md-down"></div>
			<div class="purchase-column">
				<div class="purchase-list">
					<div class="purchase-row">
							{if $cart->coupon_discount > 0}
						<div class="purchase-amount0 btn-success p-a-sm">
								Скидка по промо коду: {$cart->coupon_discount|convert}&nbsp;{$currency->sign}
						</div>
							{/if}
					</div>
				</div>
			</div>
		</div>
	</div>
{/if}


{*min_total_price*}
{if $cart->total_price < $settings->min_order_price}
<div class="purchase-list">
	<div class="purchase-row purchase-main">
		<div class="cart_min_total_price">
		 	<span data-language="{$translate_id['cart_min_total_price']}">{$lang->cart_min_total_price}</span> {$settings->min_order_price|convert} {$currency->sign}
		 </div>
	</div>
</div>
{/if}			
{*/min_total_price*}
