{* Комментарии *}
<div class="row">

	{* Список с отзывами *}
	<div class="col-xs-12 col-md-12 col-lg-6 comm-list m-t-1 {if !$comments}hidden-md-down{/if}">
		<div class="p-a-1 bg-light line border">
			{if $comments}
				{function name=comments_tree level=0}
					{foreach $comments as $comment}

						{* Якорь отзыва *}
						<a class="link_reviev" name="comment_{$comment->id}"></a>

						<div class="lev{$level} comm-block{if $comment->name =='Администратор'} adm{/if}" itemprop="review" itemscope itemtype="http://schema.org/Review">

							{* Имя клиента *}
							<div class="name text-xs-left ico-comm">
								<span itemprop="author">{$comment->name|escape}</span>
								{* Дата отзыва *}
								<i> {$comment->date|date}, {$comment->date|time}</i>
								<meta itemprop="datePublished" content="{$comment->date|date} {$comment->date|time}">
							</div>

							<div class="text text-xs-left">
								{* Статус отзыва *}
								{if !$comment->approved}
								<a class='b-block text-bold text-underline' href='/admin/index.php?module=CommentsAdmin' target="blank" data-language="{$translate_id['post_comment_status']}" style="color:red">{$lang->post_comment_status}</a>
								{/if}

								{* Тело отзыва *}
								<span itemprop="description">{$comment->text|escape|nl2br}</span>

								{if isset($children[$comment->id])}
								{comments_tree comments=$children[$comment->id] level=$level+1}
								{/if}
							</div>

						</div>
					{/foreach}
				{/function}
				{comments_tree comments=$comments}
			{else}
			
				<h2 class="hidden">Отзывы</h2>
				
				<strong class="h2 d-block" data-language="{$translate_id['product_comment_header']}">{$lang->product_comment_header}</strong>
				<p>Оставьте первый отзыв о товаре "{$product->name|escape}". Он будет полезен для других посетителей интернет-магазина.</p>
						
			{/if}
																		  
		</div>
	</div>


	{* Форма отправления отзыва *}
	<div class="col-xs-12 col-md-12 col-lg-6 m-t-1">
		<form class="border form p-a-1 bg-light line{if $openC} comment{/if}" method="post"{if $openC} action="products/{$product->url}"{/if}>

			<strong class="h2 d-block" data-language="{$translate_id['product_write_comment']}">
				{$lang->product_write_comment}
			</strong>

			{* Вывод ошибок формы *}
			<div class="error" {if !$error} style="display:none"{/if}>
			{if $error}
				{if $error=='captcha'}					<span data-language="{$translate_id['form_error_captcha']}">{$lang->form_error_captcha}</span>
				{elseif $error=='empty_name'}			<span data-language="{$translate_id['form_enter_name']}">{$lang->form_enter_name}</span>
				{elseif $error=='empty_comment'}		<span data-language="{$translate_id['form_enter_comment']}">{$lang->form_enter_comment}</span>
				{/if}
			{/if}
			</div>

			<div class="row">
				<div class="col-xs-12 col-lg-5 form-group">
					{* Имя покупателя *}
					<div class="m-b-1">
						<input class="form-control" type="text" name="name" data-format=".+" data-notice="{$lang->form_enter_name}" value="{$comment_name|escape}" data-language="{$translate_id['form_name']}" placeholder="{$lang->form_name}*"/>
					</div>
					
					{* Ловушка для бота *}
					<div class="hidden">
						<input id="lastname" class="m-a-1" data-format=".+" data-notice="Введите фамилию" name="lastname" type="text" placeholder="Фамилия*"/>
					</div>
					
					{* Почта пользователя *}
					<div>
						<input class="form-control" type="text" name="email" data-format="email" data-notice="{$lang->form_enter_email}" value="{$comment_email|escape}" data-language="{$translate_id['form_email']}" placeholder="{$lang->form_email}*"/>
					</div>
				</div>

				{* Текст отзыва *}
				<div class="col-xs-12 col-lg-7 form-group">
					<textarea class="form-control" rows="4" name="text" data-format=".+" data-notice="{$lang->form_enter_comment}" data-language="{$translate_id['form_enter_comment']}" placeholder="{$lang->form_enter_comment}*">{$comment_text}</textarea>
				</div>
			</div>

			{if $settings->captcha_product}
			<div class="form-group m-a-0 p-l-0 relative col-lg-8">
			
				{* Изображение капчи *}
				<div class="form-group captcha" onclick="$(this).find('img').prop('src', 'captcha/image.php?'+ Math.random())">
					<img src="captcha/image.php" alt="captcha" title="captcha, Кликните для изменения капчи" />
				</div>
				
				{* Поле ввода капчи *}
				<input class="form-control input_captcha m-r-1" type="text" name="captcha_code" value="" data-format="\d\d\d\d\d" data-notice="{$lang->form_enter_captcha}" data-language="{$translate_id['form_enter_captcha']}" placeholder="{$lang->form_enter_captcha}*"/>

			</div>
			{/if}

			{* Кнопка отправки формы *}
			<div class="">
				<input type="hidden" name="comment" value="sent"/>
				<input class="btn" type="submit" name="comment" onClick="document.getElementById('lastname').value = 'lname'" data-language="{$translate_id['form_send']}" value="{$lang->form_send}"/>
			</div>
		</form>
	</div>

</div>
