{* Страница входа покупателя *}
{* Канонический адрес страницы *}
{$canonical="/user/login" scope=parent}

{* Тайтл страницы *}
{$meta_title = $lang->login_title scope=parent}
	
{* Заголовок страницы *}
<div class="page-header">
	<h1 class="m-b-1"><span data-language="{$translate_id['login_enter']}">{$lang->login_enter}</span></h1>
</div>


<div class="col-lg-4 p-a-2 bg-light line m-b-2">
	{* Вывод ошибок *}
	{if $error}
		<div class="error">
			{if $error == 'login_incorrect'}	<span data-language="{$translate_id['login_error_pass']}">{$lang->login_error_pass}</span>
			{elseif $error == 'user_disabled'}	<span data-language="{$translate_id['login_pass_not_active']}">{$lang->login_pass_not_active}</span>
			{else}{$error}{/if}
		</div>
	{/if}
	
	<form method="post">
		{* Почта покупателя *}
		<div class="form-group">
			<input class="form-control" type="text" name="email" data-format="email" data-notice="{$lang->form_enter_email}" value="{$email|escape}" data-language="{$translate_id['form_email']}" placeholder="{$lang->form_email}*"/>
		</div>

		<div class="form-group">
			{* Пароль покупателя *}
			<input class="form-control" type="password" name="password" data-format=".+" data-notice="{$lang->form_enter_password}" value="" data-language="{$translate_id['form_password']}" placeholder="{$lang->form_password}*"/>
			<a class="m-y-sm btn btn-outline-info" href="/{$lang_link}user/password_remind" data-language="{$translate_id['login_remind']}">{*$lang->login_remind*}Напомнить пароль?</a>
		</div>
		
		{* Кнопка отправки формы *}
		<div class="clearfix">
			<input type="submit" class="btn btn-success pull-xs-left" name="login" data-language="{$translate_id['login_sign_in']}" value="{$lang->login_sign_in}">
			<a href="/{$lang_link}user/register" class="btn btn-outline-warning pull-xs-right" data-language="{$translate_id['login_registration']}">{$lang->login_registration}</a>
		</div>
	</form>
</div>