{* Контент главной страницы *}
{* Канонический адрес страницы *}
{$canonical="" scope=parent}

<article class="article_main p-y-1">

	<div class="body_txt container">
		<h1 class="h1 title center" data-page="{$page->id}">{$page->header}</h1>
	</div>

	{* Главные категории *}
	<div class="p-t-1">
		<div class="center mw100 p-a-0">
			{if $categories}
				<div class='subcategories main'>
					{foreach $categories as $c}
						{if $c->visible}
							<div class="category id{$c->id}">
								<a title="Купить {$c->name|escape}" href="catalog/{$c->url}">
									{if $c->image}
										<div class="image">
											<img src="{$c->image|resize:180:180:false:$config->resized_categories_dir}" alt="Купить {$c->name|escape}"/>
										</div>
									{/if}
									<div class="strong" data-category="{$c->id}">
										{$c->name|escape}
									</div>
								</a>
							</div>
						{/if}
					{/foreach}
				</div>
			{/if}
		</div>
	</div>

	{* Рекомендуемые товары *}
	{get_featured_products var=featured_products limit=10 sort='random'}
	{if $featured_products}
		<section class="p-b-1 view_blocks">
			{* Заголовок блока *}
			<div class="heading dotted">
				<h2 class="h1 title" data-language="{$translate_id['main_recommended_products']}">{$lang->main_recommended_products}</h2>
				<div class="subText">Вы можете посмотреть весь <a href="/bestsellers">список популярных товаров</a></div>
			</div>
			<div class="slick-products gridBlock">
				{foreach $featured_products as $product}
					<div class="col-md-4 col-xl-3">
						{include "tiny_products.tpl"}
					</div>
				{/foreach}
			</div>
		</section>
	{/if}

	{* Акционные товары *}
	{get_discounted_products var=discounted_products limit=10 sort='random'}
	{if $discounted_products}
		<section class="p-y-1 view_blocks">
			{* Заголовок блока *}
			<div class="heading dotted">
				<h2 class="h1 title" data-language="{$translate_id['main_action_goods']}">{$lang->main_action_goods}</h2>
				<div class="subText"><a href="/discounted">Все акционные товары</a></div>
			</div>
			<div class="slick-products gridBlock">
				{foreach $discounted_products as $product}
					<div class="col-md-4 col-xl-3">
						{include "tiny_products.tpl"}
					</div>
				{/foreach}
			</div>
		</section>
	{/if}

	{* Новинки *}
	{get_new_products var=new_products limit=10}
	{if $new_products}
		<section class="products_slider overflow p-t-1 view_blocks">
			{* Заголовок блока *}
			<div class="heading dotted">
				<h2 class="h1 title" data-language="{$translate_id['main_new_products']}">{$lang->main_new_products}</h2>
				<div class="subText">Обратите внимание на последние поступления</div>
			</div>
			<div class="slick-products gridBlock">
				{foreach $new_products as $product}
					<div class="col-xs-12 col-sm-6 col-md-4 col-lg-3">
						{include "tiny_products.tpl"}
					</div>
				{/foreach}
			</div>
		</section>
	{/if}
	
	{* новости *}
	
	{get_posts var=last_posts limit=9}
	{if $last_posts}
	
		<section>
			<div class="heading dotted p-t-1">
				<h2 class="h1 title" data-language="{$translate_id['main_news']}">{$lang->main_news}</h2>
				<div class="subText"><a href="/{$lang_link}blog" data-language="{$translate_id['main_all_news']}">{$lang->main_all_news}</a></div>
			</div>
			
			<div class="news p-b-1">
				{foreach $last_posts as $post}
					<a class="m-b-1 col-lg-4 col-md-6 col-xs-12" href="/{$lang_link}blog/{$post->url}" data-post="{$post->id}">
						<div class="post-block">
							{* Изображение поста *}
							<div class="image m-r-1">
								{* Дата создания поста *}
								<div class="data">{$post->date|date}
								</div>
								{if $post->image}
									<img src="{$post->image|resize:80:80:false:$config->resized_blog_dir}" alt="{$post->name|escape}" />
								{/if}
							</div>
							
							{* Название поста *}
							<strong class="h3 name text-caps color b-block m-a-0">{$post->name|strip_tags|truncate:90:'...'}</strong>
							<div class="annotation">{if $post->annotation}{$post->annotation|strip_tags|truncate:155:'...'}{else}{$post->text|strip_tags|truncate:155:'...'}{/if}</div>
						</div>
					</a>
				{/foreach}
			</div>
			<div class="clearfix"></div>
		</section>
	
	{/if}
	
	{$page->body}
	
	
</article>