{* Постраничная пагинация *}
{if $total_pages_num > 1}
	<ul class="list-inline pagination{if $ajax} is_ajax{/if}">

		{* Количество выводимых ссылок на страницы *}
		{$visible_pages = 5}

		{* По умолчанию начинаем вывод со страницы 1 *}
		{$page_from = 1}

		{* Если выбранная покупателем страница дальше середины "окна" - начинаем вывод уже не с первой *}
		{if $current_page_num > floor($visible_pages/2)}
			{$page_from = max(1, $current_page_num-floor($visible_pages/2)-1)}
		{/if}

		{* Если выбранная покупателем страница близка к концу навигации - начинаем с "конца-окно" *}
		{if $current_page_num > $total_pages_num-ceil($visible_pages/2)}
			{$page_from = max(1, $total_pages_num-$visible_pages-1)}
		{/if}

		{* До какой страницы выводить - выводим всё окно, но не более общего количества страниц *}
		{$page_to = min($page_from+$visible_pages, $total_pages_num-1)}

		{* Ссылка на предыдущую страницу *}
		{if $current_page_num > 1}
		<li>
			<a href="{if $current_page_num == 2}{url page=null}{else}{url page=$current_page_num - 1}{/if}">&laquo;</a>
		</li>
		{/if}

		{* Ссылка на 1 страницу *}
		<li>
			<a{if $current_page_num == 1} class="active"{/if} href="{url page=null}">1</a>
		</li>

		{* Страницы пагинации *}
		{section name=pages loop=$page_to start=$page_from}
			{* Номер текущей выводимой страницы *}
			{$p = $smarty.section.pages.index+1}

			{* Для крайних страниц "окна" выводим троеточие, если окно не возле границы навигации *}
			{if ($p == $page_from+1 && $p!=2) || ($p == $page_to && $p != $total_pages_num-1)}
				<li>
					<a href="{url page=$p}">...</a>
				</li>
			{else}
				<li>
					<a{if $p==$current_page_num} class="active"{/if} href="{url page=$p}">{$p}</a>
				</li>
			{/if}
		{/section}

		{* Ссылка на последнююю страницу *}
		<li>
			<a{if $current_page_num==$total_pages_num} class="active"{/if} href="{url page=$total_pages_num}">{$total_pages_num}</a>
		</li>

		{* Ссылка на все страницы
		<li>
			<a href="{url page=all}" data-language="{$translate_id['pagination_all']}">{$lang->pagination_all}</a>
		</li> *}

		{* Ссылка на следующую страницу *}
		<li{if $current_page_num == $total_pages_num} class="hidden"{/if}>
			<a href="{url page=$current_page_num+1}">&raquo;</a>
		</li>
	</ul>
{/if}