{* Страница отдельной записи блога *}
{* Канонический адрес страницы *}
{$canonical="/blog/{$post->url}" scope=parent}
{$openPost="{$post->id}" scope=parent}
<article itemscope itemtype="http://schema.org/Blog">

<meta itemprop="dateModified" content="{$post->last_modify|date}">
<meta itemprop="author" content="{$settings->site_name}">

	<div class="container">

		<div class="row">
		
			<div class="col-md-9 col-xs-12 article">
				{* Заголовок страницы *}
				<div class="page-header">
				<h1 data-post="{$post->id}" itemprop="headline">{$post->name|escape}</h1>
					<div class="text-md inline pull-xs-right" itemprop="datePublished">{$post->date|date}</div>
				</div>

				{* Тело поста *}
				{if $post->text}
					<div class="m-b-1 p-b-1" itemprop="description">
						{$post->text}
					</div>
				{/if}
				<hr>

				{* Поделиться в соц. сетях *}
				<div class="p-b-1">
					<span data-language="{$translate_id['product_share']}">{*$lang->product_share*}Понравилось? Поделитесь с друзьями!</span>
					<div class="ya-share2" data-services="vkontakte,odnoklassniki,gplus,facebook,moimir,twitter,viber,whatsapp" data-image="{$post->image|resize:220:220:false:$config->resized_blog_dir}" data-title="{$post->name|escape}" data-description="{$post->annotation|strip_tags|truncate:255:'...'}"></div>
				</div>

				{*if $prev_post || $next_post}
				<hr>
					<div class="pager row m-x-0">
					{if $prev_post}<div class='col-xs-12 col-md-6 pager-prev text-lg-left navi-left text-lg-left'><a href="blog/{$prev_post->url}">{$prev_post->name|truncate:80:'...'}</a></div>{/if}
					{if $next_post}<div class='col-xs-12 col-md-6 pager-next pull-right navi-right text-lg-right'><a href="blog/{$next_post->url}">{$next_post->name|truncate:80:'...'}</a></div>{/if}
					</div>
				{/if*}
			</div>
			
			<div class="col-xs-12 col-md-3 m-b-2 center">
			
				{* фото поста *}
				{if $post->image}
					<img src="{$post->image|resize:400:400:false:$config->resized_blog_dir}" alt="{$post->name|escape} | {$settings->site_name}" itemprop="image"/>
				{/if}
				
				{* другие новости *}
				{if !$blogPage || $smarty.get.module == "ProductsView"}

					{get_posts var=last_posts limit=6}
					{if $last_posts}
					<div class="border p-a-1 center post-list m-t-1">
						<div class="h2 text-caps"><span>Другие</span> Новости</div>
						<ul class="list-none m-y-1">
							{foreach $last_posts as $post}
							{if $openPost != $post->id}
								<li class="post-block p-y-sm">
									{* Дата создания поста *}
									<div class="data">{$post->date|date}</div>
									{* Название поста *}
									<a class="name" href="/{$lang_link}blog/{$post->url}" data-post="{$post->id}">{$post->name|strip_tags|truncate:90:'...'}</a>
								</li>
							{/if}
							{/foreach}
						</ul>
						<a class="m-t-sm btn btn-sm btn-info" href="/{$lang_link}blog" data-language="{$translate_id['main_all_news']}">{$lang->main_all_news}</a>
					</div>
					{/if}
				{/if}
			</div>
			
		</div>

		{* Связанные товары *}
		{if $related_products}
			<div class="divider"></div>		
			<div class="heading dotted">
				<div class="h1 title" data-language="{$translate_id['product_recommended_products']}"><strong>{$lang->product_recommended_products}</strong></div>
				<div class="subText">Рекомендуемые товары, описанные в данной статье</div>
			</div>
			<div class="slick-products gridBlock view_blocks">
				{foreach $related_products as $p}
					<div class="col-md-4 col-xl-3">
						{include "tiny_products.tpl" product = $p}
					</div>
				{/foreach}
			</div>
		{/if}

		<hr class="lg">
		{include "comments.tpl"}

	</div>
</article>