{* Страница товара *}
{$openC = $category->id scope=parent}
{$openProduct="{$product->id}" scope=parent}

{* Канонический адрес страницы *}
{$canonical="/products/{$product->url}" scope=parent}
<article>	
	<div class="article" itemscope itemtype="http://schema.org/Product">

		<div class="m-b-1 pro_transfer ProductView product">
			<div class="col-lg-6 m-b-1 div_img">
			
				{if $product->image}
				{* Галерея фотографий товара *}
				
				<div class="slick-images pro_slick-images">
					{foreach $product->images as $i=>$image}
					{$flag = in_array($image->id, $product->variant->images_ids) && $image->id!=$product->variant->image->id}
						<div class="{if $flag}pro_visible {/if}" {if !$flag} style="display:none"{/if}>
							<a data-image_id="{$image->id}" class="btn-block border-a-1-info center product-images{if $flag} mpro_zoom{/if}" href="{$image->filename|resize:1800:1000}" data-fancybox-group="group">
								<img src="{$image->filename|resize:670:560}" alt="Купить {$product->name|escape}"/>
							</a>
						</div>
					{/foreach}
				</div>

				{else}
				<div class="image">
					<img class="pro_img" src="design/{$settings->theme}/images/noimage.jpg" alt="{$product->name|escape}"/>
				</div>
				{/if}
				
				{* Стикер *}
				{if $product->special}
					<img class="card-spec" alt='Специальное предложение {$product->special}' src='files/special/{$product->special}'/>
				{/if}
				
				
				<div class="product-labels">
					{if $product->featured}
						<div class="label hits ico-pr_hit">
						Популярный
						</div>
					{/if}
					{if $product->variant->compare_price}
						{$skidka = {$product->variant->compare_price}-{$product->variant->price}}
						<div class="label sale ico-pr_sale">
							Скидка {$skidka|convert} {$currency->sign|escape}
						</div>
					{/if}
					
					{* Рейтинг товара *}
					<div class="product_rating{if $product->rating < 1} hid{/if}" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
						<span class="rating_starOff">
						<span class="rating_starOn" style="width:{$product->rating*90/5|string_format:'%.0f'}px;"></span>
						</span>
						{if $product->rating > 0}
						<span class="hid" itemprop="ratingCount">{$product->votes|string_format:"%.0f"}</span>
						<span itemprop="ratingValue">{$product->rating|string_format:"%.1f"}</span>
						{else}
						{*Вывод оценки для поисковиков*}
						<span itemprop="ratingCount">{math equation='rand(3,20)'}</span>
						<span itemprop="ratingValue">4.{math equation='rand(0,9)'}</span>
						{/if}
					</div>
					
				</div>
				
				{* Блок информации о скидках *}
				{if $discount_info}
				<div class="discount_info" data-language="{$translate_id['discount_info']}">{$lang->discount_info}</div>
				{/if}
				
				{* Поделиться в соц. сетях *}
				<div class="center m-b-sm text-md m-t-1">
					<span data-language="{$translate_id['product_share']}">{$lang->product_share}</span>
					<div class="ya-share2" data-services="vkontakte,odnoklassniki,moimir,gplus,facebook,twitter,viber,whatsapp,skype,telegram"></div>
				</div>
				
			</div>

			<div class="col-lg-6 pro_product">
			
				{* Заголовок страницы *}
				<div class="page-header">
				<h1 itemprop="name" data-product="{$product->id}">{$product->name|escape} {if $product->variants|count == 1 && !empty($product->variant->name)}({$product->variant->name|escape}){/if}</h1>
				</div>
				
				{* Категория для микроразметки *}
				<meta itemprop="category" content="{foreach from=$category->path item=cat}{if !$cat@last}{$cat->name|escape}/{else}{$cat->name|escape}{/if}{/foreach}">
				
				{* Бренд для микроразметки *}
				<meta itemprop="brand" content="{$brand->name|escape}">
					
				<form class="pro_variants" action="/{$lang_link}cart">
					<div itemprop="offers" itemscope="" itemtype="http://schema.org/Offer">

						
						{* Цены *}
						<div class="inline-block price m-r-1">
							{* Старая цена *}
							<div class="inline-block old_price{if !$product->variant->compare_price} hidden{/if}">
								<span class="pro_old_price" content="{$product->variant->compare_price|convert:null:false}">{$product->variant->compare_price|convert}</span> {$currency->sign|escape}
							</div>
							
							{* Цена *}
							<span class="inline-block price_value" itemprop="price" content="{$product->variant->price|convert:null:false}">{if $product->variant->price>0}{$product->variant->price|convert}{/if}</span> {$currency->sign|escape}
							<meta itemprop = "priceCurrency" content = "{$currency->code|escape}" />
							{if $product->variant->stock > 0}<link itemprop="availability" href="http://schema.org/InStock">{/if}
						</div>
						
						{* Варианты товара *}
						<div class="inline-block m-r-10{if $product->variants|count < 2} hidden{/if}">
							<select name="variant" class="pro_variant form-control custom-select">
							{foreach $product->variants as $v}
								<option {*изображение варианта*}{if $v->image}data-image_preview="{$v->image->filename|resize:420:420}" data-image_popup="{$v->image->filename|resize:1200:1200}" data-images_ids="{implode(',', $v->images_ids)}" {/if}{*/изображение варианта*} value="{$v->id}" data-price="{$v->price|convert}" data-stock="{$v->stock}"{if $v->compare_price > 0} data-cprice="{$v->compare_price|convert}"{/if}{if $v->sku} data-sku="{$v->sku}"{/if}>{if $v->name}{$v->name}{else}{$product->name|escape}{/if}</option>
							{/foreach}
							</select>
						</div>

						<div class="inline-block pro_product-amount pro_is_stock text-lg-left{if $product->variant->stock < 1} hidden{/if}">
							{* Кол-во товаров *}
							<div class="inline-block amount">
								<span class="minus">&minus;</span>
								<input type="text" name="amount" value="1" data-max="{$product->variant->stock}">
								<span class="plus">&plus;</span>
							</div>

							{* Кнопка добавления в корзину *}
							<div class="inline-block cart">
								<button onclick="yaCounter{$settings->y_metric}.reachGoal('BUY'); return true;" class="m-r-10 f-cart pro_is_stock btn btn-success{if $product->variant->stock < 1} hidden{/if}" type="submit" data-language="{$translate_id['product_add_cart']}">{$lang->product_add_cart}</button>
							</div>
						</div>
						
						{if !$settings->is_preorder}
							{* Нет на складе *}
							<div class="inline-block pro_not_preorder {if $product->variant->stock > 0} hidden{/if}">
								<button class="btn btn-secondary btn-block disabled" type="button" data-language="{$translate_id['product_out_of_stock']}">{$lang->product_out_of_stock}</button>
							</div>
						{else}
							{* Предзаказ *}
							<div class="inline-block pro_is_preorder {if $product->variant->stock > 0} hidden{/if}">
								<button class="f-cart btn btn-secondary" type="submit" data-language="{$translate_id['product_pre_order']}">{$lang->product_pre_order}</button>
							</div>
						{/if}						

						{*заказ в 1 клик*}
						{if $settings->fast_order && ($settings->min_order_price < $product->variant->price)}
						<div class="inline-block text-xl-center m-r-1">  
							<a onclick="yaCounter{$settings->y_metric}.reachGoal('ONECLICK'); return true;" class="fast_order btn btn-secondary btn-md {if $product->variant->stock < 1 && !$settings->is_preorder} hidden{/if}" href="#fastorder" data-name='{$product->name}'>
							В 1 клик
							</a>
						</div>
						{/if}
						{*/заказ в 1 клик*}									
						{* Сравнение *}
						{if !in_array($product->id,$comparison->ids)}
							<a class="f-compare" href="#" title="В сравнение" data-result-text="Из сравнения" data-id="{$product->id}"></a>
						{else}
							<a class="f-compare selected" href="#" title="Из сравнения" data-result-text="В сравнение" data-id="{$product->id}"></a>
						{/if}

						{* Избранное *}
						{if $product->id|in_array:$wished_products}
							<a href="#" class="f-wishlist selected" data-id="{$product->id}" title="Из закладок" data-result-text="В закладки"></a>
						{else}
							<a href="#" class="f-wishlist" data-id="{$product->id}" title="В закладки" data-result-text="Из закладок"></a>
						{/if}
						
					</div>
				</form>
				
				<div class="m-t-1" itemprop="description">
							<div>
								{* Описание *}
								{if $product->body}
								<h2 class="hid">Описание</h2>
									{$product->body}
								{/if}
							</div>
							{* Характеристики *}
							<div>
								<h2 class="m-a-0">Характеристики</h2>
								<ul class="list-inline-dotted m-t-0 p-l-0">
								
									{* Артикул товара *}
									<li>
										<span data-language="{$translate_id['product_sku']}">{$lang->product_sku}</span> 
										<span class="right"><strong class="pro_sku">{$product->variant->sku}</strong></span>
									</li>
									
									{* Бренд товара *}
									{if $brand}
										<li>
											<span data-language="{$translate_id['product_brand']}">{$lang->product_brand}</span> 
											<span class="right"><a href="brands/{$brand->url}">{$brand->name|escape}</a></span>
										</li>
									{/if}
									
									{if $product->features}
										{foreach $product->features as $f}
											<li>
												<span>{$f->name}</span>
												<span class="right">{if $f->is_color}
														{foreach $f->values as $color}
														<span class="is_color m-r-0 m-l-10" style="background:#{$color};{if $color == ffffff}border:1px solid silver{/if}"></span>
														{/foreach}
													{else}{$f->value}{/if}</span>
											</li>
										{/foreach}
									{/if}
								</ul>
							</div>
							
							{* Способы доставки *}
							<div class="div_info">
							
								<strong class="h2" data-language="{$translate_id['product_delivery']}">
									{$lang->product_delivery}
								</strong>
									
								<ul class="list-none">
									{assign var="count" value=0}
									{api module=delivery method=get_deliveries var=deliveries enabled=1}
									{foreach $deliveries as $d}
										{if $count <12}
										<li class="payment_min" {if $d->image}style="background-image:url('{$d->image|resize:22:17:false:$config->resized_deliveries_dir}')"{/if}>
										{$d->name}
										</li>
										{/if}
										{$count = $count + 1}
									{/foreach}
								</ul>
							</div>
					
				</div>
				
			</div>
			
		</div>
		<div class="clearfix"></div>
		<div class="container">
			{include "comments_product.tpl"}
		</div>
		
	</div>
	
</article>

{* suppliers
    {if ($product_suppliers)}
        <div class="suppliers">
            {if $variant_for_suppliers}
                <table class="suppliers_variants">
                    <tr>
                        <td class="sku">Артикул</td>
                        <td class="name">Вариант</td>
                        <td class="purchase_price">Закупочная цена</td>
                        <td class="price">Продажная цена</td>
                        <td class="bonus">Разница</td>
                        <td class="stock">Остаток</td>
                        <td class="comment">Комментарий</td>
                    </tr>
                    {foreach $variant_for_suppliers as $v}
                        <tr>
                            <td class="sku">{$v->sku}</td>
                            <td class="name">{$v->name}</td>
                            <td class="purchase_price">{$product_supplier->variants[{$v->id}]->price|convert} {$currency->sign|escape}</td>
                            <td class="price">{$v->price|convert} {$currency->sign|escape}</td>
                            <td class="bonus">{$product_supplier->variants[{$v->id}]->bonus|convert} {$currency->sign|escape}</td>
                            <td class="stock">{if $v->stock}Есть{else}Нет{/if}</td>
                            <td class="comment">{$product_supplier->variants[{$v->id}]->comment}</td>
                        </tr>
                    {/foreach}
                </table>
            {/if}
            <table>
                <tr>
                    <td class="type">Вид поставщика</td>
                    <td class="name">Название</td>
                    <td class="url1"></td>
                    <td class="url2"></td>
                </tr>
                {foreach $product_suppliers as $ps}
                    <tr>
                        <td class="type">{if $ps->id == $product_supplier->id || $ps@first}Основной{else}Дополнительный{/if}</td>
                        <td class="name">{$ps->name}</td>
                        <td class="url1"><a href="{$ps->url}" target="_blank">Страница поставщика</a></td>
                        <td class="url2"><a href="{$ps->meta_title}" target="_blank">Каталог прайсов</a></td>
                    </tr>
                {/foreach}
            </table>
        </div>
    {literal}
        <script>
            $(function(){
                $('.suppliers table').each(function(){
                    $(this).find('tr:odd').addClass('odd');
                });
            });
        </script>
    {/literal}
    {/if}
    поставщики*}
<div class="clearfix"></div>
{* Связанные товары *}
{if $related_products}

	<div class="p-t-2 view_blocks">
		{* Заголовок блока *}
		<div class="heading dotted">
			<div class="h1 title" data-language="{$translate_id['product_recommended_products']}"><strong>{$lang->product_recommended_products}</strong></div>
			<div class="subText">С этим товаром смотрят и выбирают</div>
		</div>
		<div class="slick-products gridBlock">
			{foreach $related_products as $product}
				<div class="col-md-4 col-xl-3">
					{include "tiny_products.tpl"}
				</div>
			{/foreach}
		</div>
	</div>
	
{else}

	{* Товары той же категории *}
	{get_new_products var=new_products category_id=$category->id sort='random' limit=10}
	{if $new_products}
		<div class="p-b-1 p-t-2 view_blocks">
			{* Заголовок блока *}
			<div class="heading dotted">
				<div class="h1 title"><strong>В этой же <span>категории</span></strong></div>
				
				{$cat=$category->path[$category->path|count-1]}
				<div class="subText">Это товары из категории <a href="{$lang_link}catalog/{$cat->url}">{$cat->name|escape}</a></div>
			</div>
			<div class="slick-products gridBlock">
				{foreach $new_products as $product}
					{if $openProduct != $product->id}
						<div class="col-md-4 col-xl-3">
							{include "tiny_products.tpl"}
						</div>
					{/if}
				{/foreach}
			</div>
		</div>
	{/if}
	
{/if}


{if $related_posts}
    <div class="p-t-3 ld-t ld-b bg-light">
        <div class="container">

			<div class="heading dotted">
				<div class="h1 title" data-language="{$translate_id['product_related_post']}"><strong>{$lang->product_related_post}</strong></div>
				<div class="subText">Связанные с товаром статьи</div>
			</div>
			<ul class="row list-none post-list">
				{foreach $related_posts as $r_p}

					<li class="col-xs-12 col-lg-6 col-xl-4 post-block m-b-2 p-a-sm">
						{* Дата создания поста *}
						<div class="data">{$r_p->date|date}</div>

						{* Название поста *}
						<a class="h3 name text-caps color b-block" href="/{$lang_link}blog/{$r_p->url}" data-post="{$r_p->id}">{$r_p->name|strip_tags|truncate:85:'...'}</a>

						{* Изображение поста *}
						<div class="image">
							{if $r_p->image}	<img src="{$r_p->image|resize:150:150:false:$config->resized_blog_dir}" />
							{else}				<div class="ico-nofoto"></div>
							{/if}
						</div>

						<div class="annotation m-y-sm">{$r_p->annotation|strip_tags|truncate:155:'...'}</div>
					</li>

				{/foreach}
			</ul>
		</div>
    </div>
{/if}