{* Каталог товаров *}
{* Канонический адрес страницы *}
{if $filter_meta->h1}		                {$canonical="{url}" scope=parent}
{elseif $category}		                {$canonical="/catalog/{$category->url}" scope=parent}
{elseif $page->url=='discounted'}		{$canonical="/discounted" scope=parent}
{elseif $page->url=='bestsellers'}		{$canonical="/bestsellers" scope=parent}
{elseif $brand}	                        {$canonical="/brands/{$brand->url}" scope=parent}
{elseif $keyword}						{$canonical="/all-products" scope=parent}
{else}									{$canonical="/all-products" scope=parent}
{/if}

<article>

{* Заголовок страницы *}
<div class="page-header">
	{if $keyword}	<h1>Поиск: <span>{$keyword|escape}</span></h1>
	{elseif $page}	<h1 data-page="{$page->id}">{$page->name|escape}</h1>
	{else}			{if $category->name|escape}<h1 data-category="{$category->id}">{if $category->name_h1|escape}{$category->name_h1|escape}{else}{$category->name|escape}{/if}{if $filter_meta->h1|escape} {$filter_meta->h1|escape}{/if}</h1>
					{else}<h1 data-brand="{$brand->id}">{$brand->name|escape}{if $filter_meta->h1|escape} {$filter_meta->h1|escape}{/if}</h1>
					{/if}
	{/if}
</div>

{if $brand && $brand->image}
	<img class="imgl" src="{$brand->image|resize:180:180:false:$config->resized_brands_dir}" alt="Купить товары {$brand->name|escape}">
{/if}

<p class="height1">
	{if $category->name|escape}{if $category->name_h1|escape}{$category->name_h1|escape}{else}Купить {$category->name|escape}{/if}{if $filter_meta->h1|escape} {$filter_meta->h1|escape}{/if}{/if}{if $brand->name|escape}{$brand->name|escape}{if $filter_meta->h1|escape} {$filter_meta->h1|escape}{/if}{/if}в Москве с доставкой на дом. Интернет магазин {$settings->site_name}. Возможна доставка по России почтой и транспорной компанией.
</p>

{if $current_page_num == 1 && ($category->annotation || $brand->annotation)}
	<div class="article m-b-1 hide_with_filtering hidden-sm-down  {if $smarty.get.b}height1{/if}">
		
		{* Краткое описание категории *}
		{$category->annotation}

		{* Краткое описание бренда *}
		{$brand->annotation}
	</div>
{/if}

{if $brand && $brand_categories && !$smarty.get.ajax_count && $smarty.get.page<2}
	<div class='subcategories hide_with_filtering'>
		{foreach $brand_categories as $c}
			<div class="category">
				<a title='Купить {$c->name|escape} марки {$brand->name}' href="/catalog/{$c->url}/brand-{$brand->url}">
					{if $c->image}
						<div class="image">
								<img src="{$c->image|resize:180:180:false:$config->resized_categories_dir}" alt="Купить {$c->name|escape}"/>
						</div>
					{/if}
					<div class="strong" data-category="{$c->id}">
						{$c->name|escape|truncate:100:'...'}
					</div>
				</a>
			</div>
		{/foreach}
	</div>
{/if}

{if $products}

{$url="/catalog/{$category->url}" scope=parent}

{* Категории каталога *}
{if $category->subcategories}		{$cats=$category->subcategories}
{*elseif $category->parent_id==0}	{$cats=$categories*}
{else}								{$cats=$category->path[($category->path)|count-2]->subcategories}{/if}

{* Подкатегории, если применить фильтры - скрываем *}
{if $category->subcategories && !$smarty.get.ajax_count && $url == $smarty.server.REQUEST_URI}
	<div class='subcategories hide_with_filtering'>
		{foreach $cats as $c}
		{if $c->visible && $c->url != $category->url}
			<div class="category">
				<a title="Купить {$c->name|escape}" href="catalog/{$c->url}">
					{if $c->image}
						<div class="image">
								<img src="{$c->image|resize:180:180:false:$config->resized_categories_dir}" alt="Купить {$c->name|escape}"/>
						</div>
					{/if}
					<div class="strong" data-category="{$c->id}">
						{$c->name|escape|truncate:100:'...'}
					</div>
				</a>
			</div>
		{/if}
		{/foreach}
	</div>
{/if}
	
	
	<div class="view {if $smarty.cookies.view_type==list}view_list{else}view_blocks{/if}">
		<div class="row">
			
			{* Сортировка товаров *}
			<div class="col-xs-12 products_sort center text-lg-left">
			
				{* Переключение вида *}
				<div class="view_block inline-block">
					<div id="in_blocks" class="f-th view_btn"></div>
					<div id="in_list" class="f-th-list view_btn"></div>
				</div>
				
				<div class="inline-block">
					{include file="products_sort.tpl"}
				</div>
			</div>
			
		</div>
		
		{* Прелодер фильтра товаров *}
		<div class="products_loader hidden"></div>

		{* Список товаров *}
		<div id="pro_products_content" class="row gridBlock">
			{include file="products_content.tpl"}
		</div>
		
		{* Пагинация *}
		<div class="pagination_chpu center text-lg-left m-y-1">
			{include file='pagination_chpu.tpl'}
		</div>
	</div>


	{if $current_page_num == 1 && !$smarty.get.b &&($page->body || $category->description || $brand->description) }
		<div class="m-y-1 p-y-1 ld-t hidden-md-down gray-text article hide_with_filtering hidden-sm-down">
			
			{* Описание страницы (если задана) *}
			{if $page->body}
			<div class="m-b-sm">{$page->body}</div>
			{/if}

			{* Описание категории *}
			{if $category->description}
			<div class="m-b-sm">{$category->description}</div>
			{/if}

			{* Описание бренда *}
			{if $brand->description}
			<div class="">{$brand->description}</div>
			{/if}
		</div>
	{/if}

{else}
	<div class="text-sm" style='margin:5vh 0 10vh'>
	<i><b>Предложения не найдены.</b><br />Попробуйте зайти позже</i>
	</div>
{/if}

</article>