{* Превью товара *}

{$stocktotal=0}
{foreach $product->variants as $v}
{$stocktotal=$stocktotal+$v->stock}
{/foreach}

<div class="pro_product card{if $smarty.get.module=='ComparisonView'} pro_resize m-b-0 border-b-1-primary{/if}">

	<div class="card-block pro_transfer{if $stocktotal < 1} gray{/if}">

		{* Изображение товара *}
		<a class="card-image image" href="/{$lang_link}products/{$product->url}">
			{if $product->image->filename}	<img class="pro_img" src="{*$product->variant->image->filename|resize:180:180*}{$product->image->filename|resize:180:180}" alt="Купить {$product->name|escape}" title="{$product->name|escape}"/>
			{else}							<img class="pro_img" src="design/{$settings->theme}/images/noimage.jpg" alt="Купить {$product->name|escape}"/>{/if}

			{if $product->special}
				<img class='card-spec' src='files/special/{$product->special}' alt='Специальное предложение {$spec_img->name}'/>
			{/if}
		</a>

		{* Название товара *}
		<div class="card-title" data-product="{$product->id}">
			<a href="/{$lang_link}products/{$product->url}">{$product->name|escape}</a>
		</div>
		
		{* Характеристики товара *}
		{if $product->options}
			<div class="tiny_features m-a-0 p-a-0">
				<ul>
				
					{if $product->brand->name}
						<li>{$lang->product_brand}: {$product->brand->name|escape}</li>
					{/if}
				
					{foreach $product->options as $f}
						{if $f@iteration < 10 && !$is_mobile}
							<li>{$f->name}: {if $f->is_color}<span class="is_color m-r-0 m-l-10" style="background:#{$f->value};{if $f->value == ffffff}border:1px solid silver{/if}"></span>{else}{$f->value}{/if}</li>
						{/if}
						{if $f@iteration < 6 && $is_mobile}
							<li>{$f->name}: {if $f->is_color}<span class="is_color m-r-0 m-l-10" style="background:#{$f->value};{if $f->value == ffffff}border:1px solid silver{/if}"></span>{else}{$f->value}{/if}</li>
						{/if}
					{/foreach}
				</ul>
			</div>
		{else}
			
			{* Выводим описание *}
			{if $product->body}
				<p class="tiny_description m-a-0 p-t-0">
					{$product->body|strip_tags|truncate:400:'...'|escape}
				</p>
			{/if}
		
		{/if}
	
		<div class="actions">
		
			<form class="pro_variants" action="/{$lang_link}cart">
				<div class="input-group">
				
					{if $product->variants|count < 2}
						{* Кнопка добавления в корзину *}
						<button class="f-cart pro_is_stock btn btn-success btn-sm{*if $settings->fast_order && ($settings->min_order_price < $product->variant->price)} b-r-r-0{/if*}{if $product->variant->stock < 1} hidden{/if}"
						title="{$lang->tiny_products_add_cart}" data-language="{$translate_id['tiny_products_add_cart']}" type="submit">{$lang->tiny_products_add_cart}</button>
						
						{* Кнопка заказа в 1 клик 
						{if $settings->fast_order && ($settings->min_order_price < $product->variant->price)}
							<a class="fn-fast_order_button btn btn-secondary fast_href btn-sm b-r-l-0" href="#fastorder" data-name='{$product->name}'>
								в 1 клик
							</a>
						{/if}
						*}
					{elseif $stocktotal > 0}
						<a class="btn btn-success btn-sm" href="{$lang_link}products/{$product->url}">Выбрать размер</a>		
					{/if}
					
					{*Не выводим предзаказ в сравнении и избранном*}
					{if $smarty.get.module != "ComparisonView" || $smarty.get.module != "WishlistView"}
						{if !$settings->is_preorder}
							{* Нет на складе *}
							<div class="pro_not_preorder {if $stocktotal > 0}hidden{/if}">
								<button class="btn btn-secondary disabled btn-sm" type="button" data-language="{$translate_id['tiny_products_out_of_stock']}">{$lang->tiny_products_out_of_stock}</button>
							</div>
						{else}
							{* Предзаказ *}
							<div class="pro_is_preorder {if $stocktotal > 0}hidden{/if}">
								<button class="btn btn-secondary" type="submit" data-language="{$translate_id['tiny_products_pre_order']}">{$lang->tiny_products_pre_order}</button>
							</div>
						{/if}
					{/if}
					
					{* Варианты товара *}
					<select name="variant" class="hidden pro_variant form-control c-select{if $product->variants|count < 2} hidden{/if}">
						{foreach $product->variants as $v}
							<option {*изображение варианта*}{if $v->image}data-image_preview="{$v->image->filename|resize:219:172}"{if $smarty.get.module=="ComparisonView"} data-image_popup="{$v->image->filename|resize:800:600:w}"{/if} {/if}{*/изображение варианта*} value="{$v->id}" data-price="{$v->price|convert}" data-stock="{$v->stock}"{if $v->compare_price > 0} data-cprice="{$v->compare_price|convert}"{/if}{if $v->sku} data-sku="{$v->sku}"{/if} {*фильтр по варианту*}{*if $v@first}selected{/if*}{if ($smarty.get.v && $smarty.get.v == $v->name) || $v@first}selected=""{/if}{*/фильтр по варианту*}>{if $v->name}{$v->name}{else}{$product->name|escape}{/if}</option>
						{/foreach}
					</select>
				</div>
			</form>
			
			{if $smarty.get.module == "ComparisonView" || $smarty.get.module =="WishlistView"}
			<a class="btn btn-comparison-remove btn-sm ico-delete {if $smarty.get.module == "ComparisonView"}f-compare{else}f-wishlist{/if}  hidden-md-down selected" href="#" data-id="{$product->id}" title="Удалить">Удалить</a>
			{/if}

			{if $smarty.get.module != "WishlistView" && $smarty.get.module != "ComparisonView"}
				{* Сравнение *}
				<div class="card_icons">
					{if !in_array($product->id,$comparison->ids)}
						<a class="f-compare " href="#" title="В сравнение" data-result-text="Из сравнения" data-id="{$product->id}"></a>
					{else}
						<a class="f-compare  selected" href="#" title="Из сравнения" data-result-text="В сравнение" data-id="{$product->id}"></a>
					{/if}

					{* Избранное *}
					{if $product->id|in_array:$wished_products}
						<a href="#" class="f-wishlist  selected" data-id="{$product->id}" title="Из закладок" data-result-text="В закладки"></a>
					{else}
						<a href="#" class="f-wishlist " data-id="{$product->id}" title="В закладки" data-result-text="Из закладок"></a>
					{/if}
				</div>
			{/if}
		</div>
		
		{* Цены *}
		<div class="m-x-0 price">
			{* Старая цена *}
			{if $product->variant->compare_price}
			<div class="old_price">
				<span class="pro_old_price">{$product->variant->compare_price|convert}</span> {$currency->sign|escape}
			</div>
			{/if}

			{* Цена *}
			<div class="">
				<span class="price_value">{if $product->variant->price>0}{$product->variant->price|convert}{/if}</span> {$currency->sign|escape}
			</div>
		</div>

		<div class="product-labels">
			{if $product->featured}
				<div class="label hits ico-pr_hit">
				Популярный
				</div>
			{/if}
			{if $product->variant->compare_price}
				{$skidka = {$product->variant->compare_price}-{$product->variant->price}}
				<div class="label sale ico-pr_sale">
					Скидка {$skidka|convert} {$currency->sign|escape}
				</div>
			{/if}
			
			{* Рейтинг товара *}
			{if $product->rating > 0}
			<div id="product_{$product->id}" class="m-b-1 rating_form product_rating">
				<span class="rating_starOff">
				<span class="rating_starOn" style="width:{$product->rating*90/5|string_format:'%.0f'}px;"></span>
				</span>
			</div>
			{/if}
		</div>

    </div>
</div>