<?php

require_once('api/Fast.php');

class ProductAdmin extends Fast {
    
    public function fetch() {
        $options = array();
        $product_categories = array();
        $variants = array();
        $images = array();
        $product_features = array();
        $related_products = array();
		
        /*поставщики*/
        /* $product_suppliers = array(); */
        /*/поставщики*/
        
        if($this->request->method('post') && !empty($_POST)) {
            $product = new stdClass;
            $product->id = $this->request->post('id', 'integer');
            $product->name = $this->request->post('name');
            $product->visible = $this->request->post('visible', 'boolean');
            $product->featured = $this->request->post('featured');
            $product->brand_id = $this->request->post('brand_id', 'integer');
            
            $product->url = trim($this->request->post('url', 'string'));
            $product->meta_title = $this->request->post('meta_title');
            $product->meta_keywords = $this->request->post('meta_keywords');
            $product->meta_description = $this->request->post('meta_description');
            
            $product->annotation = $this->request->post('annotation');
            $product->body = $this->request->post('body');
            $product->rating = $this->request->post('rating', 'float');
            $product->votes = $this->request->post('votes', 'integer');
            
            // Варианты товара
            if($this->request->post('variants')) {
                foreach($this->request->post('variants') as $n=>$va) {
                    foreach($va as $i=>$v) {
                        if(empty($variants[$i])) {
                            $variants[$i] = new stdClass;
                        }
                        $variants[$i]->$n = $v;
                    }
                }
            }
            
            // Категории товара
            $product_categories = $this->request->post('categories');
            if(is_array($product_categories)) {
                foreach($product_categories as $c) {
                    $x = new stdClass;
                    $x->id = $c;
                    $pc[] = $x;
                }
                $product_categories = $pc;
            }

            /*поставщики*/
            // Поставщики товара
            $product_suppliers= $this->request->post('suppliers');
            if(is_array($product_suppliers))
            {
                foreach($product_suppliers as $s)
                {
                    if(empty($s))
                        continue;
                    $x = new stdClass;
                    $x->id = $s;
                    $ps[] = $x;
                }
                $product_suppliers = $ps;
            }
            /*/поставщики*/
            
            // Характеристики товара
            $options = $this->request->post('options');
            if(is_array($options)) {
                foreach($options as $f_id=>$val) {
                    $po[$f_id] = new stdClass;
                    $po[$f_id]->feature_id = $f_id;
                    $po[$f_id]->value = $val['value'];
                    $po[$f_id]->translit = $val['translit'];
                }
                $options = $po;
            }
            
            // Связанные товары
            if(is_array($this->request->post('related_products'))) {
                foreach($this->request->post('related_products') as $p) {
                    $rp[$p] = new stdClass;
                    $rp[$p]->product_id = $product->id;
                    $rp[$p]->related_id = $p;
                }
                $related_products = $rp;
            }
            
            // Не допустить пустое название товара.
            if(empty($product->name)) {
                $this->design->assign('message_error', 'empty_name');
                if(!empty($product->id)) {
                    $images = $this->products->get_images(array('product_id'=>$product->id));
                }
            }
            // Не допустить пустую ссылку.
            elseif(empty($product->url)) {
                $this->design->assign('message_error', 'empty_url');
                if(!empty($product->id)) {
                    $images = $this->products->get_images(array('product_id'=>$product->id));
                }
            }
            // Не допустить одинаковые URL разделов.
            elseif(($p = $this->products->get_product($product->url)) && $p->id!=$product->id) {
                $this->design->assign('message_error', 'url_exists');
                if(!empty($product->id)) {
                    $images = $this->products->get_images(array('product_id'=>$product->id));
                }
            }
            // Не допусть URL с '-' в начале или конце
            elseif(substr($product->url, -1) == '-' || substr($product->url, 0, 1) == '-') {
                $this->design->assign('message_error', 'url_wrong');
                if(!empty($product->id)) {
                    $images = $this->products->get_images(array('product_id'=>$product->id));
                }
            } else {
                if(empty($product->id)) {
                    //lastModify
                    if ($product->brand_id > 0) {
                        $this->db->query('update __brands set last_modify=now() where id=?', $product->brand_id);
                    }
                    
                    $product->id = $this->products->add_product($product);
                    $product = $this->products->get_product($product->id);
                    $this->design->assign('message_success', 'added');
                } else {
                    //lastModify                    
                    $this->db->query('select brand_id from __products where id=?', $product->id);
                    $old_bid = $this->db->result('brand_id');
                    if ($old_bid != $product->brand_id) {
                        $this->db->query('update __brands set last_modify=now() where id in(?@)', array($old_bid, $product->brand_id));
                    }
                    
                    $this->products->update_product($product->id, $product);
                    $product = $this->products->get_product($product->id);
                    $this->design->assign('message_success', 'updated');
                }
                
                if($product->id) {
                    //lastModify
                    $this->db->query('select category_id from __products_categories where product_id=?', $product->id);
                    $c_ids = $this->db->results('category_id');
                    if (!empty($c_ids)) {
                        $this->db->query('update __categories set last_modify=now() where id in(?@)', $c_ids);
                    }
                    // Категории товара
                    $query = $this->db->placehold('DELETE FROM __products_categories WHERE product_id=?', $product->id);
                    $this->db->query($query);
                    if(is_array($product_categories)) {
                        foreach($product_categories as $i=>$category) {
                            $this->categories->add_product_category($product->id, $category->id, $i);
                        }
                    }
                    /*поставщики*/
                    // Поставщики товара
                    $query = $this->db->placehold('DELETE FROM __variants_suppliers WHERE product_id=?', $product->id);
                    $this->db->query($query);
                    $query = $this->db->placehold('DELETE FROM __products_suppliers WHERE product_id=?', $product->id);
                    $this->db->query($query);
                    $suppliers_ids = array();
                    if(is_array($product_suppliers)){
                        foreach($product_suppliers as $i=>$supplier){
                            $this->suppliers->add_product_supplier($product->id, $supplier->id, $i);
                            $suppliers_ids[] = $supplier->id;
                        }
                    }
                    /*/поставщики*/
                    
                    // Варианты
                    if(is_array($variants)) {
                        $yand = $this->request->post('yandex');
                        $variants_ids = array();
                        foreach($variants as $index=>&$variant) {
                            if($variant->stock == '∞' || $variant->stock == '') {
                                $variant->stock = null;
                            }
                            
                            $variant->yandex = (isset($yand[$variant->id]) ? 1 : 0);
                            
                            // Удалить файл
                            if(!empty($_POST['delete_attachment'][$index])) {
                                $this->variants->delete_attachment($variant->id);
                            }
                            
                            // Загрузить файлы
                            if(!empty($_FILES['attachment']['tmp_name'][$index]) && !empty($_FILES['attachment']['name'][$index])) {
                                $attachment_tmp_name = $_FILES['attachment']['tmp_name'][$index];
                                $attachment_name = $_FILES['attachment']['name'][$index];
                                move_uploaded_file($attachment_tmp_name, $this->config->root_dir.'/'.$this->config->downloads_dir.$attachment_name);
                                $variant->attachment = $attachment_name;
                            }
                            
                            if(!empty($variant->id)) {
                                $this->variants->update_variant($variant->id, $variant);
                            } else {
                                $variant->product_id = $product->id;
                                $variant->id = $this->variants->add_variant($variant);
                            }
                            $variant = $this->variants->get_variant($variant->id);
                            if(!empty($variant->id)) {
                                $variants_ids[] = $variant->id;
                            }
                        }
                        
                        // Удалить непереданные варианты
                        $current_variants = $this->variants->get_variants(array('product_id'=>$product->id));
                        foreach($current_variants as $current_variant) {
                            if(!in_array($current_variant->id, $variants_ids)) {
                                $this->variants->delete_variant($current_variant->id);
                            }
                        }
                        /*поставщики*/
                        foreach($current_variants as $cv)
                            $this->suppliers->delete_variant_supplier(intval($cv->id));
                        $vsi = $this->request->post('vs_info');
                        if(is_array($vsi))
                        {
                            foreach($vsi as $vid=>$_vsi)
                            {
                                foreach($_vsi as $sid=>$__vsi){
                                    if(in_array($sid,$suppliers_ids)){
                                        $price = !empty($__vsi['price']) ? $__vsi['price'] : null;
                                        $comment = !empty($__vsi['comment']) ? $__vsi['comment'] : null;
                                        if($price || $comment)
                                            $this->suppliers->add_variant_supplier_info(array('product_id'=>$product->id,'variant_id'=>$vid,'supplier_id'=>$sid,'price'=>$price,'comment'=>$comment));
                                    }
                                }
                            }
                        }
                        /*/поставщики*/
                        
                        // Отсортировать  варианты
                        asort($variants_ids);
                        $i = 0;
                        foreach($variants_ids as $variant_id) {
                            $this->variants->update_variant($variants_ids[$i], array('position'=>$variant_id));
                            $i++;
                        }
                    }
                    
                    // Удаление изображений
                    $images = (array)$this->request->post('images');
                    $current_images = $this->products->get_images(array('product_id'=>$product->id));
                    foreach($current_images as $image) {
                        if(!in_array($image->id, $images)) {
                            $this->products->delete_image($image->id);
                        }
                    }
                    
                    // Порядок изображений
                    if($images = $this->request->post('images')) {
                        $i=0;
                        foreach($images as $id) {
                            $this->products->update_image($id, array('position'=>$i));
                            $i++;
                        }
                    }
                    // Загрузка изображений
                    if($images = $this->request->files('images')) {
                        for($i=0; $i<count($images['name']); $i++) {
                            if ($image_name = $this->image->upload_image($images['tmp_name'][$i], $images['name'][$i])) {
                                $this->products->add_image($product->id, $image_name);
                            } else {
                                $this->design->assign('error', 'error uploading image');
                            }
                        }
                    }
                    // Загрузка изображений из интернета и drag-n-drop файлов
                    if($images = $this->request->post('images_urls')) {
                        foreach($images as $url) {
                            // Если не пустой адрес и файл не локальный
                            if(!empty($url) && $url != 'http://' && strstr($url,'/')!==false) {
                                $this->products->add_image($product->id, $url);
                            } elseif($dropped_images = $this->request->files('dropped_images')) {
                                $key = array_search($url, $dropped_images['name']);
                                if ($key!==false && $image_name = $this->image->upload_image($dropped_images['tmp_name'][$key], $dropped_images['name'][$key])) {
                                    $this->products->add_image($product->id, $image_name);
                                }
                            }
                        }
                    }
                    $images = $this->products->get_images(array('product_id'=>$product->id));
                       /*изображение варианта*/
                    unset($variant);
                    foreach($variants as $variant) {
                        if (!empty($variant->images)) {
                            $new_variant_images = array();
                            foreach ($images as $image) {
                                if (in_array($image->id, $variant->images)) {
                                    $new_variant_images[] = $image->id;
                                }
                            }
                            $variant->images = implode(',', $new_variant_images);
                            $this->variants->update_variant($variant->id, array('images' => $variant->images));
                            $variant->images = (!empty($variant->images) ? explode(',', $variant->images) : array());
                        }
                    }
                    /*/изображение варианта*/
                    
                    // Характеристики товара
                    
                    // Удалим все из товара
                    foreach($this->features->get_product_options(array('product_id'=>$product->id)) as $po) {
                        $this->features->delete_option($product->id, $po->feature_id);
                    }
                    
                    // Характеристики текущей категории
                    $category_features = array();
                    foreach($this->features->get_features(array('category_id'=>$product_categories[0])) as $f) {
                        $category_features[] = $f->id;
                    }
                    
                   /*мультихарактеристики*/
                    /*if(is_array($options)) {
                        foreach($options as $option) {
                            if(in_array($option->feature_id, $category_features)) {
                                $this->features->update_option($product->id, $option->feature_id, $option->value, $option->translit);
                            }
                        }
                    }*/
                    if(is_array($options)) {
                        foreach($options as $option) {
                            if(in_array($option->feature_id, $category_features)) {
                                if(is_array($option->value)) {
                                    foreach($option->value as $value) {
                                        $this->features->update_option($product->id, $option->feature_id, $value);
                                    }
                                } else {
                                    $this->features->update_option($product->id, $option->feature_id, $option->value);
                                }
                            }
                        }
                    }
                    /*/мультихарактеристики*/
                    
                    // Новые характеристики
                    $new_features_names = $this->request->post('new_features_names');
                    $new_features_values = $this->request->post('new_features_values');
                    if(is_array($new_features_names) && is_array($new_features_values)) {
                        foreach($new_features_names as $i=>$name) {
                            $value = trim($new_features_values[$i]);
                            if(!empty($name) && !empty($value)) {
                                $query = $this->db->placehold("SELECT * FROM __features WHERE name=? LIMIT 1", trim($name));
                                $this->db->query($query);
                                $feature_id = $this->db->result('id');
                                if(empty($feature_id)) {
                                    $feature_id = $this->features->add_feature(array('name'=>trim($name)));
                                }
                                $this->features->add_feature_category($feature_id, reset($product_categories)->id);
                                $this->features->update_option($product->id, $feature_id, $value);
                            }
                        }
                        // Характеристики товара
                        $options = $this->features->get_product_options(array('product_id'=>$product->id));
                    }
                    
                    // Связанные товары
                    $query = $this->db->placehold('DELETE FROM __related_products WHERE product_id=?', $product->id);
                    $this->db->query($query);
                    if(is_array($related_products)) {
                        $pos = 0;
                        foreach($related_products  as $i=>$related_product) {
                            $this->products->add_related_product($product->id, $related_product->related_id, $pos++);
                        }
                    }
                }
            }
        } else {
            $id = $this->request->get('id', 'integer');
            $product = $this->products->get_product(intval($id));
            
            if($product) {
                // Категории товара
                $product_categories = $this->categories->get_categories(array('product_id'=>$product->id));
                /*поставщики*/
                // Поставщики товара
                $product_suppliers = $this->suppliers->get_suppliers(array('product_id'=>$product->id));
                /*/поставщики*/
                
                // Варианты товара
                $variants = $this->variants->get_variants(array('product_id'=>$product->id));
                
                // Изображения товара
                $images = $this->products->get_images(array('product_id'=>$product->id));
                
                // Характеристики товара
                $options = $this->features->get_options(array('product_id'=>$product->id));
                
                // Связанные товары
                $related_products = $this->products->get_related_products(array('product_id'=>$product->id));
            } else {
                // Сразу активен
                $product = new stdClass;
                $product->visible = 1;
            }
        }
        
        if(empty($variants)) {
            $variants = array(1);
        }
        
        if(empty($product_categories)) {
            if($category_id = $this->request->get('category_id')) {
                $product_categories[0] = new stdClass();
                $product_categories[0]->id = $category_id;
            } else {
                $product_categories = array(1);
            }
        }
        /*поставщики*/
        if(empty($product_suppliers) && $supplier_id=$this->request->get('supplier_id'))
        {
            $product_suppliers[0]->id = $supplier_id;
        }
        /*поставщики*/
		
        if(empty($product->brand_id) && $brand_id=$this->request->get('brand_id')) {
            $product->brand_id = $brand_id;
        }
        
        if(!empty($related_products)) {
            foreach($related_products as &$r_p) {
                $r_products[$r_p->related_id] = &$r_p;
            }
            $temp_products = $this->products->get_products(array('id'=>array_keys($r_products),'limit' => count(array_keys($r_products))));
            foreach($temp_products as $temp_product) {
                $r_products[$temp_product->id] = $temp_product;
            }
            
            $related_products_images = $this->products->get_images(array('product_id'=>array_keys($r_products)));
            foreach($related_products_images as $image) {
                $r_products[$image->product_id]->images[] = $image;
            }
        }
        /*мультихарактеристики*/
        /*if(is_array($options)) {
            $temp_options = array();
            foreach($options as $option) {
                $temp_options[$option->feature_id] = $option;
            }
            $options = $temp_options;
        }*/
        if(is_array($options)) {
            $temp_options = array();
            foreach($options as $option) {
                $temp_options[$option->feature_id]['feature_id'] = $option->feature_id;
                
                if(is_array($option->value)) {
                    $temp_options[$option->feature_id]['values'] = $option->value;
                    $temp_options[$option->feature_id]['translit'] = $option->translit;
                } else {
                    $temp_options[$option->feature_id]['values'][] = $option->value;
                    $temp_options[$option->feature_id]['translit'][] = $option->translit;
                }
            }
            $options = $temp_options;
        }
        /*/мультихарактеристики*/
        
        $this->design->assign('product', $product);
        
        $this->design->assign('product_categories', $product_categories);
		
		/*поставщики*/
        if(isset($product->id)){
            $product_suppliers = $this->suppliers->get_suppliers(array('product_id'=>$product->id));
            $variant_for_suppliers = array();
            $vfs_ids = array();
            foreach($this->variants->get_variants(array('product_id'=>$product->id)) as $vfs){
                $variant_for_suppliers[$vfs->id] = $vfs;
                $vfs_ids[] = $vfs->id;
            }
            foreach($product_suppliers as &$ps){
                foreach($vfs_ids as $vid){
                    if($values = $this->suppliers->get_variant_supplier_info(array('variant_id'=>$vid,'supplier_id'=>$ps->id))){
                        $ps->variants[$vid] = reset($values);
                        $ps->variants[$vid]->bonus = $variant_for_suppliers[$vid]->price - $ps->variants[$vid]->price;
                    }
                }
            }

            $this->design->assign('product_suppliers', $product_suppliers);
        }
        /*/поставщики*/
		
        $this->design->assign('product_variants', $variants);
        $this->design->assign('product_images', $images);
        $this->design->assign('options', $options);
        $this->design->assign('related_products', $related_products);
        
        // Все бренды
        $brands = $this->brands->get_brands();
        $this->design->assign('brands', $brands);
        
        // Все категории
        $categories = $this->categories->get_categories_tree();
        $this->design->assign('categories', $categories);
        $this->design->assign('currencies', $this->money->get_currencies());
        /*поставщики*/
        // Все поставщики
        $suppliers = $this->suppliers->get_suppliers_tree();
        $this->design->assign('suppliers', $suppliers);
        /*поставщики*/
        
        // Все характеристики товара
        $category = reset($product_categories);
        if(!is_object($category)) {
            $category = reset($categories);
        }
        if(is_object($category)) {
            $features = $this->features->get_features(array('category_id'=>$category->id));
            $this->design->assign('features', $features);
        }
        
        // Промо изображения	
        $this->db->query("SELECT * FROM __spec_img ORDER BY position DESC");	
        $special_images = $this->db->results();
        $this->design->assign('special_images', $special_images);
        // END Промо изображения

        return $this->design->fetch('product.tpl');
    }
    
}
