<?php

    $limit = 100;
    
    if(!$fast->managers->access('orders')) {
        exit();
    }

    if (!empty($_SESSION['admin_lang_id'])) {
        $fast->languages->set_lang_id($_SESSION['admin_lang_id']);
    }
    $lang_id  = $fast->languages->lang_id();
    $px = ($lang_id ? 'l' : 'p');
    $lang_sql = $fast->languages->get_query(array('object'=>'product', 'px'=>'p'));
    
    $keyword = $fast->request->get('query', 'string');
    $keywords = explode(' ', $keyword);
    $keyword_sql = '';
    foreach($keywords as $keyword) {
        $kw = $fast->db->escape(trim($keyword));
        $keyword_sql .= $fast->db->placehold("AND (
            $px.name LIKE '%$kw%' 
            OR $px.meta_keywords LIKE '%$kw%' OR 
            p.id in (SELECT product_id FROM __variants WHERE sku LIKE '%$kw%') 
        ) ");
    }
    
    $stock_filter = (!$fast->settings->is_preorder ? "AND (pv.stock IS NULL OR pv.stock>0)" : "");
    $fast->db->query("SELECT 
            p.id, 
            $px.name, 
            i.filename as image 
        FROM __products p
        $lang_sql->join
        LEFT JOIN __images i ON i.product_id=p.id AND i.position=(SELECT MIN(position) FROM __images WHERE product_id=p.id LIMIT 1)
        LEFT JOIN __variants pv ON pv.product_id=p.id $stock_filter
        WHERE 
            1 
            $keyword_sql 
            AND pv.id
        GROUP BY p.id
        ORDER BY $px.name 
        LIMIT ?
    ", $limit);
    
    foreach($fast->db->results() as $product) {
        $products[$product->id] = $product;
    }
    
    $lang_sql = $fast->languages->get_query(array('object'=>'variant', 'px'=>'pv'));
    $variants = array();
    if(!empty($products)) {
        $fast->db->query("SELECT 
                pv.id, 
                 /*изображение варианта*/pv.images, /*/изображение варианта*/
                $lang_sql->fields,
                pv.sku, 
                pv.price, 
                IF(pv.stock=0, ?, IFNULL(pv.stock, ?)) as stock, 
                (pv.stock IS NULL) as infinity, 
                pv.product_id, 
                pv.currency_id 
            FROM __variants pv 
            $lang_sql->join
            WHERE 
                pv.product_id in(?@) 
                $stock_filter 
                AND pv.price>0 
            ORDER BY pv.position
        ", $fast->settings->max_order_amount, $fast->settings->max_order_amount, array_keys($products));
        $variants = $fast->db->results();
    }

      /*изображение варианта*/
    $images = array();
    foreach($fast->products->get_images(array('product_id'=>array_keys($products))) as $img) {
        $images[$img->id] = $img;
		 
    }
    /*/изображение варианта*/
    
    foreach($variants as $variant) {
        if(isset($products[$variant->product_id])) {
             /*изображение варианта*/
            $variant->images = (!empty($variant->images) ? explode(',', $variant->images) : array());
            if (!empty($variant->images)) {
                $variant->image = reset($variant->images);
                $variant->image = $images[$variant->image]->filename;
            }
            /*/изображение варианта*/
            $products[$variant->product_id]->variants[] = $variant;
            if ($variant->currency_id && ($currency = $fast->money->get_currency(intval($variant->currency_id)))) {
                if ($currency->rate_from != $currency->rate_to) {
                    $variant->price = $variant->price*$currency->rate_to/$currency->rate_from;
                    $variant->compare_price = $variant->compare_price*$currency->rate_to/$currency->rate_from;
                }
            }
        }
    }
    
    $suggestions = array();
    foreach($products as $product) {
        if(!empty($product->variants)) {
            $suggestion = new stdClass;
            /*изображение варианта*/
            $product->variant = reset($product->variants);
            if (!empty($product->variant->image)) {
                $product->image = $fast->design->resize_modifier($product->variant->image, 35, 35);
            } else
            /*/изображение варианта*/
            if(!empty($product->image)) {
                $product->image = $fast->design->resize_modifier($product->image, 35, 35);
            }
            $suggestion->value = $product->name;
            $suggestion->data = $product;
            $suggestions[] = $suggestion;
        }
    }
    
    $res = new stdClass;
    $res->query = $keyword;
    $res->suggestions = $suggestions;
    header("Content-type: application/json; charset=UTF-8");
    header("Cache-Control: must-revalidate");
    header("Pragma: no-cache");
    header("Expires: -1");
    print json_encode($res);
