<?php

// Проверка сессии для защиты от xss
if(!$fast->request->check_session()) {
    trigger_error('Session expired', E_USER_WARNING);
    exit();
}

$id = intval($fast->request->post('id'));
$object = $fast->request->post('object');
$values = $fast->request->post('values');

switch ($object) {
    case 'product':
        if($fast->managers->access('products')) {
            $result = $fast->products->update_product($id, $values);
        }
        break;
    case 'variant':
        if($fast->managers->access('products')) {
            $result = $fast->variants->update_variant($id, $values);
        }
        break;
    case 'category':
        if($fast->managers->access('categories')) {
            $result = $fast->categories->update_category($id, $values);
        }
        break;
    case 'brands':
        if($fast->managers->access('brands')) {
            $result = $fast->brands->update_brand($id, $values);
        }
        break;
    case 'feature':
        if($fast->managers->access('features')) {
            $result = $fast->features->update_feature($id, $values);
        }
        break;
    case 'page':
        if($fast->managers->access('pages')) {
            $result = $fast->pages->update_page($id, $values);
        }
        break;
    case 'blog':
        if($fast->managers->access('blog')) {
            $result = $fast->blog->update_post($id, $values);
        }
        break;
    case 'blogcategory':
        if($okay->managers->access('blogcategories')) {
            $result = $okay->blogcategories->update_blogcategory($id, $values);
        }
        break;
    case 'delivery':
        if($fast->managers->access('delivery')) {
            $result = $fast->delivery->update_delivery($id, $values);
        }
        break;
    case 'payment':
        if($fast->managers->access('payment')) {
            $result = $fast->payment->update_payment_method($id, $values);
        }
        break;
    case 'currency':
        if($fast->managers->access('currency')) {
            $result = $fast->money->update_currency($id, $values);
        }
        break;
    case 'comment':
        if($fast->managers->access('comments')) {
            $result = $fast->comments->update_comment($id, $values);
        }
        break;
    case 'user':
        if($fast->managers->access('users')) {
            $result = $fast->users->update_user($id, $values);
        }
        break;
    case 'label':
        if($fast->managers->access('labels')) {
            $result = $fast->orders->update_label($id, $values);
        }
        break;
    case 'language':
        if($fast->managers->access('languages')) {
            $result = $fast->languages->update_language($id, $values);
        }
        break;
    case 'banner':
        if($fast->managers->access('banners')) {
            $result = $fast->banners->update_banner($id, $values);
        }
        break;
	case 'banners_image':
        if($fast->managers->access('banners')) {
            $result = $fast->banners->update_banners_image($id, $values);
        }
        break;
    case 'callback':
        if($fast->managers->access('callbacks')) {
            $result = $fast->callbacks->update_callback($id, $values);
        }
        break;
    case 'category_yandex':
    	if($fast->managers->access('products')) {
            $category = $fast->categories->get_category($id);
            $q = $fast->db->placehold("select v.id from __categories c"
                ." right join __products_categories pc on c.id=pc.category_id"
                ." right join __variants v on v.product_id=pc.product_id"
                ." where c.id in(?@)", $category->children);
            $fast->db->query($q);
            $vids = $fast->db->results('id');
            if (count($vids) == 0) {
                $result = -1;
                break;
            }
            $q = $fast->db->placehold("update __variants set yandex=? where id in(?@)", (int)$values['to_yandex'], $vids);
            $result = (bool)$fast->db->query($q);
    	}
        break;
    case 'brand_yandex':
    	if($fast->managers->access('products')) {
            $q = $fast->db->placehold("select v.id from __products p"
                ." left join __variants v on v.product_id=p.id"
                ." where p.brand_id in(?@)", array($id));
            $fast->db->query($q);
            $vids = $fast->db->results('id');
            if (count($vids) == 0) {
                $result = -1;
                break;
            }
            $q = $fast->db->placehold("update __variants set yandex=? where id in(?@)", (int)$values['to_yandex'], $vids);
            $result = (bool)$fast->db->query($q);
    	}
        break;
    case 'feedback':
        if($fast->managers->access('feedbacks')) {
            $result = $fast->feedbacks->update_feedback($id, $values);
        }
        break;
    /*поставщики*/
    case 'supplier':
        if($fast->managers->access('suppliers'))
            $result = $fast->suppliers->update_supplier($id, $values);
        break;
    /*/поставщики*/
}

header("Content-type: application/json; charset=UTF-8");
header("Cache-Control: must-revalidate");
header("Pragma: no-cache");
header("Expires: -1");
$json = json_encode($result);
print $json;
