<?php
    if(!empty($_SERVER['HTTP_USER_AGENT'])){
        session_name(md5($_SERVER['HTTP_USER_AGENT']));
    }
	session_start();
	require_once('../api/Fast.php');
    define('IS_CLIENT', true);
	$fast = new Fast();
    if(isset($_SESSION['user_id']) && $user = $fast->users->get_user(intval($_SESSION['user_id']))) {
        $fast->design->assign('user', $user);
    }
    
    $action = $fast->request->get('action');
    $variant_id = $fast->request->get('variant_id', 'integer');
    $amount = $fast->request->get('amount', 'integer');
    
    switch($action) {
        case 'update_citem':
            $fast->cart->update_item($variant_id, $amount);
            break;
        case 'remove_citem':
            $fast->cart->delete_item($variant_id);
            break;
        case 'add_citem':
            $fast->cart->add_item($variant_id, $amount);
            break;
        default:
            break;
    }
    
    $language = $fast->languages->language(array('id'=>$fast->languages->lang_id()));
    $fast->design->assign('language', $language);
    $lang_link = '';
    $first_lang = $fast->languages->language();
    if (!empty($first_lang)) {
        $first_lang = reset($first_lang);
        if($first_lang->id !== $language->id) {
            $lang_link = $language->label . '/';
        }
    }
    $fast->design->assign('lang_link', $lang_link);
    $fast->design->assign('lang', $fast->translations);
    
    $cart = $fast->cart->get_cart();
    if (count($cart->purchases) > 0) {
        $coupon_code = trim($fast->request->get('coupon_code', 'string'));
        if(empty($coupon_code)) {
    		$fast->cart->apply_coupon('');	    		
        } else {
			$coupon = $fast->coupons->get_coupon((string)$coupon_code);
            if(empty($coupon) || !$coupon->valid) {
	    		$fast->cart->apply_coupon($coupon_code);
				$fast->design->assign('coupon_error', 'invalid');
            } else {
				$fast->cart->apply_coupon($coupon_code);
			}
    	}
        
        $cart = $fast->cart->get_cart();
    	$fast->design->assign('cart', $cart);
    	$currencies = $fast->money->get_currencies(array('enabled'=>1));
        if(isset($_SESSION['currency_id'])) {
            $currency = $fast->money->get_currency($_SESSION['currency_id']);
        } else {
            $currency = reset($currencies);
        }
    	$fast->design->assign('currency',	$currency);
        
        $deliveries = $fast->delivery->get_deliveries(array('enabled'=>1));
    	$fast->design->assign('deliveries', $deliveries);
        foreach($deliveries as $delivery) {
            $delivery->payment_methods = $fast->payment->get_payment_methods(array('delivery_id'=>$delivery->id, 'enabled'=>1));
        }
        $fast->design->assign('all_currencies', $fast->money->get_currencies());
        if($fast->coupons->count_coupons(array('valid'=>1))>0) {
            $fast->design->assign('coupon_request', true);
        }
    	
    	$result = array('result'=>1);
        $result['cart_informer'] = $fast->design->fetch('cart_informer.tpl');
        $result['cart_purchases'] = $fast->design->fetch('cart_purchases.tpl');
        $result['cart_deliveries'] = $fast->design->fetch('cart_deliveries.tpl');
        $result['currency_sign'] = $currency->sign;
        $result['total_price'] = $fast->money->convert($cart->total_price, $currency->id);
        $result['total_products'] = $cart->total_products;
        /*Минимальная сумма заказа*/
        $result['visible_info_form'] = (int)($cart->total_price >= $fast->settings->min_order_price);
        /*/Минимальная сумма заказа*/
    } else {
        $result = array('result'=>0);
        $result['cart_informer'] = $fast->design->fetch('cart_informer.tpl');
        $result['content'] = $fast->design->fetch('cart.tpl');
    }
	header("Content-type: application/json; charset=UTF-8");
	header("Cache-Control: must-revalidate");
	header("Pragma: no-cache");
	header("Expires: -1");		
	print json_encode($result);
