{* Форма обратного звонка *}
<div class="hidden">
	<form id="pro_callback" class="p-a-1" method="post">
		{* Заголовок формы *}
		<strong class="h3 p-b-1 center d-block" data-language="{$translate_id['callback_header']}">{$lang->callback_header}</strong>

        {* Вывод ошибок *}
        {if $call_error}
            <div class="error">
				{if $call_error=='captcha'}
					<span data-language="{$translate_id['form_error_captcha']}">{$lang->form_error_captcha}</span>
                {elseif $call_error == 'empty_name'}
                    <span data-language="{$translate_id['form_enter_name']}">{$lang->form_enter_name}</span>
                {elseif $call_error == 'empty_phone'}
                    <span data-language="{$translate_id['form_enter_phone']}">{$lang->form_enter_phone}</span>
                {elseif $call_error == 'empty_comment'}
                    <span data-language="{$translate_id['form_enter_message']}">{$lang->form_enter_message}</span>
                {else}
                    {$call_error}
                {/if}
            </div>
        {/if}

		{* Имя клиента *}
		<div class="form-group">
			<input class="form-control" type="text" name="name" data-format=".+" data-notice="{$lang->form_enter_name}" value="{if $user->name}{$user->name|escape}{else}{$name|escape}{/if}" data-language="{$translate_id['form_name']}" placeholder="{$lang->form_name}*"/>
		</div>
		
		{* Ловушка для бота *}
		<div class="hid">
			<input id="hid-call" class="m-a-1" data-format=".+" data-notice="Введите фамилию" name="lastname" type="text" placeholder="Фамилия*"/>
		</div>

		{* Телефон клиента *}
		<div class="form-group">
			<input class="form-control" type="text" name="phone" data-format=".+" data-notice="{$lang->form_enter_phone}" value="{if $user->phone}{$user->phone|escape}{else}{$phone|escape}{/if}" data-language="{$translate_id['form_phone']}" placeholder="{$lang->form_phone}*"/>
		</div>

        <div class="form-group">
            <textarea class="form-control" rows="3" name="message" data-language="{$translate_id['form_enter_message']}" placeholder="{$lang->form_enter_message}"></textarea>
        </div>
		{if $settings->captcha_callback}
			<div class="form-group m-a-0 relative">
				{* Изображение капчи *}
				<div class="form-group captcha" onclick="$(this).find('img').prop('src', 'captcha/image.php?'+ Math.random())">
					<img src="captcha/image.php" alt="captcha" title="captcha, Кликните для изменения капчи" />
				</div>

				{* Поле ввода капчи *}
				<div class="form-group">
					<input class="form-control input_captcha" type="text" name="captcha_code" value="" data-format="\d\d\d\d\d" data-notice="{$lang->form_enter_captcha}" data-language="{$translate_id['form_enter_captcha']}" placeholder="{$lang->form_enter_captcha}*"/>
				</div>
			</div>
		{/if}
		
		{* Кнопка отправки формы *}
		<div class="center">
			<input class="btn btn-success" type="submit" name="callback" onClick="document.getElementById('hid-call').value = 'lname'" data-language="{$translate_id['callback_order']}" value="{$lang->callback_order}"/>
		</div>

	</form>
</div>
{* Модальное окно после отправки заявки *}
{if $call_sent}
	<div class="hidden">
		<div id="pro_callback-sent" class="p-a-1">
			<div class="h4 m-b-1 center" data-language="{$translate_id['callback_sent_header']}">{$lang->callback_sent_header}</div>
			<div data-language="{$translate_id['callback_sent_text']}">{$lang->callback_sent_text}</div>
		</div>
	</div>
{/if}
