{* Шаблон корзины *}
{* Тайтл страницы *}
{$meta_title = $lang->cart_title scope=parent}

{* Заголовок страницы *}
<div class="page-header">
	<h1 data-language="{$translate_id['cart_header']}">
	{*$lang->cart_header*}
		{if $cart->purchases}В корзине {$cart->total_products} {$cart->total_products|plural:'товар':'товаров':'товара'}
		{else}<span>В корзине</span> нет товаров{/if}
	</h1>
</div>

{if $cart->purchases}
	<form method="post" name="cart">
		<input name="checkout" value="1" type="hidden">
		{* Список покупок *}
		<div id="pro_purchases" class="m-b-1">
			{include file='cart_purchases.tpl'}
		</div>
		
		<div class="margins" {if $cart->total_price < $settings->min_order_price}style="display:none"{/if}>
			<div class="row">
				{* Доставка *}
				<div id="pro_ajax_deliveries" class="col-lg-7 m-b-1">
					{include file='cart_deliveries.tpl'}
					{*print_r($settings->min_order_price)*}
					{*print_r($cart->total_price)*}
				</div>
				{* Форма *}
				<div class="col-lg-5 m-b-1" id="form_min_order_price">
					<div class="bg-light p-a-1 line left">
						{* Заголовок формы *}
						<div class="h2 text-caps m-b-1" data-language="{$translate_id['cart_form_header']}">{$lang->cart_form_header}</div>

						{* Вывод ошибок формы *}
						{if $error}
							<div class="error">
								{if $error == 'empty_name'}
									<span data-language="{$translate_id['form_enter_name']}">{$lang->form_enter_name}</span>
								{/if}
								{if $error == 'empty_email'}
									<span data-language="{$translate_id['form_enter_email']}">{$lang->form_enter_email}</span>
								{/if}
								{if $error == 'empty_phone'}
									<span data-language="{$translate_id['form_enter_phone']}">{$lang->form_enter_phone}</span>
								{/if}
								{if $error == 'empty_address'}
									<span data-language="{$translate_id['form_enter_address']}">{$lang->form_enter_address}</span>
								{/if}
								{if $error == 'empty_comment'}
									<span data-language="{$translate_id['form_enter_comment']}">{$lang->form_enter_comment}</span>
								{/if}
								{if $error == 'captcha'}
									<span data-language="{$translate_id['form_error_captcha']}">{$lang->form_error_captcha}</span>
								{/if}
							</div>
						{/if}

						{* Имя клиента *}
						<div class="form-group">
							<input class="form-control" name="name" type="text" value="{$name|escape}" data-format=".+" data-notice="{$lang->form_enter_name}" data-language="{$translate_id['form_name']}" placeholder="{$lang->form_name}*"/>
						</div>
						
						{* Ловушка для бота *}
						<div class="hid">
							<input id="hid" class="m-a-1" data-format=".+" data-notice="Введите фамилию" name="lastname" type="text" placeholder="Фамилия*"/>
						</div>

						{* Телефон клиента *}
						<div class="form-group">
							<input class="form-control" name="phone" type="text" value="{$phone|escape}" data-language="{$translate_id['form_phone']}" placeholder="{$lang->form_phone}"/>
						</div>

						{* Почта клиента *}
						<div class="form-group">
							<input class="form-control" name="email" type="text" value="{$email|escape}" data-format="email" data-notice="{$lang->form_enter_email}" data-language="{$translate_id['form_email']}" placeholder="{$lang->form_email}*"/>
						</div>

						{* Адрес доставки *}
						<div class="form-group">
							<input class="form-control" name="address" type="text" value="{$address|escape}" data-language="{$translate_id['form_address']}" placeholder="{$lang->form_address}"/>
						</div>

						<div class="form-group">
							<textarea class="form-control" name="comment" data-language="{$translate_id['cart_order_comment']}" placeholder="{$lang->cart_order_comment}">{$comment|escape}</textarea>
						</div>

						{if $settings->captcha_cart}
						<div class="form-group m-a-0 relative">
						
							{* Изображение капчи *}
							<div class="form-group captcha" onclick="$(this).find('img').prop('src', 'captcha/image.php?'+ Math.random())">
								<img src="captcha/image.php" alt="captcha" title="captcha, Кликните для изменения капчи" />
							</div>
							
							{* Поле ввода капчи *}
							<input class="form-control input_captcha" type="text" name="captcha_code" value="" data-format="\d\d\d\d\d" data-notice="{$lang->form_enter_captcha}" data-language="{$translate_id['form_enter_captcha']}" placeholder="{$lang->form_enter_captcha}*"/>

						</div>
						{/if}
						<p data-language="{$translate_id['cart_personal_data']}">{$lang->cart_personal_data}</p>

						<div class="form-group center m-b-0">
							<input class="btn btn-success m-x-1" type="submit" name="checkout_fake" onClick="document.getElementById('hid').value = 'lname'" data-language="{$translate_id['cart_checkout']}" value="{$lang->cart_checkout}"/>
						</div>
					</div>
				</div>
			</div>
		</div>
	</form>	 

{else}
	<div class="m-b-1"><span data-language="{$translate_id['cart_empty']}">{$lang->cart_empty}</span></div>
{/if}