{* Отзывы *}
<div id="blog_comment" class="row">

	{* Список с отзывами *}
	<div class="col-lg-10 col-xl-6 comm-list">
		{if $comments}
			{function name=comments_tree level=0}
				{foreach $comments as $comment}

					{* Якорь отзыва *}
					<a class="link_reviev" name="comment_{$comment->id}"></a>

					<div class="lev{$level} comm-block{if $comment->name =='Администратор'} adm{/if}">

						{* Имя отзыва *}
						<div class="name left ico-comm">
							{$comment->name|escape}
							{* Дата отзыва *}
							<i>({$comment->date|date}, {$comment->date|time})</i>
						</div>

						<div class="text left">
							{* Статус отзыва *}
							{if !$comment->approved}
							<a class='b-block text-bold text-underline' href='/admin/index.php?module=CommentsAdmin' target="blank" data-language="{$translate_id['post_comment_status']}" style="color:red">{$lang->post_comment_status}</a>
							{/if}

							{* Тело отзыва *}
							<span itemprop="comment">
								{$comment->text|escape|nl2br}
							</span>

							{if isset($children[$comment->id])}
							{comments_tree comments=$children[$comment->id] level=$level+1}
							{/if}
						</div>

					</div>
				{/foreach}
			{/function}
			{comments_tree comments=$comments}
		{else}
		
			<div class="p-a-2 bg-light line" data-language="{$translate_id['product_no_comments']}">
				{$lang->product_no_comments}
			</div>
		{/if}
	</div>


	{* Форма отправления отзыва *}
	<div class="col-lg-7 col-xl-6">
		<form class="form p-a-2 bg-light line m-b-2" method="post">

			<div class="h2" data-language="{$translate_id['product_write_comment']}">
				{$lang->product_write_comment}
			</div>

			{* Вывод ошибок формы *}
			{if $error}
			<div class="error">
				{if $error=='captcha'}					<span data-language="{$translate_id['form_error_captcha']}">{$lang->form_error_captcha}</span>
				{elseif $error=='empty_name'}			<span data-language="{$translate_id['form_enter_name']}">{$lang->form_enter_name}</span>
				{elseif $error=='empty_comment'}		<span data-language="{$translate_id['form_enter_comment']}">{$lang->form_enter_comment}</span>
				{elseif $error=='empty_email'}          <span data-language="{$translate_id['form_enter_email']}">{$lang->form_enter_email}</span>
				{/if}
			</div>
			{/if}

			<div class="row">
				{* Имя покупателя *}
				<div class="col-xs-12 col-lg-6 form-group">
					<input class="form-control" type="text" name="name" data-format=".+" data-notice="{$lang->form_enter_name}" value="{$comment_name|escape}" data-language="{$translate_id['form_name']}" placeholder="{$lang->form_name}*"/>
				</div>
				{* Ловушка для бота *}
				<div class="hid">
					<input id="lastname" class="m-a-1" data-format=".+" data-notice="Введите фамилию" name="lastname" type="text" placeholder="Фамилия*"/>
				</div>
				{* Почта покупателя *}
				<div class="col-xs-12 col-lg-6 form-group">
					<input class="form-control" type="text" name="email" data-format="email" data-notice="{$lang->form_enter_email}" value="{$comment_email|escape}" data-language="{$translate_id['form_email']}" placeholder="{$lang->form_email}*"/>
				</div>

				{* Текст отзыва *}
				<div class="col-xs-12 form-group">
					<textarea class="form-control" rows="3" name="text" data-format=".+" data-notice="{$lang->form_enter_comment}" data-language="{$translate_id['form_enter_comment']}" placeholder="{$lang->form_enter_comment}*">{$comment_text}</textarea>
				</div>
			</div>

			{if $settings->captcha_cart}
			<div class="form-group m-a-0 p-l-0 relative col-lg-8">
			
				{* Изображение капчи *}
				<div class="form-group captcha" onclick="$(this).find('img').prop('src', 'captcha/image.php?'+ Math.random())">
					<img src="captcha/image.php" alt="captcha" title="captcha, Кликните для изменения капчи" />
				</div>
				
				{* Поле ввода капчи *}
				<input class="form-control input_captcha m-r-1" type="text" name="captcha_code" value="" data-format="\d\d\d\d\d" data-notice="{$lang->form_enter_captcha}" data-language="{$translate_id['form_enter_captcha']}" placeholder="{$lang->form_enter_captcha}*"/>

			</div>
			{/if}

			{* Кнопка отправки формы *}
			<div class="">
				<input class="btn" type="submit" onClick="document.getElementById('lastname').value = 'lname'" name="comment" data-language="{$translate_id['form_send']}" value="{$lang->form_send}"/>
			</div>
		</form>
	</div>

</div>
















