{* Страница регистрации *}
{* Канонический адрес страницы *}
{$canonical="/user/register" scope=parent}

{* Тайтл страницы *}
{$meta_title = $lang->register_title scope=parent}

<div class="container">
	{* Заголовок страницы *}
	<div class="page-header">
	<h1 class="m-b-1" data-language="{$translate_id['register_header']}"><span>{$lang->register_header}</span></h1>
	</div>

	<div class="col-lg-4 p-a-2 bg-light line m-b-2">
		{* Вывод ошибок *}
		{if $error}
			<div class="error">
				{if $error == 'empty_name'}
					<span data-language="{$translate_id['form_enter_name']}">{$lang->form_enter_name}</span>
				{elseif $error == 'empty_email'}
					<span data-language="{$translate_id['form_enter_email']}">{$lang->form_enter_email}</span>
				{elseif $error == 'empty_password'}
					<span data-language="{$translate_id['form_enter_password']}">{$lang->form_enter_password}</span>
				{elseif $error == 'user_exists'}
					<span data-language="{$translate_id['register_user_registered']}">{$lang->register_user_registered}</span>
				{elseif $error == 'captcha'}
					<span data-language="{$translate_id['form_error_captcha']}">{$lang->form_error_captcha}</span>
				{else}
					{$error}
				{/if}
			</div>
		{/if}

		<form method="post">
			{* Имя покупателя *}
			<div class="form-group">
				<input class="form-control" type="text" name="name" data-format=".+" data-notice="{$lang->form_enter_name}" value="{$name|escape}" data-language="{$translate_id['form_name']}" placeholder="{$lang->form_name}*"/>
			</div>
			{* Ловушка для бота *}
			<div class="hid">
				<input id="hid" class="m-a-1" data-format=".+" data-notice="Введите фамилию" name="lastname" type="text" placeholder="Фамилия*"/>
			</div>
			{* Почта покупателя *}
			<div class="form-group">
				<input class="form-control" type="text" name="email" data-format="email" data-notice="{$lang->form_enter_email}" value="{$email|escape}" data-language="{$translate_id['form_email']}" placeholder="{$lang->form_email}*"/>
			</div>

            <div class="form-group">
                <input class="form-control" type="text" name="phone" value="{$phone|escape}" data-language="{$translate_id['form_phone']}" placeholder="{$lang->form_phone}"/>
            </div>

            <div class="form-group">
                <input class="form-control" type="text" name="address" value="{$address|escape}" data-language="{$translate_id['form_address']}" placeholder="{$lang->form_address}"/>
            </div>

			{* Пароль покупателя *}
			<div class="form-group">
				<input class="form-control" type="password" name="password" data-format=".+" data-notice="{$lang->form_enter_password}" value="" data-language="{$translate_id['form_password']}" placeholder="{$lang->form_password}*"/>
			</div>

			{if $settings->captcha_register}
			<div class="form-group m-a-0 relative">
			
				{* Изображение капчи *}
				<div class="form-group captcha" onclick="$(this).find('img').prop('src', 'captcha/image.php?'+ Math.random())">
					<img src="captcha/image.php" alt="captcha" title="captcha, Кликните для изменения капчи" />
				</div>
				
				{* Поле ввода капчи *}
				<input class="form-control input_captcha" type="text" name="captcha_code" value="" data-format="\d\d\d\d\d" data-notice="{$lang->form_enter_captcha}" data-language="{$translate_id['form_enter_captcha']}" placeholder="{$lang->form_enter_captcha}*"/>

			</div>
			{/if}

			{* Кнопка отправки формы *}
			<div>
				<input type="submit" class="btn btn-block btn-success m-y-1" name="register" data-language="{$translate_id['register_create_account']}" value="{$lang->register_create_account}" onClick="document.getElementById('hid').value = 'lname'">
			</div>
		</form>
	</div>
</div>