<?php

require_once('View.php');

class IndexView extends View {
    
    public $modules_dir = 'view/';
    
    public function __construct() {
        parent::__construct();
    }
    
    public function fetch() {

        /*заказ в 1 клик*/
        if (isset($_POST['IsFastOrder'])) {
            // Если нажали оформить заказ
            if (isset($_POST['checkout'])) {
                $order = new stdClass();
                $order->name = $this->request->post('name');
                $order->email = $this->request->post('email');
                $order->address = $this->request->post('address');
                $order->phone = $this->request->post('phone');
                $order->comment = $this->request->post('comment');
                $order->ip = $_SERVER['REMOTE_ADDR'];

                $this->design->assign('name', $order->name);
                $this->design->assign('email', $order->email);
                $this->design->assign('phone', $order->phone);
                $this->design->assign('address', $order->address);

                $order->email = "_______";
                $order->address = "_______";
                $order->comment = "Заказ в 1 клик";
                //$captcha_code =  $this->request->post('captcha_code', 'string');

                // Скидка
                $cart = $this->cart->get_cart();
                $order->discount = $cart->discount;

                if ($cart->coupon) {
                    $order->coupon_discount = $cart->coupon_discount;
                    $order->coupon_code = $cart->coupon->code;
                }

                if (!empty($this->user->id)) {
                    $order->user_id = $this->user->id;
                }

                if (empty($order->name)) {
                    $this->design->assign('error', 'empty_name');
                } elseif (empty($order->phone)) {
                    $this->design->assign('error', 'empty_phone');
                /*} elseif($_SESSION['captcha_code'] != $captcha_code || empty($captcha_code)){
                    $this->design->assign('error', 'captcha');
                 */
                } else {
                    $order->lang_id = $this->languages->lang_id();
                    $order->payment_method_id = 0;
                    // Добавляем заказ в базу
                    $order_id = $this->orders->add_order($order);
                    $_SESSION['order_id'] = $order_id;

                    if($cart->coupon) {
                        $this->coupons->update_coupon($cart->coupon->id, array('usages'=>$cart->coupon->usages+1));
                    }

                    // Добавляем товары к заказу
                    $this->orders->add_purchase(array('order_id' => $order_id, 'variant_id' => intval($this->request->post('variant_id')), 'amount' => 1));

                    $order = $this->orders->get_order($order_id);

                    // Отправляем письмо пользователю
                    $this->notify->email_order_user($order->id);
                    // Отправляем письмо администратору
                    $this->notify->email_order_admin($order->id);
                    //unset($_SESSION['captcha_code']);
                    // Перенаправляем на страницу заказа
                    header('Location: ' . $this->config->root_url . '/order/' . $order->url);
                }
            }
        }
        /*/заказ в 1 клик*/
		
        if($this->request->method('post') && $this->request->post('callback')) {
            $callback = new stdClass();
            $callback->phone        = $this->request->post('phone');
            $callback->name         = $this->request->post('name');
            $callback->url          = 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
            $callback->message      = $this->request->post('message');
			$captcha_code           = $this->request->post('captcha_code');
            
            $this->design->assign('callname',  $callback->name);
			$this->design->assign('lastname',  $callback->lastname);
            $this->design->assign('callemail', $callback->phone);
            $this->design->assign('callmessage', $callback->message);
			
			
            if (!$this->validate->is_name($callback->name, true)) {
                $this->design->assign('call_error', 'empty_name');
			} elseif(!$this->validate->is_lastname($callback->lastname, true)) {
                $this->design->assign('call_error', 'empty_name');
            } elseif(!$this->validate->is_phone($callback->phone, true)) {
                $this->design->assign('call_error', 'empty_phone');/* 
            } elseif(!$this->validate->is_comment($callback->message, true)) {
                $this->design->assign('call_error', 'empty_comment'); */
			} elseif($this->settings->captcha_callback && ($_SESSION['captcha_code'] != $captcha_code || empty($captcha_code))) {
                $this->design->assign('call_error', 'captcha');
            } elseif($callback_id = $this->callbacks->add_callback($callback)) {
                $this->design->assign('call_sent', true);
                // Отправляем email
                $this->callbacks->email_callback_admin($callback_id);
            } else {
                $this->design->assign('call_error', 'unknown error');
            }
        }
        
        // E-mail подписка
        if ($this->request->post('subscribe')) {
            $email = $this->request->post('subscribe_email');
            $this->db->query("select count(id) as cnt from __subscribe_mailing where email=?", $email);
            $cnt = $this->db->result('cnt');
            if (!$this->validate->is_email($email, true)) {
                $this->design->assign('subscribe_error', 'empty_email');
            } elseif ($cnt > 0) {
                $this->design->assign('subscribe_error', 'email_exist');
            } else {
                $this->db->query("insert into __subscribe_mailing set email=?", $email);
                $this->design->assign('subscribe_success', '1');
            }
        }
        
        // Содержимое корзины
        $this->design->assign('cart',		$this->cart->get_cart());
        
        // Избранное
        @$wished = (array)explode(',', $_COOKIE['wished_products']);
        $this->design->assign('wished_products', ($wished[0] > 0) ? $wished : array());
        
        // Сравнение
        //unset($_SESSION['comparison']);
		$this->design->assign('comparison', $this->comparison->get_comparison());
        
        // Категории товаров
        $this->count_visible($this->categories->get_categories_tree());
        $this->design->assign('categories', $this->categories->get_categories_tree());
        
        // Страницы
        $pages = $this->pages->get_pages(array('visible'=>1));
        $this->design->assign('pages', $pages);

        $is_mobile = $this->design->is_mobile();
        $is_tablet = $this->design->is_tablet();
        $this->design->assign('is_mobile',$is_mobile);
        $this->design->assign('is_tablet',$is_tablet);
        
        // Текущий модуль (для отображения центрального блока)
        $module = $this->request->get('module', 'string');
        $module = preg_replace("/[^A-Za-z0-9]+/", "", $module);
        
        // Если не задан - берем из настроек
        if(empty($module)) {
            return false;
        }
        
        // Создаем соответствующий класс
        if (is_file($this->modules_dir."$module.php")) {
            include_once($this->modules_dir."$module.php");
            if (class_exists($module)) {
                $this->main = new $module($this);
            } else {
                return false;
            }
        } else {
            return false;
        }
        
        // Создаем основной блок страницы
        if (!$content = $this->main->fetch()) {
            return false;
        }
        
        // Передаем основной блок в шаблон
        $this->design->assign('content', $content);
        
        // Передаем название модуля в шаблон, это может пригодиться
        $this->design->assign('module', $module);
        
        // Создаем текущую обертку сайта (обычно index.tpl)
        $wrapper = $this->design->get_var('wrapper');
        if(is_null($wrapper)) {
            $wrapper = 'index.tpl';
        }

        if(empty($_SESSION['admin'])) {
            if ($this->settings->site_work == "off") {
                header('HTTP/1.0 503 Service Temporarily Unavailable');
                header('Status: 503 Service Temporarily Unavailable');
                header('Retry-After: 300');//300 seconds
                return $this->design->fetch('tech.tpl');
            }
        }
        
        if(!empty($wrapper)) {
            return $this->body = $this->design->fetch($wrapper);
        } else {
            return $this->body = $content;
        }
    }

    private function count_visible($categories = array()) {
        $all_categories = $this->categories->get_categories();
        foreach ($categories as $category) {
            $category->has_children_visible = 0;
            if ($category->parent_id && $category->visible) {
                $all_categories[$category->parent_id]->has_children_visible = 1;
            }
            if ($category->subcategories) {
                $this->count_visible($category->subcategories);
            }
        }
    }
    
}
