<?php
if(!empty($_SERVER['HTTP_USER_AGENT'])){
    session_name(md5($_SERVER['HTTP_USER_AGENT']));
}
session_start();
?>

<html>
<head>
	<title>Восстановления пароля администратора</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf8" />
	<meta http-equiv="Content-Language" content="ru" />
	<meta name="robots" content="noindex,nofollow"/>
	<meta name="viewport" content="width=device-width, user-scalable=yes, initial-scale=1.0"/>
</head>

<style type="text/css" scoped>
@import url(https://fonts.googleapis.com/css?family=Ubuntu:400,500,700&subset=latin,cyrillic);
body {
	padding: 0;
	margin: 0;
	text-align: center;
	font-size: 18px;
	font-family: 'Ubuntu', sans-serif;
	background:linear-gradient(to bottom, #337ab7 0%, #233f8e 50%, #161e29 100%);
	background-attachment: fixed;
}
.heading {
	display: block;
	font-weight: bold;
	font-size: 20px;
	text-transform:uppercase;
	margin: 0 0 10px;
}
a.heading{
margin:10px
}
.center_box {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
	display: inline-block;
	background-color: #fff;
	padding: 15px;
	margin-bottom: 15px;
	border-radius: 20px;
	margin-bottom: 15px;
	box-shadow: 0 25px 53px 9px rgba(0,0,0,.5);
	width: 450px;
	max-width: 90%;
}
.form_group {
	text-align: left;
	margin-bottom: 12px;
}
.form_group label {
	display: block;
	font-weight: 300;
	width: 100%;
}
.form_group input {
	line-height: 30px;
	width: 100%;
	padding: 5px 10px;
	background: #fff;
	border: 1px solid #d0d0d0;
	border-radius:6px;
}
input:focus {
	outline: none;
}
.form_group .button {
	font-family: 'Ubuntu', sans-serif;
	background: #337ab7;
	margin-top: 10px;
	width: 100%;
	border: none;
	border-radius:6px;
	padding: 11px;
	font-size: 18px;
	color:#fff;
	cursor: pointer;
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	transition: all 0.3s ease;
}
.button:hover {
	background: #337ab7;
}
.message_error {
	background-color: #a70606;
	padding: 12px;
	color: #fff;
	margin-bottom: 20px;
}
.recovery {
	color: #243541;
	margin-right: 5px;
}
.recovery:hover {
	text-decoration: none;
}
.white {
	color:white;
}
.links a {
	padding:5px 10px;
	color:#fff;
}
p.error{color:red;}
</style>
<body>
<div style='width:100%; height:100%;'> 
  <div class="center_box">

<?php
require_once('api/Fast.php');
$fast = new Fast();

// Если пришли по ссылке из письма
if($c = $fast->request->get('code')) {
    // Код не совпадает - прекращяем работу
    if(empty($_SESSION['admin_password_recovery_code']) || empty($c) || $_SESSION['admin_password_recovery_code'] !== $c) {
        header('Location:password.php');
        exit();
    }
    
    // IP не совпадает - прекращяем работу
    if(empty($_SESSION['admin_password_recovery_ip'])|| empty($_SERVER['REMOTE_ADDR']) || $_SESSION['admin_password_recovery_ip'] !== $_SERVER['REMOTE_ADDR']) {
        header('Location:password.php');
        exit();
    }
    
    // Если запостили пароль
    if($new_password = $fast->request->post('new_password')) {
        // Удаляем из сесси код, чтобы больше никто не воспользовался ссылкой
        unset($_SESSION['admin_password_recovery_code']);
        unset($_SESSION['admin_password_recovery_ip']);
        
        // Новый логин и пароль
        $new_login = $fast->request->post('new_login');
        $new_password = $fast->request->post('new_password');
        $manager = $fast->managers->get_manager($new_login);
        if (!$fast->managers->update_manager($manager->id, array('password'=>$new_password, 'cnt_try'=>0, 'last_try'=>null))) {
            $fast->managers->add_manager(array('login'=>$new_login, 'password'=>$new_password));
        }

        print "
            <h1 class='heading'>Восстановление пароля администратора</h1>
            <p>
            Новый пароль установлен
            </p>
            <p>
            <a href='".$fast->root_url."/admin/index.php?module=AuthAdmin'>Перейти в панель управления</a>
            </p>
        ";
    } else {
    // Форма указалия нового логина и пароля
        print "
            <h1 class='heading'>Восстановление пароля администратора</h1>
            <p>
            <form class='form_group' method=post>
            	Новый логин:<br><input type='text' name='new_login'><br><br>
            	Новый пароль:<br><input type='password' name='new_password'><br><br>
            	<input class='button' type='submit' value='Сохранить логин и пароль'>
            </form>
            </p>
        ";
    }
} else {
    print "
        <h1 class='heading'>Восстановление пароля администратора</h1>
        <p>
            
            <form class='form_group' method='post' action='".$fast->config->root_url."/password.php'>
				Введите email администратора
            	<input type='text' name='email'>
            	<input class='button' type='submit' value='Восстановить пароль'>
            </form>
        </p>
    ";
    
    $admin_email = $fast->settings->admin_email;
    
    if(isset($_POST['email'])) {
        if($_POST['email'] === $admin_email) {
            $code = $fast->config->token(mt_rand(1, mt_getrandmax()).mt_rand(1, mt_getrandmax()).mt_rand(1, mt_getrandmax()));
            $_SESSION['admin_password_recovery_code'] = $code;
            $_SESSION['admin_password_recovery_ip'] = $_SERVER['REMOTE_ADDR'];
            
            $message = 'Вы или кто-то другой запросил ссылку на восстановление пароля администратора.<br>';
            $message .= 'Для смены пароля перейдите по ссылке '.$fast->config->root_url.'/password.php?code='.$code.'<br>';
            $message .= 'Если письмо пришло вам по ошибке, проигнорируйте его.';
            
            $fast->notify->email($admin_email, 'Восстановление пароля администратора '.$fast->settings->site_name, $message, $fast->settings->notify_from_email);
        }
        print "<p>Вам отправлена ссылка для восстановления пароля. Если письмо вам не пришло, значит вы неверно указали email или что-то не так с хостингом</p>";
    }
}
?>

  </div>
</div>
</body>
</html>
