<?php

require_once('View.php');

class BlogcategoryView extends View {
    
    public function fetch() {

        $url = $this->request->get('url', 'string');

	    $cat = $this->blogcategories->get_blogcategory($url);

		//lastModify
        $this->db->query("SELECT b.last_modify FROM __blog b");
        $last_modify = $this->db->results('last_modify');
        $last_modify[] = $this->settings->lastModifyPosts;
        if ($this->page) {
            $last_modify[] = $this->page->last_modify;
        }
        $this->setHeaderLastModify(max($last_modify));
        
        // Количество постов на одной странице
        $items_per_page = max(1, intval($this->settings->posts_num));
        
        $filter = array();
        
        // Выбираем только видимые посты
        $filter['visible'] = 1;
        if($this->request->get('type_post')) {
            $filter['type_post'] = $this->request->get('type_post');
        }
        if($cat) {
            $filter['category_id'] = $cat->id;
        }
        
        // Текущая страница в постраничном выводе
        $current_page = $this->request->get('page', 'integer');
        
        // Если не задана, то равна 1
        $current_page = max(1, $current_page);
        $this->design->assign('current_page_num', $current_page);
        
        // Вычисляем количество страниц
        $posts_count = $this->blog->count_posts($filter);
        
        // Показать все страницы сразу
        if($this->request->get('page') == 'all') {
            $items_per_page = $posts_count;
        }
        
        $pages_num = ceil($posts_count/$items_per_page);
        $this->design->assign('total_pages_num', $pages_num);
        
        $filter['page'] = $current_page;
        $filter['limit'] = $items_per_page;
        
        // Выбираем статьи из базы
        $posts = $this->blog->get_posts($filter);

        if(empty($posts)) {
            return false;
        }
        
        // Передаем в шаблон
        $this->design->assign('posts', $posts);
        
        // Метатеги
        if($this->page) {
            $this->design->assign('meta_title', $this->page->meta_title);
            $this->design->assign('meta_keywords', $this->page->meta_keywords);
            $this->design->assign('meta_description', $this->page->meta_description);
        }
        $body = $this->design->fetch('blog.tpl');
		
		$this->design->assign('blogcategory', $cat);
		
        return $body;
    }
    
}
