<?php

require_once('View.php');

class ProductsView extends View {

    // ЧПУ
    private $meta_array = array();
    private $set_canonical = false;
    private $meta = array('h1'=>'','title'=>'','keywords'=>'','description'=>'');
    private $meta_delimiter = ', ';
    private $subdir = '';
    private $lang_label = '';
    private $catalog_type = '';
    private $uri_array = array();
    private $is_wrong_params = 0;
    private $features_urls = array();
    private $category_brands = array();
        
    public function __construct() {
	
        parent::__construct();
        $this->lang_label = $this->language->label;
        if (strlen($this->config->subfolder) > 1) {
            $this->subdir = "/?".$this->config->subfolder;
        }
        
        /**
         *
         * внешний вид параметров:
         * brand-brandUrl1_brandUrl2... - фильтр по брендам
         * paramUrl-paramValue1_paramValue2... - фильтр по мультисвойствам
         * page-pageNumber - постраничная навигация
         * sort-sortParam - параметры сортировки
         *
         */
        
        //определение текущего положения и выставленных параметров
        $this->uri_array = $this->filter_chpu_parse_url();
        foreach($this->uri_array as $k=>$v) {
            if(empty($v)) {
                continue;
            }
            if(!$k && $brand=$this->brands->get_brand((string)$v)) {
                //$_GET['brand'] = $brand->url;
                $this->is_wrong_params = 1;
            } else {
                @list($param_name, $param_values) = explode('-',$v);
                if (in_array($this->page->url, array('all-products', 'discounted', 'bestsellers'))
                        && !in_array($param_name, array('page', 'sort'))) {
                    $this->is_wrong_params = 1;
                    break;
                }
                switch($param_name) {
                    case 'brand': {
                        $_GET['b'] = array();
                        foreach(explode('_',$param_values) as $bv) {
                            if(($brand = $this->brands->get_brand((string)$bv)) && !in_array($brand->id, $_GET['b'])) {
                                $_GET['b'][] = $brand->id;
                                $this->meta_array['brand'][] = $this->translations->products_brand.' '. $brand->name;
                            } else {
                                $this->is_wrong_params = 1;
                            }
                        }
                        break;
                    }
                    /*фильтр по варианту*/
                    case 'variant': {
                        $_GET['v'] = array();
                        foreach(explode('_',$param_values) as $bv) {
                            if(($variant = $this->variants->get_variant(NULL, (string)$bv)) && !in_array($variant->id, $_GET['v'])) {
                                $_GET['v'][] = $variant->translit;
                                $this->meta_array['variant'][] = 'Вариант '. $variant->name;
                            } else {
                                $this->is_wrong_params = 1;
                            }
                        }
                        break;
                    }
                    /*/фильтр по варианту*/
                    case 'page': {
                        $_GET['page'] = $param_values;
                        if ($param_values != 'all' && (!preg_match('~^[0-9]+$~', $param_values) || strpos($param_values, '0') === 0)) {
                            $this->is_wrong_params = 1;
                        }
                        break;
                    }
                    case 'sort': {
                        $_GET['sort'] = strval($param_values);
                        if (!in_array($_GET['sort'], array('position_desc', 'position', 'price', 'price_desc', 'name', 'name_desc', 'rating', 'rating_desc'))) {
                            $this->is_wrong_params = 1;
                        }
                        break;
                    }
                    default: {
                        if(($feature = $this->features->get_feature($param_name)) && !isset($_GET[$feature->id])) {
                            $_GET[$feature->id] = explode('_',$param_values);
                            // если нет повторяющихся значений свойства - ок, иначе 404
                            if (count($_GET[$feature->id]) == count(array_unique($_GET[$feature->id]))) {
                                $option_translits = array();
                                foreach ($this->features->get_options(array('feature_id' => $feature->id)) as $fo) {
                                    $option_translits[] = $fo->translit;
                                    if (in_array($fo->translit, $_GET[$feature->id])) {
                                        $this->meta_array['options'][$feature->id][] = $feature->name . ' ' . $fo->value;
                                    }
                                }
                                foreach ($_GET[$feature->id] as $param_value) {
                                    if (!in_array($param_value, $option_translits)) {
                                        $this->is_wrong_params = 1;
                                        break;
                                    }
                                }
                                /*цветовая характеристика*/
                                if ($feature->is_color) {
                                    $this->set_canonical = true;
                                }
                                /*/цветовая характеристика*/
                            } else {
                                $this->is_wrong_params = 1;
                            }
                        } else {
                            $this->is_wrong_params = 1;
                        }
                    }
                }
            }
        }
        
        if(!empty($this->meta_array)) {
            foreach($this->meta_array as $type=>$_meta_array) {
                switch($type) {
                    case 'brand': {
                        if(count($_meta_array) > 1) {
                            $this->set_canonical = true;
                        }
                        $this->meta['h1'] = $this->meta['title'] = $this->meta['keywords'] = $this->meta['description'] = implode($this->meta_delimiter,$_meta_array);
                        break;
                    }
                    /*фильтр по варианту*/
                    case 'variant': {
                        if(count($_meta_array) > 1) {
                            $this->set_canonical = true;
                        }
                        $this->meta['h1'] = $this->meta['title'] = $this->meta['keywords'] = $this->meta['description'] = implode($this->meta_delimiter,$_meta_array);
                        break;
                    }
                    /*/фильтр по варианту*/
                    case 'options': {
                        foreach($_meta_array as $f_id=>$f_array) {
                            if(count($f_array) > 1 || count($_meta_array) > 2) {
                                $this->set_canonical = true;
                            }
                            $this->meta['h1']           .= (!empty($this->meta['h1'])           ? $this->meta_delimiter : '') . implode($this->meta_delimiter,$f_array);
                            $this->meta['title']        .= (!empty($this->meta['title'])        ? $this->meta_delimiter : '') . implode($this->meta_delimiter,$f_array);
                            $this->meta['keywords']     .= (!empty($this->meta['keywords'])     ? $this->meta_delimiter : '') . implode($this->meta_delimiter,$f_array);
                            $this->meta['description']  .= (!empty($this->meta['description'])  ? $this->meta_delimiter : '') . implode($this->meta_delimiter,$f_array);
                        }
                        break;
                    }
                }
            }
        }
        
        if(!empty($this->meta['h1'])) {
            $this->meta['h1']           = !empty($this->translations->ceo_filter_s_harakteristikami) ? ' ' : ''.$this->translations->ceo_filter_s_harakteristikami.' '.$this->meta['h1'];
        }
        if(!empty($this->meta['title'])) {
            $this->meta['title']        = !empty($this->translations->ceo_filter_s_harakteristikami) ? ' ' : ''.$this->translations->ceo_filter_s_harakteristikami.' '.$this->meta['title'];
        }
        if(!empty($this->meta['keywords'])) {
            $this->meta['keywords']     = !empty($this->translations->ceo_filter_s_harakteristikami) ? ' ' : ''.$this->translations->ceo_filter_s_harakteristikami.' '.$this->meta['keywords'];
        }
        if(!empty($this->meta['description'])) {
            $this->meta['description']  = !empty($this->translations->ceo_filter_s_harakteristikami) ? ' ' : ''.$this->translations->ceo_filter_s_harakteristikami.' '.$this->meta['description'];
        }
        
        if($this->set_canonical) {
            $this->meta['h1'] = $this->meta['title'] = $this->meta['keywords'] = $this->meta['description'] = '';
        }
        
        $this->design->assign('set_canonical',$this->set_canonical);
        $this->design->assign('filter_meta',(object)$this->meta);
        
        $this->design->smarty->registerPlugin('function', 'furl', array($this, 'filter_chpu_url'));
    }
    public function filter_chpu_url($params) {
        if(is_array(reset($params))) {
            $params = reset($params);
        }

        $result_array = array('brand'=>array(),/*фильтр по варианту*/'variant'=>array(),/*/фильтр по варианту*/'features'=>array(),'sort'=>null,'page'=>null);
        //Определяем, что у нас уже есть в строке
        foreach($this->uri_array as $k=>$v) {
            if($k>0 || !($brand=$this->brands->get_brand((string)$v))) {
                list($param_name, $param_values) = explode('-',$v);
                switch($param_name) {
                    case 'brand': {
                        $result_array['brand'] = explode('_',$param_values);
                        break;
                    }
                    /*фильтр по варианту*/
                    case 'variant': {
                        $result_array['variant'] = explode('_',$param_values);
                        break;
                    }
                    /*/фильтр по варианту*/
                    case 'sort': {
                        $result_array['sort'] = strval($param_values);
                        break;
                    }
                    case 'page': {
                        $result_array['page'] = $param_values;
                        break;
                    }
                    default: {
                        $result_array['features'][$param_name] = explode('_',$param_values);
                    }
                }
            }
        }
        //Определяем переданные параметры для ссылки
        foreach($params as $k=>$v) {
            switch($k) {
                case 'brand': {
                    if(is_null($v)) {
                        unset($result_array['brand']);
                    } elseif(in_array($v,$result_array['brand'])) {
                        unset($result_array['brand'][array_search($v,$result_array['brand'])]);
                    } else {
                        $result_array['brand'][] = $v;
                    }
                    break;
                }
                /*фильтр по варианту*/
                case 'variant': {
                    if(is_null($v)) {
                        unset($result_array['variant']);
                    } elseif(in_array($v,$result_array['variant'])) {
                        unset($result_array['variant'][array_search($v,$result_array['variant'])]);
                    } else {
                        $result_array['variant'][] = $v;
                    }
                    break;
                }
                /*/фильтр по варианту*/
                case 'sort':
                    $result_array['sort'] = strval($v);
                    break;
                case 'page':
                    $result_array['page'] = $v;
                    break;
                default:
                    if(is_null($v)) {
                        unset($result_array['features'][$k]);
                    } elseif(!empty($result_array['features']) && in_array($k,array_keys($result_array['features'])) && in_array($v,$result_array['features'][$k])) {
                        unset($result_array['features'][$k][array_search($v,$result_array['features'][$k])]);
                    } else {
                        $result_array['features'][$k][] = $v;
                    }
                break;
            }
        }
        //формируем ссылку
        if (strlen($this->config->subfolder) > 1) {
            $result_string = '/'.$this->config->subfolder.$this->lang_link.$this->catalog_type;
        } else {
            $result_string = '/'.$this->lang_link.$this->catalog_type;
        }
        if(!empty($_GET['category'])) {
            $result_string .= '/' . $_GET['category'];
        }
        if(!empty($_GET['brand'])) {
            $result_string .= '/' . $_GET['brand'];
        }
        /*фильтр по варианту*/
        if(!empty($_GET['variant'])) {
            $result_string .= '/' . $_GET['variant'];
        }
        if(!empty($result_array['variant'])) {
            // $result_string .= '/variant-' . implode('_',$this->filter_chpu_sort_brands($result_array['variant'])); // - это с сортировкой по брендам
            $result_string .= '/variant-' . implode('_',$result_array['variant']); // - это без сортировки по брендам
        }
        /*/фильтр по варианту*/
        
        if(!empty($result_array['brand'])) {
            $result_string .= '/brand-' . implode('_',$this->filter_chpu_sort_brands($result_array['brand'])); // - это с сортировкой по брендам
            //$result_string .= '/brand-' . implode('_',$result_array['brand']); // - это без сортировки по брендам
        }
        foreach($result_array['features'] as $k=>$v) {
            if(empty($result_array['features'][$k])) {
                unset($result_array['features'][$k]);
            }
        }
        if(!empty($result_array['features'])) {
            $result_string .= $this->filter_chpu_sort_features($result_array['features']);
        }
        if(!empty($result_array['sort'])) {
            $result_string .= '/sort-' . $result_array['sort'];
        }
        if($result_array['page'] > 1 || $result_array['page'] == 'all') {
            $result_string .= '/page-' . $result_array['page'];
        }
        $keyword = $this->request->get('keyword');
        if (!empty($keyword)) {
            $result_string .= '?keyword='.$keyword;
        }
        //отдаем сформированную ссылку
        return $result_string;
    }
    private function filter_chpu_sort_brands($brands_urls = array()) {
        if(empty($brands_urls)) {
            return false;
        }
        $result = array();
        foreach ($this->category_brands as $b) {
            if (in_array($b->url, $brands_urls)) {
                $result[] = $b->url;
            }
        }
        return $result;
    }
    private function filter_chpu_sort_features($features = array()) {
        if(empty($features)) {
            return false;
        }
        $result_string = '';
        foreach ($this->features_urls as $furl) {
            if (in_array($furl, array_keys($features))) {
                $result_string .= '/'.$furl.'-'.implode('_', $features[$furl]);
            }
        }
        return $result_string;
    }
    private function filter_chpu_parse_url() {
        $uri = @parse_url($_SERVER["REQUEST_URI"]);
        preg_match("~$this->subdir(/?$this->lang_label)?/?(catalog|all-products|brands|discounted|bestsellers)/?~", $uri['path'], $this->catalog_type);
        $this->catalog_type = $this->catalog_type[2];
        //убираем модификатор каталога
        $uri = preg_replace("~$this->subdir(/?$this->lang_label)?/?(catalog|all-products|brands|discounted|bestsellers)/?~",'',$uri['path']);
        $this->uri_array = (empty($uri) ? array() : explode('/',$uri));
        if ($this->catalog_type == 'catalog' || $this->catalog_type == 'brands') {
            array_shift($this->uri_array);
        }
        return $this->uri_array;
    }
    // ЧПУ END

    public function fetch() {

		
		if ($this->is_wrong_params) {
            return false;
        }
        // GET-Параметры
        $category_url = $this->request->get('category', 'string');
        $brand_url    = $this->request->get('brand', 'string');
        
        $filter = array();
        $filter['visible'] = 1;
        
        // Если задан бренд, выберем его из базы
        $prices = array();
        $prices['current'] = $this->request->get('p');
        if (isset($prices['current']['min']) && isset($prices['current']['max']) && $prices['current']['max'] != '' && $prices['current']['min'] != '') {
            $filter['price'] = $prices['current'];
        } else {
            unset($prices['current']);
        }

        if ($val = $this->request->get('b')) {
            $filter['brand_id'] = $val;
        } elseif (!empty($brand_url)) {
            $brand = $this->brands->get_brand((string)$brand_url);
            if (empty($brand)) {
                return false;
            }
            $this->design->assign('brand', $brand);
            $filter['brand_id'] = $brand->id;
        }
        
        // Выберем текущую категорию
        if (!empty($category_url)) {
            $category = $this->categories->get_category((string)$category_url);
            if (empty($category) || (!$category->visible && empty($_SESSION['admin']))) {
                return false;
            }
            $this->design->assign('category', $category);
            $filter['category_id'] = $category->children;
        }

		if($_REQUEST['cancelfilter'] && $category){
			setcookie("cat".$category->id, '', time()-900, "/");
			header('Location: '.preg_replace('@\?.*@', '', $_SERVER['REQUEST_URI']));
		}

        // Если задано ключевое слово
        $keyword = $this->request->get('keyword');
        if (!empty($keyword)) {
            $this->design->assign('keyword', $keyword);
            $filter['keyword'] = $keyword;
        }

         /*фильтр по варианту*/
        $v_name = $this->request->get('v');
        if (!empty($v_name)) {
            $filter['variant'] = $v_name;
        }       
        /*/фильтр по варианту*/

        $mode = $this->request->get('mode');
        if (!empty($mode)) {
            if ($mode == 'bestsellers') {
                $filter['featured'] = 1;
            } elseif ($mode == 'discounted') {
                $filter['discounted'] = 1;
            }
        }
        
        // Сохраняем в сессии сортировку и вид товаров
        if($_COOKIE['view_sort']) {
            $_SESSION['sort'] = $_COOKIE['view_sort'];
        }elseif($sort = $this->request->get('sort', 'string')) {
            $_SESSION['sort'] = $sort;
        }
        if (!empty($_SESSION['sort'])) {
            $filter['sort'] = $_SESSION['sort'];
        } else {
            $filter['sort'] = 'position_desc';
        }
        $this->design->assign('sort', $filter['sort']);
        
        // Свойства товаров
        if(!empty($category)) {
            $features = array();
            foreach($this->features->get_features(array('category_id'=>$category->id, 'in_filter'=>1)) as $feature) {
                $features[$feature->id] = $feature;
                $this->features_urls[] = $feature->url;
                if($val = $this->request->get($feature->id)) {
                    $filter['features'][$feature->id] = $val;
                }
                 /*features_slider*/
                if(($val = $this->request->get('feature_'.$feature->id)) && isset($val['min']) && isset($val['max'])
                        && $val['min'] != '' && $val['max'] != '') {
                    $filter['features_slider'][$feature->id]['min'] = $val['min'];
                    $filter['features_slider'][$feature->id]['max'] = $val['max'];
                }
                /*/features_slider*/
            }
            
            $options_filter['visible'] = 1;
            
            $features_ids = array_keys($features);
            if(!empty($features_ids)) {
                $options_filter['feature_id'] = $features_ids;
            }
            $options_filter['category_id'] = $category->children;
            if(isset($filter['features'])) {
                $options_filter['features'] = $filter['features'];
            }
            if(!empty($brand)) {
                $options_filter['brand_id'] = $brand->id;
            } elseif(isset($filter['brand_id'])) {
                $options_filter['brand_id'] = $filter['brand_id'];
            }

            /*фильтр по варианту*/
            if (isset($filter['variant'])) {
                $options_filter['variant'] = $filter['variant'];
            }
            /*/фильтр по варианту*/
            
            $options = $this->features->get_options($options_filter);
            
            /*features_slider*/
            $features_slider = array();
            /*/features_slider*/
            foreach($options as $option) {
                if(isset($features[$option->feature_id])) {
                    $features[$option->feature_id]->options[] = $option;
                    /*features_slider*/
                    if ($features[$option->feature_id]->is_slider) {
                        if (!isset($features_slider[$option->feature_id])) {
                            $features_slider[$option->feature_id] = $features[$option->feature_id];
                            $features_slider[$option->feature_id]->min_value = 9999999;
                            $features_slider[$option->feature_id]->max_value = -9999999;
                            $features_slider[$option->feature_id]->min_selected_value = $filter['features_slider'][$option->feature_id]['min'];
                            $features_slider[$option->feature_id]->max_selected_value = $filter['features_slider'][$option->feature_id]['max'];
                        }

                        $opt_val = floatval($option->value);
                        $opt_val = round($opt_val,2);
                        if ($opt_val < $features_slider[$option->feature_id]->min_value) {
                            $features_slider[$option->feature_id]->min_value = $opt_val;
                        }
                        if ($opt_val > $features_slider[$option->feature_id]->max_value) {
                            $features_slider[$option->feature_id]->max_value = $opt_val;
                        }
					
						
						
						
                    }
                    /*/features_slider*/
                }
            }
            
            foreach($features as $i=>$feature) {
                if(empty($feature->options)) {
                    unset($features[$i]);
                }
				
				if($features_slider[$feature->id]->min_value==$filter['features_slider'][$feature->id]['min'] && $features_slider[$feature->id]->max_value==$filter['features_slider'][$feature->id]['max']){
					unset($filter['features_slider'][$feature->id]);
				}
				
            }
            $this->design->assign('features', $features);
        }


//if(isset($_REQUEST['debug'])) {echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($features); echo "</PRE></div>"; };
if(isset($_REQUEST['debug'])) {echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($filter); echo "</PRE></div>"; };
		

		if($_REQUEST['ajax']){
			$ff=$_REQUEST['f'];
			if($ff){
				$gfp = $this->products->get_filter_filter($ff);

				// do not use parameter if min and max values set
				if(is_array($gfp['features_slider']))foreach ($gfp['features_slider'] as $fid => $v) {

					if($v['min'] == $features[$fid]->min_value && $v['max'] == $features[$fid]->max_value ){
						unset($gfp['features_slider'][$fid]);
					}
				}

				$filter=array_merge($filter, $gfp);
			}
		}else{
			$ff=unserialize($_COOKIE['cat'.$category->id]);


			if($ff){
				$gfp = $this->products->get_filter_filter($ff);
if(isset($_REQUEST['debug'])) {echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($filter); echo "</PRE></div>"; };

				$filter=array_merge($filter, $gfp);
				
				$this->design->assign('ff', $ff);
				

//echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($ff); echo "</PRE></div>";
//echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($gfp); echo "</PRE></div>";
//echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($filter); echo "</PRE></div>";
//echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($_GET); echo "</PRE></div>";
			}
		
		}
if(isset($_REQUEST['debug'])) {echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($filter); echo "</PRE></div>"; };

        // Постраничная навигация
        $items_per_page = $this->settings->products_num;
        // Текущая страница в постраничном выводе
        $current_page = $this->request->get('page', 'integer');
        // Если не задана, то равна 1
        $current_page = max(1, $current_page);
		
		if(isset($_REQUEST['debug'])) {echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($_REQUEST); echo "</PRE></div>"; };
		if(isset($_REQUEST['debug'])) {echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($_SERVER['REQUEST_URI']); echo "</PRE></div>"; };											

		// Перенос на первую страницу при применении фильтра
		if(!$_REQUEST['pref'])
		if($_REQUEST['ajax'])
	        $current_page = 1;

		if($_REQUEST['pref'])
		if($_REQUEST['ajax'])
		if($_REQUEST['page'])
	        $current_page = $_REQUEST['page'];

		
        $this->design->assign('current_page_num', $current_page);
        // Вычисляем количество страниц
        $products_count = $this->products->count_products($filter);

		// Если применялся фильтр и товаров больше одного - то сохраняем результат в куках на 900 секунд
		if($_REQUEST['ajax'])
		if($ff && $products_count>0 && $category){
			setcookie("cat".$category->id, serialize($ff), time()+900, "/");
		}
        
        // Показать все страницы сразу
        if($this->request->get('page') == 'all') {
            $items_per_page = $products_count;
        }
        
        $pages_num = ceil($products_count/$items_per_page);
        $this->design->assign('total_pages_num', $pages_num);
        $this->design->assign('total_products_num', $products_count);
        
        $filter['page'] = $current_page;
        $filter['limit'] = $items_per_page;

		if(isset($_REQUEST['debug'])) {echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($filter); echo "</PRE></div>"; };
		
        if ($this->request->get('page') != 'all' && $current_page > 1 && $current_page > $pages_num) {
            return false;
        }
        //lastModify
        $last_modify = array();
        $brand_id_filter = '';
        $category_id_filter = '';
        if(!empty($filter['brand_id'])) {
            $brand_id_filter = $this->db->placehold('AND p.brand_id in(?@)', (array)$filter['brand_id']);
            if(!empty($brand)){
                $last_modify[] = $brand->last_modify;
            }
        }
        if(!empty($filter['category_id'])) {
            $category_id_filter = $this->db->placehold('INNER JOIN __products_categories pc ON pc.product_id = p.id AND pc.category_id in(?@)', (array)$filter['category_id']);
            $last_modify[] = $category->last_modify;
        }
        $this->db->query("SELECT p.last_modify
			FROM __products p
			$category_id_filter
			WHERE 1 $brand_id_filter
			GROUP BY p.id");
        $res = $this->db->results('last_modify');
        if (!empty($res)) {
            $last_modify = array_merge($last_modify, $res);
        }
        if ($this->page) {
            $last_modify[] = $this->page->last_modify;
        }
        $this->setHeaderLastModify(max($last_modify));
        //lastModify END
        // Постраничная навигация END

        // Товары
        $bids = array();
        $products = array();
        foreach($this->products->get_products($filter) as $p) {
            $products[$p->id] = $p;
			if($p->brand_id)
				$bids[$p->brand_id] = $p->brand_id;
        }
        
        // Если искали товар и найден ровно один - перенаправляем на него
        if(!empty($keyword) && $products_count == 1 && !$this->request->get('ajax','boolean')) {
            header('Location: '.$this->config->root_url.'/'.$this->lang_link.'products/'.$p->url);
        }
        
        if(!empty($products)) {
            $products_ids = array_keys($products);
            foreach($products as $product) {
                $product->variants = array();
                $product->images = array();
                $product->properties = array();
            }
			
			if($bids){
				$temps = $this->brands->get_brands(array('id'=>$bids));
				if(is_array($temps))foreach ($temps as $temp) {
					$brands[$temp->id]=$temp;
				}
	            foreach($products as $k=>$product) {
	                $products[$k]->brand = $brands[$product->brand_id];
		        }
			}

            $variants = $this->variants->get_variants(array('product_id'=>$products_ids));

            foreach($variants as $variant) {
                $products[$variant->product_id]->variants[] = $variant;
            }

            /*фильтр по варианту*/
            if(!empty($category) || !empty($brand)) {
                $v_products_ids = $this->products->get_id_products($filter);
                $features_variants = $this->variants->get_value_variants(array('product_id'=>$v_products_ids, 'in_stock'=>true));
				
				if(isset($_REQUEST['debug'])) {echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($features_variants); echo "</PRE></div>"; };
                
                // asort($features_variants);
                $this->design->assign('features_variants', $features_variants);
            }
            /*/фильтр по варианту*/

			if(isset($_REQUEST['debug'])) {echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($_REQUEST); echo "</PRE></div>"; };

            /*изображение варианта*/
            $temp_images = array();
            /*/изображение варианта*/

            $images = $this->products->get_images(array('product_id'=>$products_ids));
            foreach($images as $image) {
                $products[$image->product_id]->images[] = $image;
                /*изображение варианта*/
                $temp_images[$image->id] = $image;
                /*/изображение варианта*/
            }
            /*изображение варианта*/
            foreach ($variants as $variant) {
                $variant_images = array();
                foreach($variant->images as $iid) {
                    $variant_images[] = $temp_images[$iid];
                }
                $variant->images = !empty($variant_images) ? $variant_images : $products[$variant->product_id]->images;
                $variant->image = isset($variant->images) ? reset($variant->images): null;
            }
            /*/изображение варианта*/

            foreach($products as $product) {
                if(isset($product->variants[0])) {
                    $product->variant = $product->variants[0];
                }
                if(isset($product->images[0])) {
                    $product->image = $product->images[0];
                }
            }
			
			// Характеристики в списке товаров
			$properties = $this->features->get_product_options(array('product_id'=>$products_ids));
			
			foreach($properties as $property){
				if(!isset($products[$property->product_id]->options[$property->feature_id])) 
					$products[$property->product_id]->options[$property->feature_id] = $property;
				else
					$products[$property->product_id]->options[$property->feature_id]->value .= ', '.$property->value;
			}

            $this->design->assign('products', $products);
        }
		
        
        // Выбираем бренды, они нужны нам в шаблоне
        if(!empty($category)) {
            $this->category_brands = $this->brands->get_brands(array('category_id'=>$category->children, 'visible'=>1));
            $category->brands = $this->category_brands;
        }
        
        if(isset($prices['current'])) {
            $prices['current'] = (object)$prices['current'];
        }
        $prices = (object)$prices;
        $range_filter = $filter;
        $range_filter['get_price'] = 1;
        $prices->range = $this->products->count_products($range_filter);
        $this->design->assign('prices', $prices);

        if($this->request->get('ajax','boolean')) {
            $this->design->assign('ajax', 1);
            $result = new StdClass;

			
		if(isset($_REQUEST['debug'])) {
			echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($result); echo "</PRE></div>"; };

			$result->products_content = $this->design->fetch('products_content.tpl');
            $result->products_pagination = $this->design->fetch('pagination_chpu.tpl');
            $result->products_sort = $this->design->fetch('products_sort.tpl');
			
			if(isset($_REQUEST['debug'])) {
			echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR> <CENTER><TEXTAREA ROWS=8 style='width:90%'>".htmlspecialchars($result->products_sort)."</TEXTAREA></CENTER> <BR>\n";
			exit;
			};
			if(isset($_REQUEST['debug'])) {echo "<BR><B>".__FILE__." (".__LINE__.")</B><BR><div align=left color=green><PRE>"; print_r($result); echo "</PRE></div>"; };

            print json_encode($result);
            die;
        }
        if($this->request->get('ajax_count','boolean')) {
            $this->design->assign('ajax', 1);

			$url_feature2 = explode('?', $_SERVER["REQUEST_URI"]);
            $url_feature = $url_feature2[0];

            $this->design->assign('result_url', $url_feature);
            $result = new StdClass;
            $result->products_features = $this->design->fetch('features.tpl');
            print json_encode($result);
            die;
        }
		
		
        if($this->request->get('infinite_scroll','boolean')) {
            
            $result = new StdClass;
            $result->pagination_chpu = $this->design->fetch('pagination_chpu.tpl');
            $result->products_content = $this->design->fetch('products_content.tpl');

            print json_encode($result);
            die;															 
        }
		
		$parts = array(
                '{категория}' => ($category->name ? $category->name : ''),
                '{бренд}' => ($this->design->get_var('brand') ? $this->design->get_var('brand')->name : ''),
                '{категория_h1}' => ($category->name_h1 ? $category->name_h1 : ''),
                '{магазин}' => ($this->settings->site_name ? $this->settings->site_name : '')
        );
		
		$all_c_meta_title = strtr($this->settings->all_c_meta_title, $parts);
		$all_c_meta_keywords = strtr($this->settings->all_c_meta_keywords, $parts);
		$all_c_meta_description = strtr($this->settings->all_c_meta_description, $parts);
		
		$all_b_meta_title = strtr($this->settings->all_b_meta_title, $parts);
		$all_b_meta_keywords = strtr($this->settings->all_b_meta_keywords, $parts);
		$all_b_meta_description = strtr($this->settings->all_b_meta_description, $parts);
		
		//Уберем знаки препинания в ключевых словах
		$bad = array(",",".","/",":",";","%","!","?","-","+",'"',"'","  ","   ");
		$all_c_meta_keywords = mb_strtolower(str_replace($bad, " ", $all_c_meta_keywords));
		$all_b_meta_keywords = mb_strtolower(str_replace($bad, " ", $all_b_meta_keywords));
		
		//Если описания нет - выводим шаблон
		if(isset($category)) {
			if (empty($category->annotation)) {
			$category->annotation = strtr($this->settings->all_c_annotation, $parts);
			}
			if (empty($category->description)) {
			$category->description = strtr($this->settings->all_c_body, $parts);
			}
		} elseif(isset($brand)) {
			if (empty($brand->annotation)) {
			$brand->annotation = strtr($this->settings->all_b_annotation, $parts);
			}
			if (empty($brand->description)) {
			$brand->description = strtr($this->settings->all_b_body, $parts);
			}
		}
		
        // Устанавливаем мета-теги в зависимости от запроса
        if($this->page) {
            $this->design->assign('meta_title', $this->page->meta_title);
            $this->design->assign('meta_keywords', $this->page->meta_keywords);
            $this->design->assign('meta_description', $this->page->meta_description);
        } elseif(isset($category)) {
			if(!empty($category->meta_title)){
			$this->design->assign('meta_title', $category->meta_title);
			} elseif($this->settings->all_c_meta_title){
            $this->design->assign('meta_title', $all_c_meta_title);
			}
			if(!empty($category->meta_keywords)){
			$this->design->assign('meta_keywords', $category->meta_keywords);
			} elseif($this->settings->all_c_meta_keywords){
            $this->design->assign('meta_keywords', $all_c_meta_keywords);
			}
			if(!empty($category->meta_description)){
			$this->design->assign('meta_description', $category->meta_description);
			} elseif($this->settings->all_c_meta_description){
            $this->design->assign('meta_description', $all_c_meta_description);
			}
        } elseif(isset($brand)) {
			if(!empty($brand->meta_title)){
			$this->design->assign('meta_title', $brand->meta_title);
			} elseif($this->settings->all_b_meta_title){
            $this->design->assign('meta_title', $all_b_meta_title);
			}
			if(!empty($brand->meta_keywords)){
			$this->design->assign('meta_keywords', $brand->meta_keywords);
			} elseif($this->settings->all_b_meta_keywords){
            $this->design->assign('meta_keywords', $all_b_meta_keywords);
			}
			if(!empty($brand->meta_description)){
			$this->design->assign('meta_description', $brand->meta_description);
			} elseif($this->settings->all_b_meta_description){
            $this->design->assign('meta_description', $all_b_meta_description);
			}
        } elseif(isset($keyword)) {
            $this->design->assign('meta_title', $keyword);
        }

        $rel_prev_next = $this->design->fetch('products_rel_prev_next.tpl');
        $this->design->assign('rel_prev_next', $rel_prev_next);
        $this->design->assign('sort_canonical', $this->filter_chpu_url(array('sort'=>null)));

		if($brand && !$category){
			$brand_categories = $this->brands->get_brand_categories_ids($brand->id);
            $this->design->assign('brand_categories', $brand_categories);
		}
		
        $this->body = $this->design->fetch('products.tpl');
        return $this->body;
    }
    
}